package androidx.core.content.res;

import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.LinearGradient;
import android.graphics.RadialGradient;
import android.graphics.Shader;
import android.graphics.SweepGradient;
import android.util.AttributeSet;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: GradientColorInflaterCompat.java */
/* loaded from: classes.dex */
public final class g {
    /* renamed from: ʻ  reason: contains not printable characters */
    private static a m2314(a aVar, int i6, int i7, boolean z5, int i8) {
        if (aVar != null) {
            return aVar;
        }
        if (z5) {
            return new a(i6, i8, i7);
        }
        return new a(i6, i7);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static Shader m2315(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws IOException, XmlPullParserException {
        String name = xmlPullParser.getName();
        if (name.equals("gradient")) {
            TypedArray m2365 = q.m2365(resources, theme, attributeSet, t.c.f12589);
            float m2360 = q.m2360(m2365, xmlPullParser, "startX", t.c.f12573, 0.0f);
            float m23602 = q.m2360(m2365, xmlPullParser, "startY", t.c.f12571, 0.0f);
            float m23603 = q.m2360(m2365, xmlPullParser, "endX", t.c.f12577, 0.0f);
            float m23604 = q.m2360(m2365, xmlPullParser, "endY", t.c.f12575, 0.0f);
            float m23605 = q.m2360(m2365, xmlPullParser, "centerX", t.c.f12561, 0.0f);
            float m23606 = q.m2360(m2365, xmlPullParser, "centerY", t.c.f12567, 0.0f);
            int m2361 = q.m2361(m2365, xmlPullParser, "type", t.c.f12563, 0);
            int m2356 = q.m2356(m2365, xmlPullParser, "startColor", t.c.f12591, 0);
            boolean m2364 = q.m2364(xmlPullParser, "centerColor");
            int m23562 = q.m2356(m2365, xmlPullParser, "centerColor", t.c.f12569, 0);
            int m23563 = q.m2356(m2365, xmlPullParser, "endColor", t.c.f12559, 0);
            int m23612 = q.m2361(m2365, xmlPullParser, "tileMode", t.c.f12586, 0);
            float m23607 = q.m2360(m2365, xmlPullParser, "gradientRadius", t.c.f12565, 0.0f);
            m2365.recycle();
            a m2314 = m2314(m2316(resources, xmlPullParser, attributeSet, theme), m2356, m23563, m2364, m23562);
            if (m2361 != 1) {
                if (m2361 != 2) {
                    return new LinearGradient(m2360, m23602, m23603, m23604, m2314.f2848, m2314.f2849, m2317(m23612));
                }
                return new SweepGradient(m23605, m23606, m2314.f2848, m2314.f2849);
            } else if (m23607 > 0.0f) {
                return new RadialGradient(m23605, m23606, m23607, m2314.f2848, m2314.f2849, m2317(m23612));
            } else {
                throw new XmlPullParserException("<gradient> tag requires 'gradientRadius' attribute with radial type");
            }
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid gradient color tag " + name);
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x0080, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(r10.getPositionDescription() + ": <item> tag requires a 'color' attribute and a 'offset' attribute!");
     */
    /* renamed from: ʽ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static a m2316(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        int depth;
        int depth2 = xmlPullParser.getDepth() + 1;
        ArrayList arrayList = new ArrayList(20);
        ArrayList arrayList2 = new ArrayList(20);
        while (true) {
            int next = xmlPullParser.next();
            if (next == 1 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                break;
            } else if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                TypedArray m2365 = q.m2365(resources, theme, attributeSet, t.c.f12581);
                int i6 = t.c.f12579;
                boolean hasValue = m2365.hasValue(i6);
                int i7 = t.c.f12583;
                boolean hasValue2 = m2365.hasValue(i7);
                if (!hasValue || !hasValue2) {
                    break;
                }
                int color = m2365.getColor(i6, 0);
                float f6 = m2365.getFloat(i7, 0.0f);
                m2365.recycle();
                arrayList2.add(Integer.valueOf(color));
                arrayList.add(Float.valueOf(f6));
            }
        }
        if (arrayList2.size() > 0) {
            return new a(arrayList2, arrayList);
        }
        return null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static Shader.TileMode m2317(int i6) {
        if (i6 != 1) {
            if (i6 != 2) {
                return Shader.TileMode.CLAMP;
            }
            return Shader.TileMode.MIRROR;
        }
        return Shader.TileMode.REPEAT;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: GradientColorInflaterCompat.java */
    /* loaded from: classes.dex */
    public static final class a {

        /* renamed from: ʻ  reason: contains not printable characters */
        final int[] f2848;

        /* renamed from: ʼ  reason: contains not printable characters */
        final float[] f2849;

        a(List<Integer> list, List<Float> list2) {
            int size = list.size();
            this.f2848 = new int[size];
            this.f2849 = new float[size];
            for (int i6 = 0; i6 < size; i6++) {
                this.f2848[i6] = list.get(i6).intValue();
                this.f2849[i6] = list2.get(i6).floatValue();
            }
        }

        a(int i6, int i7) {
            this.f2848 = new int[]{i6, i7};
            this.f2849 = new float[]{0.0f, 1.0f};
        }

        a(int i6, int i7, int i8) {
            this.f2848 = new int[]{i6, i7, i8};
            this.f2849 = new float[]{0.0f, 0.5f, 1.0f};
        }
    }
}
