package androidx.core.content.res;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import androidx.core.content.res.f;
import androidx.core.content.res.i;
import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParserException;
/* compiled from: ResourcesCompat.java */
/* loaded from: classes.dex */
public final class i {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final ThreadLocal<TypedValue> f2850 = new ThreadLocal<>();

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final WeakHashMap<e, SparseArray<d>> f2851 = new WeakHashMap<>(0);

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final Object f2852 = new Object();

    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    static class a {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m2335(Resources resources, int i6, int i7) {
            return resources.getDrawableForDensity(i6, i7);
        }
    }

    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    static class b {
        /* renamed from: ʻ  reason: contains not printable characters */
        static Drawable m2336(Resources resources, int i6, Resources.Theme theme) {
            Drawable drawable;
            drawable = resources.getDrawable(i6, theme);
            return drawable;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static Drawable m2337(Resources resources, int i6, int i7, Resources.Theme theme) {
            Drawable drawableForDensity;
            drawableForDensity = resources.getDrawableForDensity(i6, i7, theme);
            return drawableForDensity;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    public static class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        static int m2338(Resources resources, int i6, Resources.Theme theme) {
            int color;
            color = resources.getColor(i6, theme);
            return color;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        static ColorStateList m2339(Resources resources, int i6, Resources.Theme theme) {
            ColorStateList colorStateList;
            colorStateList = resources.getColorStateList(i6, theme);
            return colorStateList;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    public static class d {

        /* renamed from: ʻ  reason: contains not printable characters */
        final ColorStateList f2853;

        /* renamed from: ʼ  reason: contains not printable characters */
        final Configuration f2854;

        /* renamed from: ʽ  reason: contains not printable characters */
        final int f2855;

        d(ColorStateList colorStateList, Configuration configuration, Resources.Theme theme) {
            int hashCode;
            this.f2853 = colorStateList;
            this.f2854 = configuration;
            if (theme == null) {
                hashCode = 0;
            } else {
                hashCode = theme.hashCode();
            }
            this.f2855 = hashCode;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    public static final class e {

        /* renamed from: ʻ  reason: contains not printable characters */
        final Resources f2856;

        /* renamed from: ʼ  reason: contains not printable characters */
        final Resources.Theme f2857;

        e(Resources resources, Resources.Theme theme) {
            this.f2856 = resources;
            this.f2857 = theme;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || e.class != obj.getClass()) {
                return false;
            }
            e eVar = (e) obj;
            if (this.f2856.equals(eVar.f2856) && androidx.core.util.c.m2753(this.f2857, eVar.f2857)) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return androidx.core.util.c.m2754(this.f2856, this.f2857);
        }
    }

    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    public static abstract class f {
        /* renamed from: ʿ  reason: contains not printable characters */
        public static Handler m2342(Handler handler) {
            if (handler == null) {
                return new Handler(Looper.getMainLooper());
            }
            return handler;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public final void m2345(final int i6, Handler handler) {
            m2342(handler).post(new Runnable() { // from class: androidx.core.content.res.o
                @Override // java.lang.Runnable
                public final void run() {
                    i.f.this.m2343(i6);
                }
            });
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public final void m2346(final Typeface typeface, Handler handler) {
            m2342(handler).post(new Runnable() { // from class: androidx.core.content.res.n
                @Override // java.lang.Runnable
                public final void run() {
                    i.f.this.m2344(typeface);
                }
            });
        }

        /* renamed from: ˉ */
        public abstract void m2343(int i6);

        /* renamed from: ˊ */
        public abstract void m2344(Typeface typeface);
    }

    /* compiled from: ResourcesCompat.java */
    /* loaded from: classes.dex */
    public static final class g {

        /* compiled from: ResourcesCompat.java */
        /* loaded from: classes.dex */
        static class a {

            /* renamed from: ʻ  reason: contains not printable characters */
            private static final Object f2858 = new Object();

            /* renamed from: ʼ  reason: contains not printable characters */
            private static Method f2859;

            /* renamed from: ʽ  reason: contains not printable characters */
            private static boolean f2860;

            @SuppressLint({"BanUncheckedReflection"})
            /* renamed from: ʻ  reason: contains not printable characters */
            static void m2348(Resources.Theme theme) {
                synchronized (f2858) {
                    if (!f2860) {
                        try {
                            Method declaredMethod = Resources.Theme.class.getDeclaredMethod("rebase", new Class[0]);
                            f2859 = declaredMethod;
                            declaredMethod.setAccessible(true);
                        } catch (NoSuchMethodException e6) {
                            Log.i("ResourcesCompat", "Failed to retrieve rebase() method", e6);
                        }
                        f2860 = true;
                    }
                    Method method = f2859;
                    if (method != null) {
                        try {
                            method.invoke(theme, new Object[0]);
                        } catch (IllegalAccessException | InvocationTargetException e7) {
                            Log.i("ResourcesCompat", "Failed to invoke rebase() method via reflection", e7);
                            f2859 = null;
                        }
                    }
                }
            }
        }

        /* compiled from: ResourcesCompat.java */
        /* loaded from: classes.dex */
        static class b {
            /* renamed from: ʻ  reason: contains not printable characters */
            static void m2349(Resources.Theme theme) {
                theme.rebase();
            }
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public static void m2347(Resources.Theme theme) {
            int i6 = Build.VERSION.SDK_INT;
            if (i6 >= 29) {
                b.m2349(theme);
            } else if (i6 >= 23) {
                a.m2348(theme);
            }
        }
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m2321(e eVar, int i6, ColorStateList colorStateList, Resources.Theme theme) {
        synchronized (f2852) {
            WeakHashMap<e, SparseArray<d>> weakHashMap = f2851;
            SparseArray<d> sparseArray = weakHashMap.get(eVar);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                weakHashMap.put(eVar, sparseArray);
            }
            sparseArray.append(i6, new d(colorStateList, eVar.f2856.getConfiguration(), theme));
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static ColorStateList m2322(e eVar, int i6) {
        d dVar;
        Resources.Theme theme;
        synchronized (f2852) {
            SparseArray<d> sparseArray = f2851.get(eVar);
            if (sparseArray != null && sparseArray.size() > 0 && (dVar = sparseArray.get(i6)) != null) {
                if (dVar.f2854.equals(eVar.f2856.getConfiguration()) && (((theme = eVar.f2857) == null && dVar.f2855 == 0) || (theme != null && dVar.f2855 == theme.hashCode()))) {
                    return dVar.f2853;
                }
                sparseArray.remove(i6);
            }
            return null;
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static Typeface m2323(Context context, int i6) throws Resources.NotFoundException {
        if (context.isRestricted()) {
            return null;
        }
        return m2333(context, i6, new TypedValue(), 0, null, null, false, true);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public static ColorStateList m2324(Resources resources, int i6, Resources.Theme theme) throws Resources.NotFoundException {
        e eVar = new e(resources, theme);
        ColorStateList m2322 = m2322(eVar, i6);
        if (m2322 != null) {
            return m2322;
        }
        ColorStateList m2331 = m2331(resources, i6, theme);
        if (m2331 != null) {
            m2321(eVar, i6, m2331, theme);
            return m2331;
        } else if (Build.VERSION.SDK_INT >= 23) {
            return c.m2339(resources, i6, theme);
        } else {
            return resources.getColorStateList(i6);
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static Drawable m2325(Resources resources, int i6, Resources.Theme theme) throws Resources.NotFoundException {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2336(resources, i6, theme);
        }
        return resources.getDrawable(i6);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static Drawable m2326(Resources resources, int i6, int i7, Resources.Theme theme) throws Resources.NotFoundException {
        if (Build.VERSION.SDK_INT >= 21) {
            return b.m2337(resources, i6, i7, theme);
        }
        return a.m2335(resources, i6, i7);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static Typeface m2327(Context context, int i6) throws Resources.NotFoundException {
        if (context.isRestricted()) {
            return null;
        }
        return m2333(context, i6, new TypedValue(), 0, null, null, false, false);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    public static Typeface m2328(Context context, int i6, TypedValue typedValue, int i7, f fVar) throws Resources.NotFoundException {
        if (context.isRestricted()) {
            return null;
        }
        return m2333(context, i6, typedValue, i7, fVar, null, true, false);
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    public static void m2329(Context context, int i6, f fVar, Handler handler) throws Resources.NotFoundException {
        androidx.core.util.h.m2767(fVar);
        if (context.isRestricted()) {
            fVar.m2345(-4, handler);
        } else {
            m2333(context, i6, new TypedValue(), 0, fVar, handler, false, false);
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private static TypedValue m2330() {
        ThreadLocal<TypedValue> threadLocal = f2850;
        TypedValue typedValue = threadLocal.get();
        if (typedValue == null) {
            TypedValue typedValue2 = new TypedValue();
            threadLocal.set(typedValue2);
            return typedValue2;
        }
        return typedValue;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private static ColorStateList m2331(Resources resources, int i6, Resources.Theme theme) {
        if (m2332(resources, i6)) {
            return null;
        }
        try {
            return androidx.core.content.res.c.m2273(resources, resources.getXml(i6), theme);
        } catch (Exception e6) {
            Log.w("ResourcesCompat", "Failed to inflate ColorStateList, leaving it to the framework", e6);
            return null;
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static boolean m2332(Resources resources, int i6) {
        TypedValue m2330 = m2330();
        resources.getValue(i6, m2330, true);
        int i7 = m2330.type;
        if (i7 >= 28 && i7 <= 31) {
            return true;
        }
        return false;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static Typeface m2333(Context context, int i6, TypedValue typedValue, int i7, f fVar, Handler handler, boolean z5, boolean z6) {
        Resources resources = context.getResources();
        resources.getValue(i6, typedValue, true);
        Typeface m2334 = m2334(context, resources, typedValue, i6, i7, fVar, handler, z5, z6);
        if (m2334 == null && fVar == null && !z6) {
            throw new Resources.NotFoundException("Font resource ID #0x" + Integer.toHexString(i6) + " could not be retrieved.");
        }
        return m2334;
    }

    /* JADX WARN: Removed duplicated region for block: B:37:0x00b7  */
    /* renamed from: י  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static Typeface m2334(Context context, Resources resources, TypedValue typedValue, int i6, int i7, f fVar, Handler handler, boolean z5, boolean z6) {
        CharSequence charSequence = typedValue.string;
        if (charSequence != null) {
            String charSequence2 = charSequence.toString();
            if (!charSequence2.startsWith("res/")) {
                if (fVar != null) {
                    fVar.m2345(-3, handler);
                }
                return null;
            }
            Typeface m2520 = androidx.core.graphics.k.m2520(resources, i6, charSequence2, typedValue.assetCookie, i7);
            if (m2520 != null) {
                if (fVar != null) {
                    fVar.m2346(m2520, handler);
                }
                return m2520;
            } else if (z6) {
                return null;
            } else {
                try {
                    if (charSequence2.toLowerCase().endsWith(".xml")) {
                        f.b m2295 = androidx.core.content.res.f.m2295(resources.getXml(i6), resources);
                        if (m2295 == null) {
                            Log.e("ResourcesCompat", "Failed to find font-family tag");
                            if (fVar != null) {
                                fVar.m2345(-3, handler);
                            }
                            return null;
                        }
                        return androidx.core.graphics.k.m2517(context, m2295, resources, i6, charSequence2, typedValue.assetCookie, i7, fVar, handler, z5);
                    }
                    Typeface m2518 = androidx.core.graphics.k.m2518(context, resources, i6, charSequence2, typedValue.assetCookie, i7);
                    if (fVar != null) {
                        if (m2518 != null) {
                            fVar.m2346(m2518, handler);
                        } else {
                            fVar.m2345(-3, handler);
                        }
                    }
                    return m2518;
                } catch (IOException e6) {
                    Log.e("ResourcesCompat", "Failed to read xml resource " + charSequence2, e6);
                    if (fVar != null) {
                        fVar.m2345(-3, handler);
                    }
                    return null;
                } catch (XmlPullParserException e7) {
                    Log.e("ResourcesCompat", "Failed to parse xml resource " + charSequence2, e7);
                    if (fVar != null) {
                    }
                    return null;
                }
            }
        }
        throw new Resources.NotFoundException("Resource \"" + resources.getResourceName(i6) + "\" (" + Integer.toHexString(i6) + ") is not a Font: " + typedValue);
    }
}
