package androidx.core.os;

import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Parcelable;
import android.util.Size;
import android.util.SizeF;
import java.io.Serializable;
/* compiled from: Bundle.kt */
/* loaded from: classes.dex */
public final class f {
    /* renamed from: ʻ  reason: contains not printable characters */
    public static final Bundle m2596(p4.i<String, ? extends Object>... iVarArr) {
        z4.i.m14313(iVarArr, "pairs");
        Bundle bundle = new Bundle(iVarArr.length);
        for (p4.i<String, ? extends Object> iVar : iVarArr) {
            String m12370 = iVar.m12370();
            Object m12371 = iVar.m12371();
            if (m12371 == null) {
                bundle.putString(m12370, null);
            } else if (m12371 instanceof Boolean) {
                bundle.putBoolean(m12370, ((Boolean) m12371).booleanValue());
            } else if (m12371 instanceof Byte) {
                bundle.putByte(m12370, ((Number) m12371).byteValue());
            } else if (m12371 instanceof Character) {
                bundle.putChar(m12370, ((Character) m12371).charValue());
            } else if (m12371 instanceof Double) {
                bundle.putDouble(m12370, ((Number) m12371).doubleValue());
            } else if (m12371 instanceof Float) {
                bundle.putFloat(m12370, ((Number) m12371).floatValue());
            } else if (m12371 instanceof Integer) {
                bundle.putInt(m12370, ((Number) m12371).intValue());
            } else if (m12371 instanceof Long) {
                bundle.putLong(m12370, ((Number) m12371).longValue());
            } else if (m12371 instanceof Short) {
                bundle.putShort(m12370, ((Number) m12371).shortValue());
            } else if (m12371 instanceof Bundle) {
                bundle.putBundle(m12370, (Bundle) m12371);
            } else if (m12371 instanceof CharSequence) {
                bundle.putCharSequence(m12370, (CharSequence) m12371);
            } else if (m12371 instanceof Parcelable) {
                bundle.putParcelable(m12370, (Parcelable) m12371);
            } else if (m12371 instanceof boolean[]) {
                bundle.putBooleanArray(m12370, (boolean[]) m12371);
            } else if (m12371 instanceof byte[]) {
                bundle.putByteArray(m12370, (byte[]) m12371);
            } else if (m12371 instanceof char[]) {
                bundle.putCharArray(m12370, (char[]) m12371);
            } else if (m12371 instanceof double[]) {
                bundle.putDoubleArray(m12370, (double[]) m12371);
            } else if (m12371 instanceof float[]) {
                bundle.putFloatArray(m12370, (float[]) m12371);
            } else if (m12371 instanceof int[]) {
                bundle.putIntArray(m12370, (int[]) m12371);
            } else if (m12371 instanceof long[]) {
                bundle.putLongArray(m12370, (long[]) m12371);
            } else if (m12371 instanceof short[]) {
                bundle.putShortArray(m12370, (short[]) m12371);
            } else if (m12371 instanceof Object[]) {
                Class<?> componentType = m12371.getClass().getComponentType();
                z4.i.m14310(componentType);
                if (Parcelable.class.isAssignableFrom(componentType)) {
                    z4.i.m14311(m12371, "null cannot be cast to non-null type kotlin.Array<android.os.Parcelable>");
                    bundle.putParcelableArray(m12370, (Parcelable[]) m12371);
                } else if (String.class.isAssignableFrom(componentType)) {
                    z4.i.m14311(m12371, "null cannot be cast to non-null type kotlin.Array<kotlin.String>");
                    bundle.putStringArray(m12370, (String[]) m12371);
                } else if (CharSequence.class.isAssignableFrom(componentType)) {
                    z4.i.m14311(m12371, "null cannot be cast to non-null type kotlin.Array<kotlin.CharSequence>");
                    bundle.putCharSequenceArray(m12370, (CharSequence[]) m12371);
                } else if (Serializable.class.isAssignableFrom(componentType)) {
                    bundle.putSerializable(m12370, (Serializable) m12371);
                } else {
                    throw new IllegalArgumentException("Illegal value array type " + componentType.getCanonicalName() + " for key \"" + m12370 + '\"');
                }
            } else if (m12371 instanceof Serializable) {
                bundle.putSerializable(m12370, (Serializable) m12371);
            } else {
                int i6 = Build.VERSION.SDK_INT;
                if (m12371 instanceof IBinder) {
                    b.m2591(bundle, m12370, (IBinder) m12371);
                } else if (i6 >= 21 && (m12371 instanceof Size)) {
                    e.m2594(bundle, m12370, (Size) m12371);
                } else if (i6 >= 21 && (m12371 instanceof SizeF)) {
                    e.m2595(bundle, m12370, (SizeF) m12371);
                } else {
                    throw new IllegalArgumentException("Illegal value type " + m12371.getClass().getCanonicalName() + " for key \"" + m12370 + '\"');
                }
            }
        }
        return bundle;
    }
}
