package com.bumptech.glide.load.data;

import android.text.TextUtils;
import android.util.Log;
import com.bumptech.glide.load.data.d;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Map;
/* compiled from: HttpUrlFetcher.java */
/* loaded from: classes.dex */
public class j implements d<InputStream> {

    /* renamed from: ˋ  reason: contains not printable characters */
    static final b f6304 = new a();

    /* renamed from: ʾ  reason: contains not printable characters */
    private final f1.h f6305;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final int f6306;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final b f6307;

    /* renamed from: ˈ  reason: contains not printable characters */
    private HttpURLConnection f6308;

    /* renamed from: ˉ  reason: contains not printable characters */
    private InputStream f6309;

    /* renamed from: ˊ  reason: contains not printable characters */
    private volatile boolean f6310;

    /* compiled from: HttpUrlFetcher.java */
    /* loaded from: classes.dex */
    private static class a implements b {
        a() {
        }

        @Override // com.bumptech.glide.load.data.j.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public HttpURLConnection mo6854(URL url) throws IOException {
            return (HttpURLConnection) url.openConnection();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: HttpUrlFetcher.java */
    /* loaded from: classes.dex */
    public interface b {
        /* renamed from: ʻ */
        HttpURLConnection mo6854(URL url) throws IOException;
    }

    public j(f1.h hVar, int i6) {
        this(hVar, i6, f6304);
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private HttpURLConnection m6848(URL url, Map<String, String> map) throws z0.e {
        try {
            HttpURLConnection mo6854 = this.f6307.mo6854(url);
            for (Map.Entry<String, String> entry : map.entrySet()) {
                mo6854.addRequestProperty(entry.getKey(), entry.getValue());
            }
            mo6854.setConnectTimeout(this.f6306);
            mo6854.setReadTimeout(this.f6306);
            mo6854.setUseCaches(false);
            mo6854.setDoInput(true);
            mo6854.setInstanceFollowRedirects(false);
            return mo6854;
        } catch (IOException e6) {
            throw new z0.e("URL.openConnection threw", 0, e6);
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static int m6849(HttpURLConnection httpURLConnection) {
        try {
            return httpURLConnection.getResponseCode();
        } catch (IOException e6) {
            if (Log.isLoggable("HttpUrlFetcher", 3)) {
                Log.d("HttpUrlFetcher", "Failed to get a response code", e6);
                return -1;
            }
            return -1;
        }
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private InputStream m6850(HttpURLConnection httpURLConnection) throws z0.e {
        try {
            if (TextUtils.isEmpty(httpURLConnection.getContentEncoding())) {
                this.f6309 = v1.c.m13612(httpURLConnection.getInputStream(), httpURLConnection.getContentLength());
            } else {
                if (Log.isLoggable("HttpUrlFetcher", 3)) {
                    Log.d("HttpUrlFetcher", "Got non empty content encoding: " + httpURLConnection.getContentEncoding());
                }
                this.f6309 = httpURLConnection.getInputStream();
            }
            return this.f6309;
        } catch (IOException e6) {
            throw new z0.e("Failed to obtain InputStream", m6849(httpURLConnection), e6);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static boolean m6851(int i6) {
        if (i6 / 100 == 2) {
            return true;
        }
        return false;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private static boolean m6852(int i6) {
        if (i6 / 100 == 3) {
            return true;
        }
        return false;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private InputStream m6853(URL url, int i6, URL url2, Map<String, String> map) throws z0.e {
        if (i6 < 5) {
            if (url2 != null) {
                try {
                    if (url.toURI().equals(url2.toURI())) {
                        throw new z0.e("In re-direct loop", -1);
                    }
                } catch (URISyntaxException unused) {
                }
            }
            HttpURLConnection m6848 = m6848(url, map);
            this.f6308 = m6848;
            try {
                m6848.connect();
                this.f6309 = this.f6308.getInputStream();
                if (this.f6310) {
                    return null;
                }
                int m6849 = m6849(this.f6308);
                if (m6851(m6849)) {
                    return m6850(this.f6308);
                }
                if (m6852(m6849)) {
                    String headerField = this.f6308.getHeaderField("Location");
                    if (!TextUtils.isEmpty(headerField)) {
                        try {
                            URL url3 = new URL(url, headerField);
                            mo140();
                            return m6853(url3, i6 + 1, url, map);
                        } catch (MalformedURLException e6) {
                            throw new z0.e("Bad redirect url: " + headerField, m6849, e6);
                        }
                    }
                    throw new z0.e("Received empty or null redirect url", m6849);
                } else if (m6849 == -1) {
                    throw new z0.e(m6849);
                } else {
                    try {
                        throw new z0.e(this.f6308.getResponseMessage(), m6849);
                    } catch (IOException e7) {
                        throw new z0.e("Failed to get a response message", m6849, e7);
                    }
                }
            } catch (IOException e8) {
                throw new z0.e("Failed to connect or obtain data", m6849(this.f6308), e8);
            }
        }
        throw new z0.e("Too many (> 5) redirects!", -1);
    }

    @Override // com.bumptech.glide.load.data.d
    public void cancel() {
        this.f6310 = true;
    }

    @Override // com.bumptech.glide.load.data.d
    /* renamed from: ʻ */
    public Class<InputStream> mo139() {
        return InputStream.class;
    }

    @Override // com.bumptech.glide.load.data.d
    /* renamed from: ʼ */
    public void mo140() {
        InputStream inputStream = this.f6309;
        if (inputStream != null) {
            try {
                inputStream.close();
            } catch (IOException unused) {
            }
        }
        HttpURLConnection httpURLConnection = this.f6308;
        if (httpURLConnection != null) {
            httpURLConnection.disconnect();
        }
        this.f6308 = null;
    }

    @Override // com.bumptech.glide.load.data.d
    /* renamed from: ʿ */
    public z0.a mo141() {
        return z0.a.REMOTE;
    }

    @Override // com.bumptech.glide.load.data.d
    /* renamed from: ˆ */
    public void mo142(com.bumptech.glide.g gVar, d.a<? super InputStream> aVar) {
        StringBuilder sb;
        long m13621 = v1.g.m13621();
        try {
            try {
                aVar.mo6100(m6853(this.f6305.m9549(), 0, null, this.f6305.m9548()));
            } catch (IOException e6) {
                if (Log.isLoggable("HttpUrlFetcher", 3)) {
                    Log.d("HttpUrlFetcher", "Failed to load data for url", e6);
                }
                aVar.mo6099(e6);
                if (Log.isLoggable("HttpUrlFetcher", 2)) {
                    sb = new StringBuilder();
                } else {
                    return;
                }
            }
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                sb = new StringBuilder();
                sb.append("Finished http url fetcher fetch in ");
                sb.append(v1.g.m13620(m13621));
                Log.v("HttpUrlFetcher", sb.toString());
            }
        } catch (Throwable th) {
            if (Log.isLoggable("HttpUrlFetcher", 2)) {
                Log.v("HttpUrlFetcher", "Finished http url fetcher fetch in " + v1.g.m13620(m13621));
            }
            throw th;
        }
    }

    j(f1.h hVar, int i6, b bVar) {
        this.f6305 = hVar;
        this.f6306 = i6;
        this.f6307 = bVar;
    }
}
