package com.google.android.material.appbar;

import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.ColorStateListDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.widget.AbsListView;
import android.widget.LinearLayout;
import android.widget.ScrollView;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.accessibility.j0;
import androidx.core.view.accessibility.o0;
import androidx.core.view.m0;
import androidx.core.view.s0;
import androidx.core.view.t4;
import androidx.core.view.z0;
import com.google.android.material.internal.y;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public class AppBarLayout extends LinearLayout implements CoordinatorLayout.b {

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private static final int f6323 = c2.j.Widget_Design_AppBarLayout;

    /* renamed from: ʾ  reason: contains not printable characters */
    private int f6324;

    /* renamed from: ʿ  reason: contains not printable characters */
    private int f6325;

    /* renamed from: ˆ  reason: contains not printable characters */
    private int f6326;

    /* renamed from: ˈ  reason: contains not printable characters */
    private int f6327;

    /* renamed from: ˉ  reason: contains not printable characters */
    private boolean f6328;

    /* renamed from: ˊ  reason: contains not printable characters */
    private int f6329;

    /* renamed from: ˋ  reason: contains not printable characters */
    private t4 f6330;

    /* renamed from: ˎ  reason: contains not printable characters */
    private List<b> f6331;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f6332;

    /* renamed from: ˑ  reason: contains not printable characters */
    private boolean f6333;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f6334;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f6335;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f6336;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private WeakReference<View> f6337;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private Behavior f6338;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final ColorStateList f6339;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private ValueAnimator f6340;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private ValueAnimator.AnimatorUpdateListener f6341;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private final List<g> f6342;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final long f6343;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final TimeInterpolator f6344;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private int[] f6345;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private Drawable f6346;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private final float f6347;

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class BaseBehavior<T extends AppBarLayout> extends com.google.android.material.appbar.f<T> {

        /* renamed from: י  reason: contains not printable characters */
        private int f6348;

        /* renamed from: ـ  reason: contains not printable characters */
        private int f6349;

        /* renamed from: ٴ  reason: contains not printable characters */
        private ValueAnimator f6350;

        /* renamed from: ᐧ  reason: contains not printable characters */
        private e f6351;

        /* renamed from: ᴵ  reason: contains not printable characters */
        private WeakReference<View> f6352;

        /* renamed from: ᵎ  reason: contains not printable characters */
        private boolean f6353;

        /* JADX INFO: Access modifiers changed from: package-private */
        /* loaded from: classes.dex */
        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: ʾ  reason: contains not printable characters */
            final /* synthetic */ CoordinatorLayout f6354;

            /* renamed from: ʿ  reason: contains not printable characters */
            final /* synthetic */ AppBarLayout f6355;

            a(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout) {
                this.f6354 = coordinatorLayout;
                this.f6355 = appBarLayout;
            }

            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                BaseBehavior.this.m6977(this.f6354, this.f6355, ((Integer) valueAnimator.getAnimatedValue()).intValue());
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* loaded from: classes.dex */
        public class b extends androidx.core.view.a {
            b() {
            }

            @Override // androidx.core.view.a
            /* renamed from: ˈ */
            public void mo28(View view, j0 j0Var) {
                super.mo28(view, j0Var);
                j0Var.m2853(BaseBehavior.this.f6353);
                j0Var.m2834(ScrollView.class.getName());
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* loaded from: classes.dex */
        public class c implements o0 {

            /* renamed from: ʻ  reason: contains not printable characters */
            final /* synthetic */ CoordinatorLayout f6358;

            /* renamed from: ʼ  reason: contains not printable characters */
            final /* synthetic */ AppBarLayout f6359;

            /* renamed from: ʽ  reason: contains not printable characters */
            final /* synthetic */ View f6360;

            /* renamed from: ʾ  reason: contains not printable characters */
            final /* synthetic */ int f6361;

            c(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i6) {
                this.f6358 = coordinatorLayout;
                this.f6359 = appBarLayout;
                this.f6360 = view;
                this.f6361 = i6;
            }

            /* JADX WARN: Multi-variable type inference failed */
            @Override // androidx.core.view.accessibility.o0
            /* renamed from: ʻ */
            public boolean mo2921(View view, o0.a aVar) {
                BaseBehavior.this.mo2103(this.f6358, this.f6359, this.f6360, 0, this.f6361, new int[]{0, 0}, 1);
                return true;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* loaded from: classes.dex */
        public class d implements o0 {

            /* renamed from: ʻ  reason: contains not printable characters */
            final /* synthetic */ AppBarLayout f6363;

            /* renamed from: ʼ  reason: contains not printable characters */
            final /* synthetic */ boolean f6364;

            d(AppBarLayout appBarLayout, boolean z5) {
                this.f6363 = appBarLayout;
                this.f6364 = z5;
            }

            @Override // androidx.core.view.accessibility.o0
            /* renamed from: ʻ */
            public boolean mo2921(View view, o0.a aVar) {
                this.f6363.setExpanded(this.f6364);
                return true;
            }
        }

        public BaseBehavior() {
        }

        /* renamed from: ʻʼ  reason: contains not printable characters */
        private void m6900(CoordinatorLayout coordinatorLayout, T t6, j0.a aVar, boolean z5) {
            z0.m3386(coordinatorLayout, aVar, null, new d(t6, z5));
        }

        /* renamed from: ʻʽ  reason: contains not printable characters */
        private void m6901(CoordinatorLayout coordinatorLayout, T t6, int i6, float f6) {
            int height;
            int abs = Math.abs(mo6938() - i6);
            float abs2 = Math.abs(f6);
            if (abs2 > 0.0f) {
                height = Math.round((abs / abs2) * 1000.0f) * 3;
            } else {
                height = (int) (((abs / t6.getHeight()) + 1.0f) * 150.0f);
            }
            m6902(coordinatorLayout, t6, i6, height);
        }

        /* renamed from: ʻʾ  reason: contains not printable characters */
        private void m6902(CoordinatorLayout coordinatorLayout, T t6, int i6, int i7) {
            int mo6938 = mo6938();
            if (mo6938 == i6) {
                ValueAnimator valueAnimator = this.f6350;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    this.f6350.cancel();
                    return;
                }
                return;
            }
            ValueAnimator valueAnimator2 = this.f6350;
            if (valueAnimator2 == null) {
                ValueAnimator valueAnimator3 = new ValueAnimator();
                this.f6350 = valueAnimator3;
                valueAnimator3.setInterpolator(d2.a.f8065);
                this.f6350.addUpdateListener(new a(coordinatorLayout, t6));
            } else {
                valueAnimator2.cancel();
            }
            this.f6350.setDuration(Math.min(i7, 600));
            this.f6350.setIntValues(mo6938, i6);
            this.f6350.start();
        }

        /* renamed from: ʻʿ  reason: contains not printable characters */
        private int m6903(int i6, int i7, int i8) {
            if (i6 >= (i7 + i8) / 2) {
                return i8;
            }
            return i7;
        }

        /* renamed from: ʻˈ  reason: contains not printable characters */
        private boolean m6904(CoordinatorLayout coordinatorLayout, T t6, View view) {
            if (t6.m6891() && coordinatorLayout.getHeight() - view.getHeight() <= t6.getHeight()) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻˉ  reason: contains not printable characters */
        private static boolean m6905(int i6, int i7) {
            if ((i6 & i7) == i7) {
                return true;
            }
            return false;
        }

        /* renamed from: ʻˊ  reason: contains not printable characters */
        private boolean m6906(AppBarLayout appBarLayout) {
            int childCount = appBarLayout.getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                if (((f) appBarLayout.getChildAt(i6).getLayoutParams()).f6374 != 0) {
                    return true;
                }
            }
            return false;
        }

        /* renamed from: ʻˋ  reason: contains not printable characters */
        private View m6907(CoordinatorLayout coordinatorLayout) {
            int childCount = coordinatorLayout.getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = coordinatorLayout.getChildAt(i6);
                if ((childAt instanceof m0) || (childAt instanceof AbsListView) || (childAt instanceof ScrollView)) {
                    return childAt;
                }
            }
            return null;
        }

        /* renamed from: ʻˎ  reason: contains not printable characters */
        private static View m6908(AppBarLayout appBarLayout, int i6) {
            int abs = Math.abs(i6);
            int childCount = appBarLayout.getChildCount();
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = appBarLayout.getChildAt(i7);
                if (abs >= childAt.getTop() && abs <= childAt.getBottom()) {
                    return childAt;
                }
            }
            return null;
        }

        /* renamed from: ʻˏ  reason: contains not printable characters */
        private int m6909(T t6, int i6) {
            int childCount = t6.getChildCount();
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt = t6.getChildAt(i7);
                int top = childAt.getTop();
                int bottom = childAt.getBottom();
                f fVar = (f) childAt.getLayoutParams();
                if (m6905(fVar.m6959(), 32)) {
                    top -= ((LinearLayout.LayoutParams) fVar).topMargin;
                    bottom += ((LinearLayout.LayoutParams) fVar).bottomMargin;
                }
                int i8 = -i6;
                if (top <= i8 && bottom >= i8) {
                    return i7;
                }
            }
            return -1;
        }

        /* renamed from: ʻˑ  reason: contains not printable characters */
        private View m6910(CoordinatorLayout coordinatorLayout) {
            int childCount = coordinatorLayout.getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = coordinatorLayout.getChildAt(i6);
                if (((CoordinatorLayout.f) childAt.getLayoutParams()).m2117() instanceof ScrollingViewBehavior) {
                    return childAt;
                }
            }
            return null;
        }

        /* renamed from: ʻٴ  reason: contains not printable characters */
        private int m6911(T t6, int i6) {
            int abs = Math.abs(i6);
            int childCount = t6.getChildCount();
            int i7 = 0;
            int i8 = 0;
            while (true) {
                if (i8 >= childCount) {
                    break;
                }
                View childAt = t6.getChildAt(i8);
                f fVar = (f) childAt.getLayoutParams();
                Interpolator m6960 = fVar.m6960();
                if (abs >= childAt.getTop() && abs <= childAt.getBottom()) {
                    if (m6960 != null) {
                        int m6959 = fVar.m6959();
                        if ((m6959 & 1) != 0) {
                            i7 = 0 + childAt.getHeight() + ((LinearLayout.LayoutParams) fVar).topMargin + ((LinearLayout.LayoutParams) fVar).bottomMargin;
                            if ((m6959 & 2) != 0) {
                                i7 -= z0.m3421(childAt);
                            }
                        }
                        if (z0.m3447(childAt)) {
                            i7 -= t6.getTopInset();
                        }
                        if (i7 > 0) {
                            float f6 = i7;
                            return Integer.signum(i6) * (childAt.getTop() + Math.round(f6 * m6960.getInterpolation((abs - childAt.getTop()) / f6)));
                        }
                    }
                } else {
                    i8++;
                }
            }
            return i6;
        }

        /* renamed from: ʼʿ  reason: contains not printable characters */
        private boolean m6912(CoordinatorLayout coordinatorLayout, T t6) {
            List<View> m2074 = coordinatorLayout.m2074(t6);
            int size = m2074.size();
            for (int i6 = 0; i6 < size; i6++) {
                CoordinatorLayout.c m2117 = ((CoordinatorLayout.f) m2074.get(i6).getLayoutParams()).m2117();
                if (m2117 instanceof ScrollingViewBehavior) {
                    if (((ScrollingViewBehavior) m2117).m6981() == 0) {
                        return false;
                    }
                    return true;
                }
            }
            return false;
        }

        /* renamed from: ʼˆ  reason: contains not printable characters */
        private void m6913(CoordinatorLayout coordinatorLayout, T t6) {
            int topInset = t6.getTopInset() + t6.getPaddingTop();
            int mo6938 = mo6938() - topInset;
            int m6909 = m6909(t6, mo6938);
            if (m6909 >= 0) {
                View childAt = t6.getChildAt(m6909);
                f fVar = (f) childAt.getLayoutParams();
                int m6959 = fVar.m6959();
                if ((m6959 & 17) == 17) {
                    int i6 = -childAt.getTop();
                    int i7 = -childAt.getBottom();
                    if (m6909 == 0 && z0.m3447(t6) && z0.m3447(childAt)) {
                        i6 -= t6.getTopInset();
                    }
                    if (m6905(m6959, 2)) {
                        i7 += z0.m3421(childAt);
                    } else if (m6905(m6959, 5)) {
                        int m3421 = z0.m3421(childAt) + i7;
                        if (mo6938 < m3421) {
                            i6 = m3421;
                        } else {
                            i7 = m3421;
                        }
                    }
                    if (m6905(m6959, 32)) {
                        i6 += ((LinearLayout.LayoutParams) fVar).topMargin;
                        i7 -= ((LinearLayout.LayoutParams) fVar).bottomMargin;
                    }
                    m6901(coordinatorLayout, t6, v.a.m13579(m6903(mo6938, i7, i6) + topInset, -t6.getTotalScrollRange(), 0), 0.0f);
                }
            }
        }

        /* renamed from: ʼˈ  reason: contains not printable characters */
        private void m6914(CoordinatorLayout coordinatorLayout, T t6) {
            View m6910;
            z0.m3384(coordinatorLayout, j0.a.f3093.m2897());
            z0.m3384(coordinatorLayout, j0.a.f3095.m2897());
            if (t6.getTotalScrollRange() == 0 || (m6910 = m6910(coordinatorLayout)) == null || !m6906(t6)) {
                return;
            }
            if (!z0.m3439(coordinatorLayout)) {
                z0.m3390(coordinatorLayout, new b());
            }
            this.f6353 = m6918(coordinatorLayout, t6, m6910);
        }

        /* renamed from: ʼˉ  reason: contains not printable characters */
        private void m6915(CoordinatorLayout coordinatorLayout, T t6, int i6, int i7, boolean z5) {
            View m6908 = m6908(t6, i6);
            boolean z6 = false;
            if (m6908 != null) {
                int m6959 = ((f) m6908.getLayoutParams()).m6959();
                if ((m6959 & 1) != 0) {
                    int m3421 = z0.m3421(m6908);
                    if (i7 <= 0 || (m6959 & 12) == 0 ? !((m6959 & 2) == 0 || (-i6) < (m6908.getBottom() - m3421) - t6.getTopInset()) : (-i6) >= (m6908.getBottom() - m3421) - t6.getTopInset()) {
                        z6 = true;
                    }
                }
            }
            if (t6.m6892()) {
                z6 = t6.m6899(m6907(coordinatorLayout));
            }
            boolean m6897 = t6.m6897(z6);
            if (z5 || (m6897 && m6912(coordinatorLayout, t6))) {
                if (t6.getBackground() != null) {
                    t6.getBackground().jumpToCurrentState();
                }
                int i8 = Build.VERSION.SDK_INT;
                if (i8 >= 23 && t6.getForeground() != null) {
                    t6.getForeground().jumpToCurrentState();
                }
                if (i8 >= 21 && t6.getStateListAnimator() != null) {
                    t6.getStateListAnimator().jumpToCurrentState();
                }
            }
        }

        /* renamed from: ﹶﹶ  reason: contains not printable characters */
        private boolean m6918(CoordinatorLayout coordinatorLayout, T t6, View view) {
            boolean z5 = false;
            if (mo6938() != (-t6.getTotalScrollRange())) {
                m6900(coordinatorLayout, t6, j0.a.f3093, false);
                z5 = true;
            }
            if (mo6938() != 0) {
                if (view.canScrollVertically(-1)) {
                    int i6 = -t6.getDownNestedPreScrollRange();
                    if (i6 != 0) {
                        z0.m3386(coordinatorLayout, j0.a.f3095, null, new c(coordinatorLayout, t6, view, i6));
                        return true;
                    }
                } else {
                    m6900(coordinatorLayout, t6, j0.a.f3095, true);
                    return true;
                }
            }
            return z5;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.f
        /* renamed from: ʻˆ  reason: contains not printable characters */
        public boolean mo6934(T t6) {
            WeakReference<View> weakReference = this.f6352;
            if (weakReference == null) {
                return true;
            }
            View view = weakReference.get();
            if (view != null && view.isShown() && !view.canScrollVertically(-1)) {
                return true;
            }
            return false;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.f
        /* renamed from: ʻי  reason: contains not printable characters */
        public int mo6935(T t6) {
            return (-t6.getDownNestedScrollRange()) + t6.getTopInset();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.f
        /* renamed from: ʻـ  reason: contains not printable characters */
        public int mo6936(T t6) {
            return t6.getTotalScrollRange();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.f
        /* renamed from: ʻᐧ  reason: contains not printable characters */
        public void mo6937(CoordinatorLayout coordinatorLayout, T t6) {
            m6913(coordinatorLayout, t6);
            if (t6.m6892()) {
                t6.m6897(t6.m6899(m6907(coordinatorLayout)));
            }
        }

        @Override // com.google.android.material.appbar.h, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻᴵ  reason: contains not printable characters */
        public boolean mo2096(CoordinatorLayout coordinatorLayout, T t6, int i6) {
            boolean z5;
            int round;
            boolean mo2096 = super.mo2096(coordinatorLayout, t6, i6);
            int pendingAction = t6.getPendingAction();
            e eVar = this.f6351;
            if (eVar != null && (pendingAction & 8) == 0) {
                if (eVar.f6366) {
                    m6977(coordinatorLayout, t6, -t6.getTotalScrollRange());
                } else if (eVar.f6367) {
                    m6977(coordinatorLayout, t6, 0);
                } else {
                    View childAt = t6.getChildAt(eVar.f6368);
                    int i7 = -childAt.getBottom();
                    if (this.f6351.f6370) {
                        round = z0.m3421(childAt) + t6.getTopInset();
                    } else {
                        round = Math.round(childAt.getHeight() * this.f6351.f6369);
                    }
                    m6977(coordinatorLayout, t6, i7 + round);
                }
            } else if (pendingAction != 0) {
                if ((pendingAction & 4) != 0) {
                    z5 = true;
                } else {
                    z5 = false;
                }
                if ((pendingAction & 2) != 0) {
                    int i8 = -t6.getUpNestedPreScrollRange();
                    if (z5) {
                        m6901(coordinatorLayout, t6, i8, 0.0f);
                    } else {
                        m6977(coordinatorLayout, t6, i8);
                    }
                } else if ((pendingAction & 1) != 0) {
                    if (z5) {
                        m6901(coordinatorLayout, t6, 0, 0.0f);
                    } else {
                        m6977(coordinatorLayout, t6, 0);
                    }
                }
            }
            t6.m6895();
            this.f6351 = null;
            mo6944(v.a.m13579(mo6943(), -t6.getTotalScrollRange(), 0));
            m6915(coordinatorLayout, t6, mo6943(), 0, true);
            t6.m6893(mo6943());
            m6914(coordinatorLayout, t6);
            return mo2096;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻᵎ  reason: contains not printable characters */
        public boolean mo2097(CoordinatorLayout coordinatorLayout, T t6, int i6, int i7, int i8, int i9) {
            if (((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) t6.getLayoutParams())).height == -2) {
                coordinatorLayout.m2063(t6, i6, i7, View.MeasureSpec.makeMeasureSpec(0, 0), i9);
                return true;
            }
            return super.mo2097(coordinatorLayout, t6, i6, i7, i8, i9);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻᵔ  reason: contains not printable characters */
        public void mo2103(CoordinatorLayout coordinatorLayout, T t6, View view, int i6, int i7, int[] iArr, int i8) {
            int i9;
            int i10;
            if (i7 != 0) {
                if (i7 < 0) {
                    int i11 = -t6.getTotalScrollRange();
                    i9 = i11;
                    i10 = t6.getDownNestedPreScrollRange() + i11;
                } else {
                    i9 = -t6.getUpNestedPreScrollRange();
                    i10 = 0;
                }
                if (i9 != i10) {
                    iArr[1] = m6976(coordinatorLayout, t6, i7, i9, i10);
                }
            }
            if (t6.m6892()) {
                t6.m6897(t6.m6899(view));
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻᵢ  reason: contains not printable characters */
        public void mo2106(CoordinatorLayout coordinatorLayout, T t6, View view, int i6, int i7, int i8, int i9, int i10, int[] iArr) {
            if (i9 < 0) {
                iArr[1] = m6976(coordinatorLayout, t6, i9, -t6.getDownNestedScrollRange(), 0);
            }
            if (i9 == 0) {
                m6914(coordinatorLayout, t6);
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻⁱ  reason: contains not printable characters */
        public void mo2100(CoordinatorLayout coordinatorLayout, T t6, Parcelable parcelable) {
            if (parcelable instanceof e) {
                m6931((e) parcelable, true);
                super.mo2100(coordinatorLayout, t6, this.f6351.m14259());
                return;
            }
            super.mo2100(coordinatorLayout, t6, parcelable);
            this.f6351 = null;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻﹳ  reason: contains not printable characters */
        public Parcelable mo2079(CoordinatorLayout coordinatorLayout, T t6) {
            Parcelable mo2079 = super.mo2079(coordinatorLayout, t6);
            e m6932 = m6932(mo2079, t6);
            if (m6932 != null) {
                return m6932;
            }
            return mo2079;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻﹶ  reason: contains not printable characters */
        public boolean mo2080(CoordinatorLayout coordinatorLayout, T t6, View view, View view2, int i6, int i7) {
            boolean z5;
            ValueAnimator valueAnimator;
            if ((i6 & 2) != 0 && (t6.m6892() || m6904(coordinatorLayout, t6, view))) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (z5 && (valueAnimator = this.f6350) != null) {
                valueAnimator.cancel();
            }
            this.f6352 = null;
            this.f6349 = i7;
            return z5;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ʻﾞ  reason: contains not printable characters */
        public void mo2082(CoordinatorLayout coordinatorLayout, T t6, View view, int i6) {
            if (this.f6349 == 0 || i6 == 1) {
                m6913(coordinatorLayout, t6);
                if (t6.m6892()) {
                    t6.m6897(t6.m6899(view));
                }
            }
            this.f6352 = new WeakReference<>(view);
        }

        /* renamed from: ʼʻ  reason: contains not printable characters */
        void m6931(e eVar, boolean z5) {
            if (this.f6351 == null || z5) {
                this.f6351 = eVar;
            }
        }

        /* renamed from: ʼʽ  reason: contains not printable characters */
        e m6932(Parcelable parcelable, T t6) {
            boolean z5;
            boolean z6;
            int mo6943 = mo6943();
            int childCount = t6.getChildCount();
            boolean z7 = false;
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = t6.getChildAt(i6);
                int bottom = childAt.getBottom() + mo6943;
                if (childAt.getTop() + mo6943 <= 0 && bottom >= 0) {
                    if (parcelable == null) {
                        parcelable = z.a.f13469;
                    }
                    e eVar = new e(parcelable);
                    if (mo6943 == 0) {
                        z5 = true;
                    } else {
                        z5 = false;
                    }
                    eVar.f6367 = z5;
                    if (!z5 && (-mo6943) >= t6.getTotalScrollRange()) {
                        z6 = true;
                    } else {
                        z6 = false;
                    }
                    eVar.f6366 = z6;
                    eVar.f6368 = i6;
                    if (bottom == z0.m3421(childAt) + t6.getTopInset()) {
                        z7 = true;
                    }
                    eVar.f6370 = z7;
                    eVar.f6369 = bottom / childAt.getHeight();
                    return eVar;
                }
            }
            return null;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.f
        /* renamed from: ʼʾ  reason: contains not printable characters */
        public int mo6939(CoordinatorLayout coordinatorLayout, T t6, int i6, int i7, int i8) {
            int i9;
            int i10;
            int mo6938 = mo6938();
            int i11 = 0;
            if (i7 != 0 && mo6938 >= i7 && mo6938 <= i8) {
                int m13579 = v.a.m13579(i6, i7, i8);
                if (mo6938 != m13579) {
                    if (t6.m6890()) {
                        i9 = m6911(t6, m13579);
                    } else {
                        i9 = m13579;
                    }
                    boolean mo6944 = mo6944(i9);
                    int i12 = mo6938 - m13579;
                    this.f6348 = m13579 - i9;
                    if (mo6944) {
                        while (i11 < t6.getChildCount()) {
                            f fVar = (f) t6.getChildAt(i11).getLayoutParams();
                            c m6958 = fVar.m6958();
                            if (m6958 != null && (fVar.m6959() & 1) != 0) {
                                m6958.mo6953(t6, t6.getChildAt(i11), mo6943());
                            }
                            i11++;
                        }
                    }
                    if (!mo6944 && t6.m6890()) {
                        coordinatorLayout.m2060(t6);
                    }
                    t6.m6893(mo6943());
                    if (m13579 < mo6938) {
                        i10 = -1;
                    } else {
                        i10 = 1;
                    }
                    m6915(coordinatorLayout, t6, m13579, i10, false);
                    i11 = i12;
                }
            } else {
                this.f6348 = 0;
            }
            m6914(coordinatorLayout, t6);
            return i11;
        }

        @Override // com.google.android.material.appbar.f
        /* renamed from: ᵔᵔ  reason: contains not printable characters */
        int mo6938() {
            return mo6943() + this.f6348;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        /* JADX INFO: Access modifiers changed from: protected */
        /* loaded from: classes.dex */
        public static class e extends z.a {
            public static final Parcelable.Creator<e> CREATOR = new a();

            /* renamed from: ˆ  reason: contains not printable characters */
            boolean f6366;

            /* renamed from: ˈ  reason: contains not printable characters */
            boolean f6367;

            /* renamed from: ˉ  reason: contains not printable characters */
            int f6368;

            /* renamed from: ˊ  reason: contains not printable characters */
            float f6369;

            /* renamed from: ˋ  reason: contains not printable characters */
            boolean f6370;

            /* loaded from: classes.dex */
            class a implements Parcelable.ClassLoaderCreator<e> {
                a() {
                }

                @Override // android.os.Parcelable.Creator
                /* renamed from: ʻ  reason: contains not printable characters */
                public e createFromParcel(Parcel parcel) {
                    return new e(parcel, null);
                }

                @Override // android.os.Parcelable.ClassLoaderCreator
                /* renamed from: ʼ  reason: contains not printable characters */
                public e createFromParcel(Parcel parcel, ClassLoader classLoader) {
                    return new e(parcel, classLoader);
                }

                @Override // android.os.Parcelable.Creator
                /* renamed from: ʽ  reason: contains not printable characters */
                public e[] newArray(int i6) {
                    return new e[i6];
                }
            }

            public e(Parcel parcel, ClassLoader classLoader) {
                super(parcel, classLoader);
                this.f6366 = parcel.readByte() != 0;
                this.f6367 = parcel.readByte() != 0;
                this.f6368 = parcel.readInt();
                this.f6369 = parcel.readFloat();
                this.f6370 = parcel.readByte() != 0;
            }

            @Override // z.a, android.os.Parcelable
            public void writeToParcel(Parcel parcel, int i6) {
                super.writeToParcel(parcel, i6);
                parcel.writeByte(this.f6366 ? (byte) 1 : (byte) 0);
                parcel.writeByte(this.f6367 ? (byte) 1 : (byte) 0);
                parcel.writeInt(this.f6368);
                parcel.writeFloat(this.f6369);
                parcel.writeByte(this.f6370 ? (byte) 1 : (byte) 0);
            }

            public e(Parcelable parcelable) {
                super(parcelable);
            }
        }
    }

    /* loaded from: classes.dex */
    public static class Behavior extends BaseBehavior<AppBarLayout> {
        public Behavior() {
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻᴵ */
        public /* bridge */ /* synthetic */ boolean mo6923(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, int i6) {
            return super.mo2096(coordinatorLayout, appBarLayout, i6);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻᵎ */
        public /* bridge */ /* synthetic */ boolean mo6924(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, int i6, int i7, int i8, int i9) {
            return super.mo2097(coordinatorLayout, appBarLayout, i6, i7, i8, i9);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻᵔ */
        public /* bridge */ /* synthetic */ void mo6925(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i6, int i7, int[] iArr, int i8) {
            super.mo2103(coordinatorLayout, appBarLayout, view, i6, i7, iArr, i8);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻᵢ */
        public /* bridge */ /* synthetic */ void mo6926(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i6, int i7, int i8, int i9, int i10, int[] iArr) {
            super.mo2106(coordinatorLayout, appBarLayout, view, i6, i7, i8, i9, i10, iArr);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻⁱ */
        public /* bridge */ /* synthetic */ void mo6927(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, Parcelable parcelable) {
            super.mo2100(coordinatorLayout, appBarLayout, parcelable);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻﹳ */
        public /* bridge */ /* synthetic */ Parcelable mo6928(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout) {
            return super.mo2079(coordinatorLayout, appBarLayout);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻﹶ */
        public /* bridge */ /* synthetic */ boolean mo6929(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, View view2, int i6, int i7) {
            return super.mo2080(coordinatorLayout, appBarLayout, view, view2, i6, i7);
        }

        @Override // com.google.android.material.appbar.AppBarLayout.BaseBehavior
        /* renamed from: ʻﾞ */
        public /* bridge */ /* synthetic */ void mo6930(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, View view, int i6) {
            super.mo2082(coordinatorLayout, appBarLayout, view, i6);
        }

        @Override // com.google.android.material.appbar.h
        /* renamed from: ˆˆ  reason: contains not printable characters */
        public /* bridge */ /* synthetic */ int mo6943() {
            return super.mo6943();
        }

        @Override // com.google.android.material.appbar.h
        /* renamed from: ˈˈ  reason: contains not printable characters */
        public /* bridge */ /* synthetic */ boolean mo6944(int i6) {
            return super.mo6944(i6);
        }

        @Override // com.google.android.material.appbar.f, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ـ */
        public /* bridge */ /* synthetic */ boolean mo2094(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            return super.mo2094(coordinatorLayout, view, motionEvent);
        }

        @Override // com.google.android.material.appbar.f, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ــ */
        public /* bridge */ /* synthetic */ boolean mo2095(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            return super.mo2095(coordinatorLayout, view, motionEvent);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* loaded from: classes.dex */
    public static class ScrollingViewBehavior extends com.google.android.material.appbar.g {
        public ScrollingViewBehavior() {
        }

        /* renamed from: ٴٴ  reason: contains not printable characters */
        private void m6945(View view, View view2) {
            CoordinatorLayout.c m2117 = ((CoordinatorLayout.f) view2.getLayoutParams()).m2117();
            if (m2117 instanceof BaseBehavior) {
                z0.m3375(view, (((view2.getBottom() - view.getTop()) + ((BaseBehavior) m2117).f6348) + m6983()) - m6980(view2));
            }
        }

        /* renamed from: ﹳﹳ  reason: contains not printable characters */
        private static int m6946(AppBarLayout appBarLayout) {
            CoordinatorLayout.c m2117 = ((CoordinatorLayout.f) appBarLayout.getLayoutParams()).m2117();
            if (m2117 instanceof BaseBehavior) {
                return ((BaseBehavior) m2117).mo6938();
            }
            return 0;
        }

        /* renamed from: ﹶﹶ  reason: contains not printable characters */
        private void m6947(View view, View view2) {
            if (view2 instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view2;
                if (appBarLayout.m6892()) {
                    appBarLayout.m6897(appBarLayout.m6899(view));
                }
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˊ */
        public boolean mo2088(CoordinatorLayout coordinatorLayout, View view, View view2) {
            return view2 instanceof AppBarLayout;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˏ */
        public boolean mo2091(CoordinatorLayout coordinatorLayout, View view, View view2) {
            m6945(view, view2);
            m6947(view, view2);
            return false;
        }

        @Override // com.google.android.material.appbar.g
        /* renamed from: ˏˏ  reason: contains not printable characters */
        float mo6949(View view) {
            int i6;
            if (view instanceof AppBarLayout) {
                AppBarLayout appBarLayout = (AppBarLayout) view;
                int totalScrollRange = appBarLayout.getTotalScrollRange();
                int downNestedPreScrollRange = appBarLayout.getDownNestedPreScrollRange();
                int m6946 = m6946(appBarLayout);
                if ((downNestedPreScrollRange == 0 || totalScrollRange + m6946 > downNestedPreScrollRange) && (i6 = totalScrollRange - downNestedPreScrollRange) != 0) {
                    return (m6946 / i6) + 1.0f;
                }
            }
            return 0.0f;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˑ */
        public void mo2092(CoordinatorLayout coordinatorLayout, View view, View view2) {
            if (view2 instanceof AppBarLayout) {
                z0.m3384(coordinatorLayout, j0.a.f3093.m2897());
                z0.m3384(coordinatorLayout, j0.a.f3095.m2897());
                z0.m3390(coordinatorLayout, null);
            }
        }

        @Override // com.google.android.material.appbar.g
        /* renamed from: ˑˑ  reason: contains not printable characters */
        int mo6950(View view) {
            if (view instanceof AppBarLayout) {
                return ((AppBarLayout) view).getTotalScrollRange();
            }
            return super.mo6950(view);
        }

        @Override // com.google.android.material.appbar.h, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ٴ */
        public /* bridge */ /* synthetic */ boolean mo2096(CoordinatorLayout coordinatorLayout, View view, int i6) {
            return super.mo2096(coordinatorLayout, view, i6);
        }

        @Override // com.google.android.material.appbar.g, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ᐧ */
        public /* bridge */ /* synthetic */ boolean mo2097(CoordinatorLayout coordinatorLayout, View view, int i6, int i7, int i8, int i9) {
            return super.mo2097(coordinatorLayout, view, i6, i7, i8, i9);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ᐧᐧ */
        public boolean mo2098(CoordinatorLayout coordinatorLayout, View view, Rect rect, boolean z5) {
            AppBarLayout mo6948 = mo6948(coordinatorLayout.m2072(view));
            if (mo6948 != null) {
                Rect rect2 = new Rect(rect);
                rect2.offset(view.getLeft(), view.getTop());
                Rect rect3 = this.f6398;
                rect3.set(0, 0, coordinatorLayout.getWidth(), coordinatorLayout.getHeight());
                if (!rect3.contains(rect2)) {
                    mo6948.m6896(false, !z5);
                    return true;
                }
            }
            return false;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // com.google.android.material.appbar.g
        /* renamed from: ⁱⁱ  reason: contains not printable characters */
        public AppBarLayout mo6948(List<View> list) {
            int size = list.size();
            for (int i6 = 0; i6 < size; i6++) {
                View view = list.get(i6);
                if (view instanceof AppBarLayout) {
                    return (AppBarLayout) view;
                }
            }
            return null;
        }

        public ScrollingViewBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c2.k.f5924);
            m6982(obtainStyledAttributes.getDimensionPixelSize(c2.k.f5925, 0));
            obtainStyledAttributes.recycle();
        }
    }

    /* loaded from: classes.dex */
    class a implements s0 {
        a() {
        }

        @Override // androidx.core.view.s0
        /* renamed from: ʻ */
        public t4 mo792(View view, t4 t4Var) {
            return AppBarLayout.this.m6894(t4Var);
        }
    }

    /* loaded from: classes.dex */
    public interface b<T extends AppBarLayout> {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6952(T t6, int i6);
    }

    /* loaded from: classes.dex */
    public static abstract class c {
        /* renamed from: ʻ  reason: contains not printable characters */
        public abstract void mo6953(AppBarLayout appBarLayout, View view, float f6);
    }

    /* loaded from: classes.dex */
    public static class d extends c {

        /* renamed from: ʻ  reason: contains not printable characters */
        private final Rect f6372 = new Rect();

        /* renamed from: ʼ  reason: contains not printable characters */
        private final Rect f6373 = new Rect();

        /* renamed from: ʼ  reason: contains not printable characters */
        private static void m6954(Rect rect, AppBarLayout appBarLayout, View view) {
            view.getDrawingRect(rect);
            appBarLayout.offsetDescendantRectToMyCoords(view, rect);
            rect.offset(0, -appBarLayout.getTopInset());
        }

        @Override // com.google.android.material.appbar.AppBarLayout.c
        /* renamed from: ʻ */
        public void mo6953(AppBarLayout appBarLayout, View view, float f6) {
            m6954(this.f6372, appBarLayout, view);
            float abs = this.f6372.top - Math.abs(f6);
            if (abs <= 0.0f) {
                float m13578 = 1.0f - v.a.m13578(Math.abs(abs / this.f6372.height()), 0.0f, 1.0f);
                float height = (-abs) - ((this.f6372.height() * 0.3f) * (1.0f - (m13578 * m13578)));
                view.setTranslationY(height);
                view.getDrawingRect(this.f6373);
                this.f6373.offset(0, (int) (-height));
                z0.m3399(view, this.f6373);
                return;
            }
            z0.m3399(view, null);
            view.setTranslationY(0.0f);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public static class e {
        /* JADX INFO: Access modifiers changed from: private */
        /* renamed from: ʼ  reason: contains not printable characters */
        public static ColorStateList m6956(Drawable drawable) {
            ColorStateList colorStateList;
            if (drawable instanceof ColorStateListDrawable) {
                colorStateList = ((ColorStateListDrawable) drawable).getColorStateList();
                return colorStateList;
            }
            return null;
        }
    }

    /* loaded from: classes.dex */
    public interface g {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m6964(float f6, int i6);
    }

    public AppBarLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.appBarLayoutStyle);
    }

    private ColorStateList getBackgroundCSL() {
        Drawable background = getBackground();
        if (background instanceof ColorDrawable) {
            return ColorStateList.valueOf(((ColorDrawable) background).getColor());
        }
        if (Build.VERSION.SDK_INT >= 29) {
            return e.m6956(background);
        }
        return null;
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private void m6872() {
        setWillNotDraw(!m6886());
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private void m6874() {
        WeakReference<View> weakReference = this.f6337;
        if (weakReference != null) {
            weakReference.clear();
        }
        this.f6337 = null;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private View m6875(View view) {
        int i6;
        View view2;
        if (this.f6337 == null && (i6 = this.f6336) != -1) {
            if (view != null) {
                view2 = view.findViewById(i6);
            } else {
                view2 = null;
            }
            if (view2 == null && (getParent() instanceof ViewGroup)) {
                view2 = ((ViewGroup) getParent()).findViewById(this.f6336);
            }
            if (view2 != null) {
                this.f6337 = new WeakReference<>(view2);
            }
        }
        WeakReference<View> weakReference = this.f6337;
        if (weakReference == null) {
            return null;
        }
        return weakReference.get();
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private boolean m6876() {
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            if (((f) getChildAt(i6).getLayoutParams()).m6961()) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private void m6877(final v2.g gVar) {
        int i6;
        if (this.f6334) {
            i6 = 255;
        } else {
            i6 = 0;
        }
        gVar.setAlpha(i6);
        gVar.m13690(this.f6339);
        this.f6341 = new ValueAnimator.AnimatorUpdateListener() { // from class: com.google.android.material.appbar.b
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                AppBarLayout.this.m6880(gVar, valueAnimator);
            }
        };
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m6878(Context context, final v2.g gVar) {
        gVar.m13707(context);
        this.f6341 = new ValueAnimator.AnimatorUpdateListener() { // from class: com.google.android.material.appbar.c
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                AppBarLayout.this.m6881(gVar, valueAnimator);
            }
        };
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m6879() {
        BaseBehavior.e eVar;
        Behavior behavior = this.f6338;
        if (behavior != null && this.f6325 != -1 && this.f6329 == 0) {
            eVar = behavior.m6932(z.a.f13469, this);
        } else {
            eVar = null;
        }
        this.f6325 = -1;
        this.f6326 = -1;
        this.f6327 = -1;
        if (eVar != null) {
            this.f6338.m6931(eVar, false);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ـ  reason: contains not printable characters */
    public /* synthetic */ void m6880(v2.g gVar, ValueAnimator valueAnimator) {
        int floatValue = (int) ((Float) valueAnimator.getAnimatedValue()).floatValue();
        gVar.setAlpha(floatValue);
        for (g gVar2 : this.f6342) {
            if (gVar.m13718() != null) {
                gVar2.m6964(0.0f, gVar.m13718().withAlpha(floatValue).getDefaultColor());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ٴ  reason: contains not printable characters */
    public /* synthetic */ void m6881(v2.g gVar, ValueAnimator valueAnimator) {
        float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
        gVar.m13722(floatValue);
        Drawable drawable = this.f6346;
        if (drawable instanceof v2.g) {
            ((v2.g) drawable).m13722(floatValue);
        }
        for (g gVar2 : this.f6342) {
            gVar2.m6964(floatValue, gVar.m13723());
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private boolean m6882() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        if (childAt.getVisibility() == 8 || z0.m3447(childAt)) {
            return false;
        }
        return true;
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m6883(float f6, float f7) {
        ValueAnimator valueAnimator = this.f6340;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f6, f7);
        this.f6340 = ofFloat;
        ofFloat.setDuration(this.f6343);
        this.f6340.setInterpolator(this.f6344);
        ValueAnimator.AnimatorUpdateListener animatorUpdateListener = this.f6341;
        if (animatorUpdateListener != null) {
            this.f6340.addUpdateListener(animatorUpdateListener);
        }
        this.f6340.start();
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private void m6884(boolean z5, boolean z6, boolean z7) {
        int i6;
        int i7;
        if (z5) {
            i6 = 1;
        } else {
            i6 = 2;
        }
        int i8 = 0;
        if (z6) {
            i7 = 4;
        } else {
            i7 = 0;
        }
        int i9 = i6 | i7;
        if (z7) {
            i8 = 8;
        }
        this.f6329 = i9 | i8;
        requestLayout();
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean m6885(boolean z5) {
        if (this.f6333 != z5) {
            this.f6333 = z5;
            refreshDrawableState();
            return true;
        }
        return false;
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private boolean m6886() {
        if (this.f6346 != null && getTopInset() > 0) {
            return true;
        }
        return false;
    }

    @Override // android.widget.LinearLayout, android.view.ViewGroup
    protected boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof f;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (m6886()) {
            int save = canvas.save();
            canvas.translate(0.0f, -this.f6324);
            this.f6346.draw(canvas);
            canvas.restoreToCount(save);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f6346;
        if (drawable != null && drawable.isStateful() && drawable.setState(drawableState)) {
            invalidateDrawable(drawable);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<AppBarLayout> getBehavior() {
        Behavior behavior = new Behavior();
        this.f6338 = behavior;
        return behavior;
    }

    int getDownNestedPreScrollRange() {
        int i6;
        int m3421;
        int i7 = this.f6326;
        if (i7 != -1) {
            return i7;
        }
        int i8 = 0;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (childAt.getVisibility() != 8) {
                f fVar = (f) childAt.getLayoutParams();
                int measuredHeight = childAt.getMeasuredHeight();
                int i9 = fVar.f6374;
                if ((i9 & 5) == 5) {
                    int i10 = ((LinearLayout.LayoutParams) fVar).topMargin + ((LinearLayout.LayoutParams) fVar).bottomMargin;
                    if ((i9 & 8) != 0) {
                        m3421 = z0.m3421(childAt);
                    } else if ((i9 & 2) != 0) {
                        m3421 = measuredHeight - z0.m3421(childAt);
                    } else {
                        i6 = i10 + measuredHeight;
                        if (childCount == 0 && z0.m3447(childAt)) {
                            i6 = Math.min(i6, measuredHeight - getTopInset());
                        }
                        i8 += i6;
                    }
                    i6 = i10 + m3421;
                    if (childCount == 0) {
                        i6 = Math.min(i6, measuredHeight - getTopInset());
                    }
                    i8 += i6;
                } else if (i8 > 0) {
                    break;
                }
            }
        }
        int max = Math.max(0, i8);
        this.f6326 = max;
        return max;
    }

    int getDownNestedScrollRange() {
        int i6 = this.f6327;
        if (i6 != -1) {
            return i6;
        }
        int childCount = getChildCount();
        int i7 = 0;
        int i8 = 0;
        while (true) {
            if (i7 >= childCount) {
                break;
            }
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() != 8) {
                f fVar = (f) childAt.getLayoutParams();
                int measuredHeight = childAt.getMeasuredHeight() + ((LinearLayout.LayoutParams) fVar).topMargin + ((LinearLayout.LayoutParams) fVar).bottomMargin;
                int i9 = fVar.f6374;
                if ((i9 & 1) == 0) {
                    break;
                }
                i8 += measuredHeight;
                if ((i9 & 2) != 0) {
                    i8 -= z0.m3421(childAt);
                    break;
                }
            }
            i7++;
        }
        int max = Math.max(0, i8);
        this.f6327 = max;
        return max;
    }

    public int getLiftOnScrollTargetViewId() {
        return this.f6336;
    }

    public final int getMinimumHeightForVisibleOverlappingContent() {
        int topInset = getTopInset();
        int m3421 = z0.m3421(this);
        if (m3421 == 0) {
            int childCount = getChildCount();
            if (childCount >= 1) {
                m3421 = z0.m3421(getChildAt(childCount - 1));
            } else {
                m3421 = 0;
            }
            if (m3421 == 0) {
                return getHeight() / 3;
            }
        }
        return (m3421 * 2) + topInset;
    }

    int getPendingAction() {
        return this.f6329;
    }

    public Drawable getStatusBarForeground() {
        return this.f6346;
    }

    @Deprecated
    public float getTargetElevation() {
        return 0.0f;
    }

    final int getTopInset() {
        t4 t4Var = this.f6330;
        if (t4Var != null) {
            return t4Var.m3263();
        }
        return 0;
    }

    public final int getTotalScrollRange() {
        int i6 = this.f6325;
        if (i6 != -1) {
            return i6;
        }
        int childCount = getChildCount();
        int i7 = 0;
        int i8 = 0;
        while (true) {
            if (i7 >= childCount) {
                break;
            }
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() != 8) {
                f fVar = (f) childAt.getLayoutParams();
                int measuredHeight = childAt.getMeasuredHeight();
                int i9 = fVar.f6374;
                if ((i9 & 1) == 0) {
                    break;
                }
                i8 += measuredHeight + ((LinearLayout.LayoutParams) fVar).topMargin + ((LinearLayout.LayoutParams) fVar).bottomMargin;
                if (i7 == 0 && z0.m3447(childAt)) {
                    i8 -= getTopInset();
                }
                if ((i9 & 2) != 0) {
                    i8 -= z0.m3421(childAt);
                    break;
                }
            }
            i7++;
        }
        int max = Math.max(0, i8);
        this.f6325 = max;
        return max;
    }

    int getUpNestedPreScrollRange() {
        return getTotalScrollRange();
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        v2.h.m13732(this);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected int[] onCreateDrawableState(int i6) {
        int i7;
        int i8;
        if (this.f6345 == null) {
            this.f6345 = new int[4];
        }
        int[] iArr = this.f6345;
        int[] onCreateDrawableState = super.onCreateDrawableState(i6 + iArr.length);
        boolean z5 = this.f6333;
        int i9 = c2.b.state_liftable;
        if (!z5) {
            i9 = -i9;
        }
        iArr[0] = i9;
        if (z5 && this.f6334) {
            i7 = c2.b.state_lifted;
        } else {
            i7 = -c2.b.state_lifted;
        }
        iArr[1] = i7;
        int i10 = c2.b.state_collapsible;
        if (!z5) {
            i10 = -i10;
        }
        iArr[2] = i10;
        if (z5 && this.f6334) {
            i8 = c2.b.state_collapsed;
        } else {
            i8 = -c2.b.state_collapsed;
        }
        iArr[3] = i8;
        return View.mergeDrawableStates(onCreateDrawableState, iArr);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        m6874();
    }

    @Override // android.widget.LinearLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        boolean z6 = true;
        if (z0.m3447(this) && m6882()) {
            int topInset = getTopInset();
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                z0.m3375(getChildAt(childCount), topInset);
            }
        }
        m6879();
        this.f6328 = false;
        int childCount2 = getChildCount();
        int i10 = 0;
        while (true) {
            if (i10 >= childCount2) {
                break;
            } else if (((f) getChildAt(i10).getLayoutParams()).m6960() != null) {
                this.f6328 = true;
                break;
            } else {
                i10++;
            }
        }
        Drawable drawable = this.f6346;
        if (drawable != null) {
            drawable.setBounds(0, 0, getWidth(), getTopInset());
        }
        if (!this.f6332) {
            if (!this.f6335 && !m6876()) {
                z6 = false;
            }
            m6885(z6);
        }
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onMeasure(int i6, int i7) {
        super.onMeasure(i6, i7);
        int mode = View.MeasureSpec.getMode(i7);
        if (mode != 1073741824 && z0.m3447(this) && m6882()) {
            int measuredHeight = getMeasuredHeight();
            if (mode != Integer.MIN_VALUE) {
                if (mode == 0) {
                    measuredHeight += getTopInset();
                }
            } else {
                measuredHeight = v.a.m13579(getMeasuredHeight() + getTopInset(), 0, View.MeasureSpec.getSize(i7));
            }
            setMeasuredDimension(getMeasuredWidth(), measuredHeight);
        }
        m6879();
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        v2.h.m13731(this, f6);
    }

    public void setExpanded(boolean z5) {
        m6896(z5, z0.m3459(this));
    }

    public void setLiftOnScroll(boolean z5) {
        this.f6335 = z5;
    }

    public void setLiftOnScrollTargetView(View view) {
        this.f6336 = -1;
        if (view == null) {
            m6874();
        } else {
            this.f6337 = new WeakReference<>(view);
        }
    }

    public void setLiftOnScrollTargetViewId(int i6) {
        this.f6336 = i6;
        m6874();
    }

    public void setLiftableOverrideEnabled(boolean z5) {
        this.f6332 = z5;
    }

    @Override // android.widget.LinearLayout
    public void setOrientation(int i6) {
        if (i6 == 1) {
            super.setOrientation(i6);
            return;
        }
        throw new IllegalArgumentException("AppBarLayout is always vertical and does not support horizontal orientation");
    }

    public void setStatusBarForeground(Drawable drawable) {
        boolean z5;
        Drawable drawable2 = this.f6346;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.f6346 = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.f6346.setState(getDrawableState());
                }
                androidx.core.graphics.drawable.a.m2428(this.f6346, z0.m3395(this));
                Drawable drawable4 = this.f6346;
                if (getVisibility() == 0) {
                    z5 = true;
                } else {
                    z5 = false;
                }
                drawable4.setVisible(z5, false);
                this.f6346.setCallback(this);
            }
            m6872();
            z0.m3381(this);
        }
    }

    public void setStatusBarForegroundColor(int i6) {
        setStatusBarForeground(new ColorDrawable(i6));
    }

    public void setStatusBarForegroundResource(int i6) {
        setStatusBarForeground(f.a.m9499(getContext(), i6));
    }

    @Deprecated
    public void setTargetElevation(float f6) {
        if (Build.VERSION.SDK_INT >= 21) {
            o.m6996(this, f6);
        }
    }

    @Override // android.view.View
    public void setVisibility(int i6) {
        boolean z5;
        super.setVisibility(i6);
        if (i6 == 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        Drawable drawable = this.f6346;
        if (drawable != null) {
            drawable.setVisible(z5, false);
        }
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable drawable) {
        if (!super.verifyDrawable(drawable) && drawable != this.f6346) {
            return false;
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.widget.LinearLayout, android.view.ViewGroup
    /* renamed from: ʿ  reason: contains not printable characters */
    public f generateDefaultLayoutParams() {
        return new f(-1, -2);
    }

    @Override // android.widget.LinearLayout, android.view.ViewGroup
    /* renamed from: ˆ  reason: contains not printable characters */
    public f generateLayoutParams(AttributeSet attributeSet) {
        return new f(getContext(), attributeSet);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.widget.LinearLayout, android.view.ViewGroup
    /* renamed from: ˈ  reason: contains not printable characters */
    public f generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof LinearLayout.LayoutParams) {
            return new f((LinearLayout.LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new f((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new f(layoutParams);
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    boolean m6890() {
        return this.f6328;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    boolean m6891() {
        if (getTotalScrollRange() != 0) {
            return true;
        }
        return false;
    }

    /* renamed from: י  reason: contains not printable characters */
    public boolean m6892() {
        return this.f6335;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    void m6893(int i6) {
        this.f6324 = i6;
        if (!willNotDraw()) {
            z0.m3381(this);
        }
        List<b> list = this.f6331;
        if (list != null) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                b bVar = this.f6331.get(i7);
                if (bVar != null) {
                    bVar.m6952(this, i6);
                }
            }
        }
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    t4 m6894(t4 t4Var) {
        t4 t4Var2;
        if (z0.m3447(this)) {
            t4Var2 = t4Var;
        } else {
            t4Var2 = null;
        }
        if (!androidx.core.util.c.m2753(this.f6330, t4Var2)) {
            this.f6330 = t4Var2;
            m6872();
            requestLayout();
        }
        return t4Var;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    void m6895() {
        this.f6329 = 0;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    public void m6896(boolean z5, boolean z6) {
        m6884(z5, z6, true);
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    boolean m6897(boolean z5) {
        return m6898(z5, !this.f6332);
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    boolean m6898(boolean z5, boolean z6) {
        float f6;
        float f7;
        if (z6 && this.f6334 != z5) {
            this.f6334 = z5;
            refreshDrawableState();
            if (this.f6335 && (getBackground() instanceof v2.g)) {
                float f8 = 0.0f;
                if (this.f6339 != null) {
                    if (z5) {
                        f7 = 0.0f;
                    } else {
                        f7 = 255.0f;
                    }
                    if (z5) {
                        f8 = 255.0f;
                    }
                    m6883(f7, f8);
                    return true;
                }
                if (z5) {
                    f6 = 0.0f;
                } else {
                    f6 = this.f6347;
                }
                if (z5) {
                    f8 = this.f6347;
                }
                m6883(f6, f8);
                return true;
            }
            return true;
        }
        return false;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    boolean m6899(View view) {
        View m6875 = m6875(view);
        if (m6875 != null) {
            view = m6875;
        }
        if (view != null && (view.canScrollVertically(-1) || view.getScrollY() > 0)) {
            return true;
        }
        return false;
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public AppBarLayout(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14288(context, attributeSet, i6, r4), attributeSet, i6);
        ViewOutlineProvider viewOutlineProvider;
        int i7 = f6323;
        this.f6325 = -1;
        this.f6326 = -1;
        this.f6327 = -1;
        this.f6329 = 0;
        this.f6342 = new ArrayList();
        Context context2 = getContext();
        setOrientation(1);
        int i8 = Build.VERSION.SDK_INT;
        if (i8 >= 21) {
            ViewOutlineProvider outlineProvider = getOutlineProvider();
            viewOutlineProvider = ViewOutlineProvider.BACKGROUND;
            if (outlineProvider == viewOutlineProvider) {
                o.m6995(this);
            }
            o.m6997(this, attributeSet, i6, i7);
        }
        TypedArray m8101 = y.m8101(context2, attributeSet, c2.k.f5888, i6, i7, new int[0]);
        z0.m3396(this, m8101.getDrawable(c2.k.f5914));
        ColorStateList m13184 = s2.c.m13184(context2, m8101, c2.k.f6070);
        this.f6339 = m13184;
        ColorStateList backgroundCSL = getBackgroundCSL();
        if (backgroundCSL != null) {
            v2.g gVar = new v2.g();
            gVar.m13690(backgroundCSL);
            if (m13184 != null) {
                m6877(gVar);
            } else {
                m6878(context2, gVar);
            }
            z0.m3396(this, gVar);
        }
        this.f6343 = q2.h.m12725(context2, c2.b.motionDurationMedium2, getResources().getInteger(c2.g.app_bar_elevation_anim_duration));
        this.f6344 = q2.h.m12726(context2, c2.b.motionEasingStandardInterpolator, d2.a.f8061);
        int i9 = c2.k.f6018;
        if (m8101.hasValue(i9)) {
            m6884(m8101.getBoolean(i9, false), false, false);
        }
        if (i8 >= 21) {
            int i10 = c2.k.f5992;
            if (m8101.hasValue(i10)) {
                o.m6996(this, m8101.getDimensionPixelSize(i10, 0));
            }
        }
        if (i8 >= 26) {
            int i11 = c2.k.f5966;
            if (m8101.hasValue(i11)) {
                setKeyboardNavigationCluster(m8101.getBoolean(i11, false));
            }
            int i12 = c2.k.f5940;
            if (m8101.hasValue(i12)) {
                setTouchscreenBlocksFocus(m8101.getBoolean(i12, false));
            }
        }
        this.f6347 = getResources().getDimension(c2.d.design_appbar_elevation);
        this.f6335 = m8101.getBoolean(c2.k.f6044, false);
        this.f6336 = m8101.getResourceId(c2.k.f6083, -1);
        setStatusBarForeground(m8101.getDrawable(c2.k.f6085));
        m8101.recycle();
        z0.m3406(this, new a());
    }

    /* loaded from: classes.dex */
    public static class f extends LinearLayout.LayoutParams {

        /* renamed from: ʻ  reason: contains not printable characters */
        int f6374;

        /* renamed from: ʼ  reason: contains not printable characters */
        private c f6375;

        /* renamed from: ʽ  reason: contains not printable characters */
        Interpolator f6376;

        public f(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f6374 = 1;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c2.k.f6089);
            this.f6374 = obtainStyledAttributes.getInt(c2.k.f6093, 0);
            m6962(obtainStyledAttributes.getInt(c2.k.f6091, 0));
            int i6 = c2.k.f6095;
            if (obtainStyledAttributes.hasValue(i6)) {
                this.f6376 = AnimationUtils.loadInterpolator(context, obtainStyledAttributes.getResourceId(i6, 0));
            }
            obtainStyledAttributes.recycle();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private c m6957(int i6) {
            if (i6 != 1) {
                return null;
            }
            return new d();
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public c m6958() {
            return this.f6375;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public int m6959() {
            return this.f6374;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        public Interpolator m6960() {
            return this.f6376;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        boolean m6961() {
            int i6 = this.f6374;
            if ((i6 & 1) == 1 && (i6 & 10) != 0) {
                return true;
            }
            return false;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        public void m6962(int i6) {
            this.f6375 = m6957(i6);
        }

        /* renamed from: ˈ  reason: contains not printable characters */
        public void m6963(int i6) {
            this.f6374 = i6;
        }

        public f(int i6, int i7) {
            super(i6, i7);
            this.f6374 = 1;
        }

        public f(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.f6374 = 1;
        }

        public f(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            this.f6374 = 1;
        }

        public f(LinearLayout.LayoutParams layoutParams) {
            super(layoutParams);
            this.f6374 = 1;
        }
    }
}
