package com.google.android.material.chip;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Outline;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Checkable;
import android.widget.CompoundButton;
import android.widget.TextView;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import c2.i;
import c2.j;
import c2.k;
import com.google.android.material.chip.Chip;
import com.google.android.material.chip.a;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.l;
import com.google.android.material.internal.y;
import d2.h;
import java.util.List;
import me.zhanghai.android.materialprogressbar.BuildConfig;
import s2.d;
import s2.f;
import v2.n;
/* loaded from: classes.dex */
public class Chip extends AppCompatCheckBox implements a.InterfaceC0074a, n, Checkable {

    /* renamed from: ˉ  reason: contains not printable characters */
    private com.google.android.material.chip.a f6734;

    /* renamed from: ˊ  reason: contains not printable characters */
    private InsetDrawable f6735;

    /* renamed from: ˋ  reason: contains not printable characters */
    private RippleDrawable f6736;

    /* renamed from: ˎ  reason: contains not printable characters */
    private View.OnClickListener f6737;

    /* renamed from: ˏ  reason: contains not printable characters */
    private CompoundButton.OnCheckedChangeListener f6738;

    /* renamed from: ˑ  reason: contains not printable characters */
    private boolean f6739;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f6740;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f6741;

    /* renamed from: ٴ  reason: contains not printable characters */
    private boolean f6742;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private boolean f6743;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f6744;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f6745;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private CharSequence f6746;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private final c f6747;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private boolean f6748;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final Rect f6749;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private final RectF f6750;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private final f f6751;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static final int f6733 = j.Widget_MaterialComponents_Chip_Action;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static final Rect f6731 = new Rect();

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private static final int[] f6732 = {16842913};

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private static final int[] f6730 = {16842911};

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b extends ViewOutlineProvider {
        b() {
        }

        @Override // android.view.ViewOutlineProvider
        @TargetApi(21)
        public void getOutline(View view, Outline outline) {
            if (Chip.this.f6734 == null) {
                outline.setAlpha(0.0f);
            } else {
                Chip.this.f6734.getOutline(outline);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class c extends a0.a {
        c(Chip chip) {
            super(chip);
        }

        @Override // a0.a
        /* renamed from: ʻʻ */
        protected void mo24(List<Integer> list) {
            list.add(0);
            if (Chip.this.m7419() && Chip.this.m7433() && Chip.this.f6737 != null) {
                list.add(1);
            }
        }

        @Override // a0.a
        /* renamed from: ˉˉ */
        protected boolean mo30(int i6, int i7, Bundle bundle) {
            if (i7 == 16) {
                if (i6 == 0) {
                    return Chip.this.performClick();
                }
                if (i6 == 1) {
                    return Chip.this.m7434();
                }
                return false;
            }
            return false;
        }

        @Override // a0.a
        /* renamed from: ˊˊ */
        protected void mo31(j0 j0Var) {
            j0Var.m2832(Chip.this.m7432());
            j0Var.m2835(Chip.this.isClickable());
            j0Var.m2834(Chip.this.getAccessibilityClassName());
            CharSequence text = Chip.this.getText();
            if (Build.VERSION.SDK_INT >= 23) {
                j0Var.m2861(text);
            } else {
                j0Var.m2838(text);
            }
        }

        @Override // a0.a
        /* renamed from: ˎˎ */
        protected void mo33(int i6, boolean z5) {
            if (i6 == 1) {
                Chip.this.f6742 = z5;
                Chip.this.refreshDrawableState();
            }
        }

        @Override // a0.a
        /* renamed from: ˏˏ */
        protected void mo34(int i6, j0 j0Var) {
            String str = BuildConfig.FLAVOR;
            if (i6 == 1) {
                CharSequence closeIconContentDescription = Chip.this.getCloseIconContentDescription();
                if (closeIconContentDescription != null) {
                    j0Var.m2838(closeIconContentDescription);
                } else {
                    CharSequence text = Chip.this.getText();
                    Context context = Chip.this.getContext();
                    int i7 = i.mtrl_chip_close_icon_content_description;
                    Object[] objArr = new Object[1];
                    if (!TextUtils.isEmpty(text)) {
                        str = text;
                    }
                    objArr[0] = str;
                    j0Var.m2838(context.getString(i7, objArr).trim());
                }
                j0Var.m2894(Chip.this.getCloseIconTouchBoundsInt());
                j0Var.m2855(j0.a.f3078);
                j0Var.m2840(Chip.this.isEnabled());
                return;
            }
            j0Var.m2838(BuildConfig.FLAVOR);
            j0Var.m2894(Chip.f6731);
        }

        @Override // a0.a
        /* renamed from: ᴵᴵ */
        protected int mo39(float f6, float f7) {
            if (Chip.this.m7419() && Chip.this.getCloseIconTouchBounds().contains(f6, f7)) {
                return 1;
            }
            return 0;
        }
    }

    public Chip(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.chipStyle);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public RectF getCloseIconTouchBounds() {
        this.f6750.setEmpty();
        if (m7419() && this.f6737 != null) {
            this.f6734.m7495(this.f6750);
        }
        return this.f6750;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Rect getCloseIconTouchBoundsInt() {
        RectF closeIconTouchBounds = getCloseIconTouchBounds();
        this.f6749.set((int) closeIconTouchBounds.left, (int) closeIconTouchBounds.top, (int) closeIconTouchBounds.right, (int) closeIconTouchBounds.bottom);
        return this.f6749;
    }

    private d getTextAppearance() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7503();
        }
        return null;
    }

    private void setCloseIconHovered(boolean z5) {
        if (this.f6741 != z5) {
            this.f6741 = z5;
            refreshDrawableState();
        }
    }

    private void setCloseIconPressed(boolean z5) {
        if (this.f6740 != z5) {
            this.f6740 = z5;
            refreshDrawableState();
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private void m7406() {
        TextPaint paint = getPaint();
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            paint.drawableState = aVar.getState();
        }
        d textAppearance = getTextAppearance();
        if (textAppearance != null) {
            textAppearance.m13205(getContext(), paint, this.f6751);
        }
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private void m7409(AttributeSet attributeSet) {
        if (attributeSet == null) {
            return;
        }
        if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "background") != null) {
            Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
        }
        if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableLeft") == null) {
            if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableStart") == null) {
                if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableEnd") == null) {
                    if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableRight") == null) {
                        if (attributeSet.getAttributeBooleanValue("http://schemas.android.com/apk/res/android", "singleLine", true) && attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "lines", 1) == 1 && attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "minLines", 1) == 1 && attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "maxLines", 1) == 1) {
                            if (attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "gravity", 8388627) != 8388627) {
                                Log.w("Chip", "Chip text must be vertically center and start aligned");
                                return;
                            }
                            return;
                        }
                        throw new UnsupportedOperationException("Chip does not support multi-line text");
                    }
                    throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
                }
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            }
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        }
        throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m7416(com.google.android.material.chip.a aVar) {
        aVar.m7554(this);
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [int, boolean] */
    /* renamed from: ˎ  reason: contains not printable characters */
    private int[] m7417() {
        ?? isEnabled = isEnabled();
        int i6 = isEnabled;
        if (this.f6742) {
            i6 = isEnabled + 1;
        }
        int i7 = i6;
        if (this.f6741) {
            i7 = i6 + 1;
        }
        int i8 = i7;
        if (this.f6740) {
            i8 = i7 + 1;
        }
        int i9 = i8;
        if (isChecked()) {
            i9 = i8 + 1;
        }
        int[] iArr = new int[i9];
        int i10 = 0;
        if (isEnabled()) {
            iArr[0] = 16842910;
            i10 = 1;
        }
        if (this.f6742) {
            iArr[i10] = 16842908;
            i10++;
        }
        if (this.f6741) {
            iArr[i10] = 16843623;
            i10++;
        }
        if (this.f6740) {
            iArr[i10] = 16842919;
            i10++;
        }
        if (isChecked()) {
            iArr[i10] = 16842913;
        }
        return iArr;
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private void m7418() {
        if (getBackgroundDrawable() == this.f6735 && this.f6734.getCallback() == null) {
            this.f6734.setCallback(this.f6735);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: י  reason: contains not printable characters */
    public boolean m7419() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null && aVar.m7488() != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m7420(Context context, AttributeSet attributeSet, int i6) {
        TypedArray m8101 = y.m8101(context, attributeSet, k.f5643, i6, f6733, new int[0]);
        this.f6743 = m8101.getBoolean(k.f5678, false);
        this.f6745 = (int) Math.ceil(m8101.getDimension(k.f5666, (float) Math.ceil(b0.m7965(getContext(), 48))));
        m8101.recycle();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    private void m7421() {
        if (Build.VERSION.SDK_INT >= 21) {
            setOutlineProvider(new b());
        }
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m7422(int i6, int i7, int i8, int i9) {
        this.f6735 = new InsetDrawable((Drawable) this.f6734, i6, i7, i8, i9);
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private void m7423() {
        this.f6736 = new RippleDrawable(t2.b.m13458(this.f6734.m7500()), getBackgroundDrawable(), null);
        this.f6734.m7576(false);
        z0.m3396(this, this.f6736);
        m7424();
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m7424() {
        com.google.android.material.chip.a aVar;
        if (!TextUtils.isEmpty(getText()) && (aVar = this.f6734) != null) {
            int m7480 = (int) (aVar.m7480() + this.f6734.m7504() + this.f6734.m7474());
            int m7485 = (int) (this.f6734.m7485() + this.f6734.m7505() + this.f6734.m7473());
            if (this.f6735 != null) {
                Rect rect = new Rect();
                this.f6735.getPadding(rect);
                m7485 += rect.left;
                m7480 += rect.right;
            }
            z0.m3407(this, m7485, getPaddingTop(), m7480, getPaddingBottom());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ᵔ  reason: contains not printable characters */
    public /* synthetic */ void m7425(CompoundButton compoundButton, boolean z5) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener = this.f6738;
        if (onCheckedChangeListener != null) {
            onCheckedChangeListener.onCheckedChanged(compoundButton, z5);
        }
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m7426() {
        if (this.f6735 != null) {
            this.f6735 = null;
            setMinWidth(0);
            setMinHeight((int) getChipMinHeight());
            m7429();
        }
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private void m7427(com.google.android.material.chip.a aVar) {
        if (aVar != null) {
            aVar.m7554(null);
        }
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private void m7428() {
        if (m7419() && m7433() && this.f6737 != null) {
            z0.m3390(this, this.f6747);
            this.f6748 = true;
            return;
        }
        z0.m3390(this, null);
        this.f6748 = false;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private void m7429() {
        if (t2.b.f12794) {
            m7423();
            return;
        }
        this.f6734.m7576(true);
        z0.m3396(this, getBackgroundDrawable());
        m7424();
        m7418();
    }

    @Override // android.view.View
    protected boolean dispatchHoverEvent(MotionEvent motionEvent) {
        if (!this.f6748) {
            return super.dispatchHoverEvent(motionEvent);
        }
        if (!this.f6747.m41(motionEvent) && !super.dispatchHoverEvent(motionEvent)) {
            return false;
        }
        return true;
    }

    @Override // android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (!this.f6748) {
            return super.dispatchKeyEvent(keyEvent);
        }
        if (this.f6747.m43(keyEvent) && this.f6747.m38() != Integer.MIN_VALUE) {
            return true;
        }
        return super.dispatchKeyEvent(keyEvent);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatCheckBox, android.widget.CompoundButton, android.widget.TextView, android.view.View
    public void drawableStateChanged() {
        boolean z5;
        super.drawableStateChanged();
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null && aVar.m7508()) {
            z5 = this.f6734.m7550(m7417());
        } else {
            z5 = false;
        }
        if (z5) {
            invalidate();
        }
    }

    @Override // android.widget.CheckBox, android.widget.CompoundButton, android.widget.Button, android.widget.TextView, android.view.View
    public CharSequence getAccessibilityClassName() {
        if (!TextUtils.isEmpty(this.f6746)) {
            return this.f6746;
        }
        if (m7432()) {
            ViewParent parent = getParent();
            if (!(parent instanceof com.google.android.material.chip.b) || !((com.google.android.material.chip.b) parent).m7581()) {
                return "android.widget.Button";
            }
            return "android.widget.RadioButton";
        } else if (isClickable()) {
            return "android.widget.Button";
        } else {
            return "android.view.View";
        }
    }

    public Drawable getBackgroundDrawable() {
        InsetDrawable insetDrawable = this.f6735;
        if (insetDrawable == null) {
            return this.f6734;
        }
        return insetDrawable;
    }

    public Drawable getCheckedIcon() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7476();
        }
        return null;
    }

    public ColorStateList getCheckedIconTint() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7477();
        }
        return null;
    }

    public ColorStateList getChipBackgroundColor() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7478();
        }
        return null;
    }

    public float getChipCornerRadius() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar == null) {
            return 0.0f;
        }
        return Math.max(0.0f, aVar.m7479());
    }

    public Drawable getChipDrawable() {
        return this.f6734;
    }

    public float getChipEndPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7480();
        }
        return 0.0f;
    }

    public Drawable getChipIcon() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7481();
        }
        return null;
    }

    public float getChipIconSize() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7482();
        }
        return 0.0f;
    }

    public ColorStateList getChipIconTint() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7483();
        }
        return null;
    }

    public float getChipMinHeight() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7484();
        }
        return 0.0f;
    }

    public float getChipStartPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7485();
        }
        return 0.0f;
    }

    public ColorStateList getChipStrokeColor() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7486();
        }
        return null;
    }

    public float getChipStrokeWidth() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7487();
        }
        return 0.0f;
    }

    @Deprecated
    public CharSequence getChipText() {
        return getText();
    }

    public Drawable getCloseIcon() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7488();
        }
        return null;
    }

    public CharSequence getCloseIconContentDescription() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7489();
        }
        return null;
    }

    public float getCloseIconEndPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7490();
        }
        return 0.0f;
    }

    public float getCloseIconSize() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7491();
        }
        return 0.0f;
    }

    public float getCloseIconStartPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7492();
        }
        return 0.0f;
    }

    public ColorStateList getCloseIconTint() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7494();
        }
        return null;
    }

    @Override // android.widget.TextView
    public TextUtils.TruncateAt getEllipsize() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7496();
        }
        return null;
    }

    @Override // android.widget.TextView, android.view.View
    public void getFocusedRect(Rect rect) {
        if (this.f6748 && (this.f6747.m38() == 1 || this.f6747.m44() == 1)) {
            rect.set(getCloseIconTouchBoundsInt());
        } else {
            super.getFocusedRect(rect);
        }
    }

    public h getHideMotionSpec() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7497();
        }
        return null;
    }

    public float getIconEndPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7498();
        }
        return 0.0f;
    }

    public float getIconStartPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7499();
        }
        return 0.0f;
    }

    public ColorStateList getRippleColor() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7500();
        }
        return null;
    }

    public v2.k getShapeAppearanceModel() {
        return this.f6734.m13689();
    }

    public h getShowMotionSpec() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7501();
        }
        return null;
    }

    public float getTextEndPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7504();
        }
        return 0.0f;
    }

    public float getTextStartPadding() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            return aVar.m7505();
        }
        return 0.0f;
    }

    @Override // android.widget.TextView, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        v2.h.m13733(this, this.f6734);
    }

    @Override // android.widget.CompoundButton, android.widget.TextView, android.view.View
    protected int[] onCreateDrawableState(int i6) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i6 + 2);
        if (isChecked()) {
            View.mergeDrawableStates(onCreateDrawableState, f6732);
        }
        if (m7432()) {
            View.mergeDrawableStates(onCreateDrawableState, f6730);
        }
        return onCreateDrawableState;
    }

    @Override // android.widget.TextView, android.view.View
    protected void onFocusChanged(boolean z5, int i6, Rect rect) {
        super.onFocusChanged(z5, i6, rect);
        if (this.f6748) {
            this.f6747.m27(z5, i6, rect);
        }
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked != 7) {
            if (actionMasked == 10) {
                setCloseIconHovered(false);
            }
        } else {
            setCloseIconHovered(getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()));
        }
        return super.onHoverEvent(motionEvent);
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        int i6;
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getAccessibilityClassName());
        accessibilityNodeInfo.setCheckable(m7432());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof com.google.android.material.chip.b) {
            com.google.android.material.chip.b bVar = (com.google.android.material.chip.b) getParent();
            j0 m2813 = j0.m2813(accessibilityNodeInfo);
            if (bVar.mo7579()) {
                i6 = bVar.m7580(this);
            } else {
                i6 = -1;
            }
            m2813.m2837(j0.c.m2902(bVar.m7995(this), 1, i6, 1, false, isChecked()));
        }
    }

    @Override // android.widget.Button, android.widget.TextView, android.view.View
    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(MotionEvent motionEvent, int i6) {
        PointerIcon systemIcon;
        if (getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()) && isEnabled()) {
            systemIcon = PointerIcon.getSystemIcon(getContext(), 1002);
            return systemIcon;
        }
        return super.onResolvePointerIcon(motionEvent, i6);
    }

    @Override // android.widget.TextView, android.view.View
    @TargetApi(17)
    public void onRtlPropertiesChanged(int i6) {
        super.onRtlPropertiesChanged(i6);
        if (this.f6744 != i6) {
            this.f6744 = i6;
            m7424();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:8:0x001e, code lost:
        if (r0 != 3) goto L17;
     */
    @Override // android.widget.TextView, android.view.View
    @SuppressLint({"ClickableViewAccessibility"})
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z5;
        int actionMasked = motionEvent.getActionMasked();
        boolean contains = getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY());
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.f6740) {
                        if (!contains) {
                            setCloseIconPressed(false);
                        }
                        z5 = true;
                    }
                }
                z5 = false;
            } else if (this.f6740) {
                m7434();
                z5 = true;
                setCloseIconPressed(false);
            }
            z5 = false;
            setCloseIconPressed(false);
        } else {
            if (contains) {
                setCloseIconPressed(true);
                z5 = true;
            }
            z5 = false;
        }
        if (z5 || super.onTouchEvent(motionEvent)) {
            return true;
        }
        return false;
    }

    public void setAccessibilityClassName(CharSequence charSequence) {
        this.f6746 = charSequence;
    }

    @Override // android.view.View
    public void setBackground(Drawable drawable) {
        if (drawable != getBackgroundDrawable() && drawable != this.f6736) {
            Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
        } else {
            super.setBackground(drawable);
        }
    }

    @Override // android.view.View
    public void setBackgroundColor(int i6) {
        Log.w("Chip", "Do not set the background color; Chip manages its own background drawable.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox, android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable != getBackgroundDrawable() && drawable != this.f6736) {
            Log.w("Chip", "Do not set the background drawable; Chip manages its own background drawable.");
        } else {
            super.setBackgroundDrawable(drawable);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox, android.view.View
    public void setBackgroundResource(int i6) {
        Log.w("Chip", "Do not set the background resource; Chip manages its own background drawable.");
    }

    @Override // android.view.View
    public void setBackgroundTintList(ColorStateList colorStateList) {
        Log.w("Chip", "Do not set the background tint list; Chip manages its own background drawable.");
    }

    @Override // android.view.View
    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        Log.w("Chip", "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setCheckable(boolean z5) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7511(z5);
        }
    }

    public void setCheckableResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7512(i6);
        }
    }

    @Override // android.widget.CompoundButton, android.widget.Checkable
    public void setChecked(boolean z5) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar == null) {
            this.f6739 = z5;
        } else if (aVar.m7507()) {
            super.setChecked(z5);
        }
    }

    public void setCheckedIcon(Drawable drawable) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7513(drawable);
        }
    }

    @Deprecated
    public void setCheckedIconEnabled(boolean z5) {
        setCheckedIconVisible(z5);
    }

    @Deprecated
    public void setCheckedIconEnabledResource(int i6) {
        setCheckedIconVisible(i6);
    }

    public void setCheckedIconResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7514(i6);
        }
    }

    public void setCheckedIconTint(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7515(colorStateList);
        }
    }

    public void setCheckedIconTintResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7516(i6);
        }
    }

    public void setCheckedIconVisible(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7517(i6);
        }
    }

    public void setChipBackgroundColor(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7519(colorStateList);
        }
    }

    public void setChipBackgroundColorResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7520(i6);
        }
    }

    @Deprecated
    public void setChipCornerRadius(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7521(f6);
        }
    }

    @Deprecated
    public void setChipCornerRadiusResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7522(i6);
        }
    }

    public void setChipDrawable(com.google.android.material.chip.a aVar) {
        com.google.android.material.chip.a aVar2 = this.f6734;
        if (aVar2 != aVar) {
            m7427(aVar2);
            this.f6734 = aVar;
            aVar.m7565(false);
            m7416(this.f6734);
            m7431(this.f6745);
        }
    }

    public void setChipEndPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7523(f6);
        }
    }

    public void setChipEndPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7524(i6);
        }
    }

    public void setChipIcon(Drawable drawable) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7525(drawable);
        }
    }

    @Deprecated
    public void setChipIconEnabled(boolean z5) {
        setChipIconVisible(z5);
    }

    @Deprecated
    public void setChipIconEnabledResource(int i6) {
        setChipIconVisible(i6);
    }

    public void setChipIconResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7526(i6);
        }
    }

    public void setChipIconSize(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7527(f6);
        }
    }

    public void setChipIconSizeResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7528(i6);
        }
    }

    public void setChipIconTint(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7529(colorStateList);
        }
    }

    public void setChipIconTintResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7530(i6);
        }
    }

    public void setChipIconVisible(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7531(i6);
        }
    }

    public void setChipMinHeight(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7533(f6);
        }
    }

    public void setChipMinHeightResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7534(i6);
        }
    }

    public void setChipStartPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7535(f6);
        }
    }

    public void setChipStartPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7536(i6);
        }
    }

    public void setChipStrokeColor(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7537(colorStateList);
        }
    }

    public void setChipStrokeColorResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7538(i6);
        }
    }

    public void setChipStrokeWidth(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7539(f6);
        }
    }

    public void setChipStrokeWidthResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7540(i6);
        }
    }

    @Deprecated
    public void setChipText(CharSequence charSequence) {
        setText(charSequence);
    }

    @Deprecated
    public void setChipTextResource(int i6) {
        setText(getResources().getString(i6));
    }

    public void setCloseIcon(Drawable drawable) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7541(drawable);
        }
        m7428();
    }

    public void setCloseIconContentDescription(CharSequence charSequence) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7542(charSequence);
        }
    }

    @Deprecated
    public void setCloseIconEnabled(boolean z5) {
        setCloseIconVisible(z5);
    }

    @Deprecated
    public void setCloseIconEnabledResource(int i6) {
        setCloseIconVisible(i6);
    }

    public void setCloseIconEndPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7543(f6);
        }
    }

    public void setCloseIconEndPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7544(i6);
        }
    }

    public void setCloseIconResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7545(i6);
        }
        m7428();
    }

    public void setCloseIconSize(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7546(f6);
        }
    }

    public void setCloseIconSizeResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7547(i6);
        }
    }

    public void setCloseIconStartPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7548(f6);
        }
    }

    public void setCloseIconStartPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7549(i6);
        }
    }

    public void setCloseIconTint(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7551(colorStateList);
        }
    }

    public void setCloseIconTintResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7552(i6);
        }
    }

    public void setCloseIconVisible(int i6) {
        setCloseIconVisible(getResources().getBoolean(i6));
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox, android.widget.TextView
    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable == null) {
            if (drawable3 == null) {
                super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
                return;
            }
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
        throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox, android.widget.TextView
    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable == null) {
            if (drawable3 == null) {
                super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
                return;
            }
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
        throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i6, int i7, int i8, int i9) {
        if (i6 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        }
        if (i8 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i6, i7, i8, i9);
            return;
        }
        throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i6, int i7, int i8, int i9) {
        if (i6 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        }
        if (i8 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i6, i7, i8, i9);
            return;
        }
        throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m13722(f6);
        }
    }

    @Override // android.widget.TextView
    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.f6734 == null) {
            return;
        }
        if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
            super.setEllipsize(truncateAt);
            com.google.android.material.chip.a aVar = this.f6734;
            if (aVar != null) {
                aVar.m7555(truncateAt);
                return;
            }
            return;
        }
        throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
    }

    public void setEnsureMinTouchTargetSize(boolean z5) {
        this.f6743 = z5;
        m7431(this.f6745);
    }

    @Override // android.widget.TextView
    public void setGravity(int i6) {
        if (i6 != 8388627) {
            Log.w("Chip", "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i6);
        }
    }

    public void setHideMotionSpec(h hVar) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7556(hVar);
        }
    }

    public void setHideMotionSpecResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7557(i6);
        }
    }

    public void setIconEndPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7558(f6);
        }
    }

    public void setIconEndPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7559(i6);
        }
    }

    public void setIconStartPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7560(f6);
        }
    }

    public void setIconStartPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7561(i6);
        }
    }

    @Override // android.view.View
    public void setLayoutDirection(int i6) {
        if (this.f6734 == null) {
            return;
        }
        super.setLayoutDirection(i6);
    }

    @Override // android.widget.TextView
    public void setLines(int i6) {
        if (i6 <= 1) {
            super.setLines(i6);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setMaxLines(int i6) {
        if (i6 <= 1) {
            super.setMaxLines(i6);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setMaxWidth(int i6) {
        super.setMaxWidth(i6);
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7562(i6);
        }
    }

    @Override // android.widget.TextView
    public void setMinLines(int i6) {
        if (i6 <= 1) {
            super.setMinLines(i6);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.CompoundButton
    public void setOnCheckedChangeListener(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.f6738 = onCheckedChangeListener;
    }

    public void setOnCloseIconClickListener(View.OnClickListener onClickListener) {
        this.f6737 = onClickListener;
        m7428();
    }

    public void setRippleColor(ColorStateList colorStateList) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7563(colorStateList);
        }
        if (!this.f6734.m7506()) {
            m7423();
        }
    }

    public void setRippleColorResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7564(i6);
            if (!this.f6734.m7506()) {
                m7423();
            }
        }
    }

    @Override // v2.n
    public void setShapeAppearanceModel(v2.k kVar) {
        this.f6734.setShapeAppearanceModel(kVar);
    }

    public void setShowMotionSpec(h hVar) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7566(hVar);
        }
    }

    public void setShowMotionSpecResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7567(i6);
        }
    }

    @Override // android.widget.TextView
    public void setSingleLine(boolean z5) {
        if (z5) {
            super.setSingleLine(z5);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        CharSequence charSequence2;
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar == null) {
            return;
        }
        if (charSequence == null) {
            charSequence = BuildConfig.FLAVOR;
        }
        if (aVar.m7577()) {
            charSequence2 = null;
        } else {
            charSequence2 = charSequence;
        }
        super.setText(charSequence2, bufferType);
        com.google.android.material.chip.a aVar2 = this.f6734;
        if (aVar2 != null) {
            aVar2.m7568(charSequence);
        }
    }

    public void setTextAppearance(d dVar) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7569(dVar);
        }
        m7406();
    }

    public void setTextAppearanceResource(int i6) {
        setTextAppearance(getContext(), i6);
    }

    public void setTextEndPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7571(f6);
        }
    }

    public void setTextEndPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7572(i6);
        }
    }

    @Override // android.widget.TextView
    public void setTextSize(int i6, float f6) {
        super.setTextSize(i6, f6);
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7573(TypedValue.applyDimension(i6, f6, getResources().getDisplayMetrics()));
        }
        m7406();
    }

    public void setTextStartPadding(float f6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7574(f6);
        }
    }

    public void setTextStartPaddingResource(int i6) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7575(i6);
        }
    }

    @Override // com.google.android.material.chip.a.InterfaceC0074a
    /* renamed from: ʻ  reason: contains not printable characters */
    public void mo7430() {
        m7431(this.f6745);
        requestLayout();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public boolean m7431(int i6) {
        int i7;
        this.f6745 = i6;
        int i8 = 0;
        if (!m7435()) {
            if (this.f6735 != null) {
                m7426();
            } else {
                m7429();
            }
            return false;
        }
        int max = Math.max(0, i6 - this.f6734.getIntrinsicHeight());
        int max2 = Math.max(0, i6 - this.f6734.getIntrinsicWidth());
        if (max2 <= 0 && max <= 0) {
            if (this.f6735 != null) {
                m7426();
            } else {
                m7429();
            }
            return false;
        }
        if (max2 > 0) {
            i7 = max2 / 2;
        } else {
            i7 = 0;
        }
        if (max > 0) {
            i8 = max / 2;
        }
        if (this.f6735 != null) {
            Rect rect = new Rect();
            this.f6735.getPadding(rect);
            if (rect.top == i8 && rect.bottom == i8 && rect.left == i7 && rect.right == i7) {
                m7429();
                return true;
            }
        }
        if (getMinHeight() != i6) {
            setMinHeight(i6);
        }
        if (getMinWidth() != i6) {
            setMinWidth(i6);
        }
        m7422(i7, i8, i7, i8);
        m7429();
        return true;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public boolean m7432() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null && aVar.m7507()) {
            return true;
        }
        return false;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public boolean m7433() {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null && aVar.m7509()) {
            return true;
        }
        return false;
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public boolean m7434() {
        boolean z5 = false;
        playSoundEffect(0);
        View.OnClickListener onClickListener = this.f6737;
        if (onClickListener != null) {
            onClickListener.onClick(this);
            z5 = true;
        }
        if (this.f6748) {
            this.f6747.m42(1, 1);
        }
        return z5;
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    public boolean m7435() {
        return this.f6743;
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public Chip(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14288(context, attributeSet, i6, r4), attributeSet, i6);
        int i7 = f6733;
        this.f6749 = new Rect();
        this.f6750 = new RectF();
        this.f6751 = new a();
        Context context2 = getContext();
        m7409(attributeSet);
        com.google.android.material.chip.a m7446 = com.google.android.material.chip.a.m7446(context2, attributeSet, i6, i7);
        m7420(context2, attributeSet, i6);
        setChipDrawable(m7446);
        m7446.m13722(z0.m3460(this));
        TypedArray m8101 = y.m8101(context2, attributeSet, k.f5643, i6, i7, new int[0]);
        if (Build.VERSION.SDK_INT < 23) {
            setTextColor(s2.c.m13184(context2, m8101, k.f5646));
        }
        boolean hasValue = m8101.hasValue(k.f5685);
        m8101.recycle();
        this.f6747 = new c(this);
        m7428();
        if (!hasValue) {
            m7421();
        }
        setChecked(this.f6739);
        setText(m7446.m7502());
        setEllipsize(m7446.m7496());
        m7406();
        if (!this.f6734.m7577()) {
            setLines(1);
            setHorizontallyScrolling(true);
        }
        setGravity(8388627);
        m7424();
        if (m7435()) {
            setMinHeight(this.f6745);
        }
        this.f6744 = z0.m3395(this);
        super.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: h2.b
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public final void onCheckedChanged(CompoundButton compoundButton, boolean z5) {
                Chip.this.m7425(compoundButton, z5);
            }
        });
    }

    public void setCloseIconVisible(boolean z5) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7553(z5);
        }
        m7428();
    }

    public void setCheckedIconVisible(boolean z5) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7518(z5);
        }
    }

    public void setChipIconVisible(boolean z5) {
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7532(z5);
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        }
        if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
            return;
        }
        throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        }
        if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
            return;
        }
        throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
    }

    @Override // android.widget.TextView
    public void setTextAppearance(Context context, int i6) {
        super.setTextAppearance(context, i6);
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7570(i6);
        }
        m7406();
    }

    @Override // android.widget.TextView
    public void setTextAppearance(int i6) {
        super.setTextAppearance(i6);
        com.google.android.material.chip.a aVar = this.f6734;
        if (aVar != null) {
            aVar.m7570(i6);
        }
        m7406();
    }

    /* loaded from: classes.dex */
    class a extends f {
        a() {
        }

        @Override // s2.f
        /* renamed from: ʼ  reason: contains not printable characters */
        public void mo7437(Typeface typeface, boolean z5) {
            CharSequence text;
            Chip chip = Chip.this;
            if (chip.f6734.m7577()) {
                text = Chip.this.f6734.m7502();
            } else {
                text = Chip.this.getText();
            }
            chip.setText(text);
            Chip.this.requestLayout();
            Chip.this.invalidate();
        }

        @Override // s2.f
        /* renamed from: ʻ  reason: contains not printable characters */
        public void mo7436(int i6) {
        }
    }

    public void setInternalOnCheckedChangeListener(l<Chip> lVar) {
    }
}
