package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.os.Build;
import android.text.TextUtils;
import android.util.AttributeSet;
import c2.k;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.w;
import com.google.android.material.internal.y;
import d2.h;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import m2.e;
import me.zhanghai.android.materialprogressbar.BuildConfig;
import s2.c;
import s2.d;
import v2.g;
/* compiled from: ChipDrawable.java */
/* loaded from: classes.dex */
public class a extends g implements Drawable.Callback, w.b {

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private static final int[] f6755 = {16842910};

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    private static final ShapeDrawable f6756 = new ShapeDrawable(new OvalShape());

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private ColorStateList f6757;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private ColorStateList f6758;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private h f6759;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private h f6760;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private float f6761;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private float f6762;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private float f6763;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private float f6764;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private float f6765;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private float f6766;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private float f6767;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private float f6768;

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private final Context f6769;

    /* renamed from: ʻי  reason: contains not printable characters */
    private final Paint f6770;

    /* renamed from: ʻـ  reason: contains not printable characters */
    private final Paint f6771;

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private final Paint.FontMetrics f6772;

    /* renamed from: ʻᐧ  reason: contains not printable characters */
    private final RectF f6773;

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private final PointF f6774;

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private final Path f6775;

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private final w f6776;

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private int f6777;

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private int f6778;

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private int f6779;

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private int f6780;

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private int f6781;

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private int f6782;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private float f6783;

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private boolean f6784;

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private int f6785;

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private int f6786;

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private ColorFilter f6787;

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private PorterDuffColorFilter f6788;

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private ColorStateList f6789;

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private PorterDuff.Mode f6790;

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private int[] f6791;

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private boolean f6792;

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private ColorStateList f6793;

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private WeakReference<InterfaceC0074a> f6794;

    /* renamed from: ʼי  reason: contains not printable characters */
    private TextUtils.TruncateAt f6795;

    /* renamed from: ʼـ  reason: contains not printable characters */
    private boolean f6796;

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private int f6797;

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    private boolean f6798;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private ColorStateList f6799;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private ColorStateList f6800;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private float f6801;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private ColorStateList f6802;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private boolean f6803;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private CharSequence f6804;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private ColorStateList f6805;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private Drawable f6806;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private boolean f6807;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private float f6808;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private boolean f6809;

    /* renamed from: יי  reason: contains not printable characters */
    private Drawable f6810;

    /* renamed from: ــ  reason: contains not printable characters */
    private float f6811;

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private boolean f6812;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private ColorStateList f6813;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private Drawable f6814;

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private float f6815;

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private CharSequence f6816;

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private boolean f6817;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private Drawable f6818;

    /* compiled from: ChipDrawable.java */
    /* renamed from: com.google.android.material.chip.a$a  reason: collision with other inner class name */
    /* loaded from: classes.dex */
    public interface InterfaceC0074a {
        /* renamed from: ʻ */
        void mo7430();
    }

    private a(Context context, AttributeSet attributeSet, int i6, int i7) {
        super(context, attributeSet, i6, i7);
        this.f6801 = -1.0f;
        this.f6770 = new Paint(1);
        this.f6772 = new Paint.FontMetrics();
        this.f6773 = new RectF();
        this.f6774 = new PointF();
        this.f6775 = new Path();
        this.f6786 = 255;
        this.f6790 = PorterDuff.Mode.SRC_IN;
        this.f6794 = new WeakReference<>(null);
        m13707(context);
        this.f6769 = context;
        w wVar = new w(this);
        this.f6776 = wVar;
        this.f6804 = BuildConfig.FLAVOR;
        wVar.m8087().density = context.getResources().getDisplayMetrics().density;
        this.f6771 = null;
        int[] iArr = f6755;
        setState(iArr);
        m7550(iArr);
        this.f6796 = true;
        if (t2.b.f12794) {
            f6756.setTint(-1);
        }
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    private void m7438(Drawable drawable) {
        if (drawable == null) {
            return;
        }
        drawable.setCallback(this);
        androidx.core.graphics.drawable.a.m2428(drawable, androidx.core.graphics.drawable.a.m2421(this));
        drawable.setLevel(getLevel());
        drawable.setVisible(isVisible(), false);
        if (drawable == this.f6814) {
            if (drawable.isStateful()) {
                drawable.setState(m7493());
            }
            androidx.core.graphics.drawable.a.m2430(drawable, this.f6813);
            return;
        }
        Drawable drawable2 = this.f6806;
        if (drawable == drawable2 && this.f6807) {
            androidx.core.graphics.drawable.a.m2430(drawable2, this.f6805);
        }
        if (drawable.isStateful()) {
            drawable.setState(getState());
        }
    }

    /* renamed from: ʻٴ  reason: contains not printable characters */
    private void m7439(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m7467() || m7466()) {
            float f6 = this.f6761 + this.f6762;
            float m7457 = m7457();
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                float f7 = rect.left + f6;
                rectF.left = f7;
                rectF.right = f7 + m7457;
            } else {
                float f8 = rect.right - f6;
                rectF.right = f8;
                rectF.left = f8 - m7457;
            }
            float m7456 = m7456();
            float exactCenterY = rect.exactCenterY() - (m7456 / 2.0f);
            rectF.top = exactCenterY;
            rectF.bottom = exactCenterY + m7456;
        }
    }

    /* renamed from: ʻᴵ  reason: contains not printable characters */
    private void m7440(Rect rect, RectF rectF) {
        rectF.set(rect);
        if (m7468()) {
            float f6 = this.f6768 + this.f6767 + this.f6815 + this.f6766 + this.f6765;
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                rectF.right = rect.right - f6;
            } else {
                rectF.left = rect.left + f6;
            }
        }
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    private void m7441(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m7468()) {
            float f6 = this.f6768 + this.f6767;
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                float f7 = rect.right - f6;
                rectF.right = f7;
                rectF.left = f7 - this.f6815;
            } else {
                float f8 = rect.left + f6;
                rectF.left = f8;
                rectF.right = f8 + this.f6815;
            }
            float exactCenterY = rect.exactCenterY();
            float f9 = this.f6815;
            float f10 = exactCenterY - (f9 / 2.0f);
            rectF.top = f10;
            rectF.bottom = f10 + f9;
        }
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private void m7442(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (m7468()) {
            float f6 = this.f6768 + this.f6767 + this.f6815 + this.f6766 + this.f6765;
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                float f7 = rect.right;
                rectF.right = f7;
                rectF.left = f7 - f6;
            } else {
                int i6 = rect.left;
                rectF.left = i6;
                rectF.right = i6 + f6;
            }
            rectF.top = rect.top;
            rectF.bottom = rect.bottom;
        }
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private void m7443(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (this.f6804 != null) {
            float m7473 = this.f6761 + m7473() + this.f6764;
            float m7474 = this.f6768 + m7474() + this.f6765;
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                rectF.left = rect.left + m7473;
                rectF.right = rect.right - m7474;
            } else {
                rectF.left = rect.left + m7474;
                rectF.right = rect.right - m7473;
            }
            rectF.top = rect.top;
            rectF.bottom = rect.bottom;
        }
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private float m7444() {
        this.f6776.m8087().getFontMetrics(this.f6772);
        Paint.FontMetrics fontMetrics = this.f6772;
        return (fontMetrics.descent + fontMetrics.ascent) / 2.0f;
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private boolean m7445() {
        if (this.f6812 && this.f6818 != null && this.f6817) {
            return true;
        }
        return false;
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    public static a m7446(Context context, AttributeSet attributeSet, int i6, int i7) {
        a aVar = new a(context, attributeSet, i6, i7);
        aVar.m7463(attributeSet, i6, i7);
        return aVar;
    }

    /* renamed from: ʼʽ  reason: contains not printable characters */
    private void m7447(Canvas canvas, Rect rect) {
        if (m7466()) {
            m7439(rect, this.f6773);
            RectF rectF = this.f6773;
            float f6 = rectF.left;
            float f7 = rectF.top;
            canvas.translate(f6, f7);
            this.f6818.setBounds(0, 0, (int) this.f6773.width(), (int) this.f6773.height());
            this.f6818.draw(canvas);
            canvas.translate(-f6, -f7);
        }
    }

    /* renamed from: ʼʾ  reason: contains not printable characters */
    private void m7448(Canvas canvas, Rect rect) {
        if (!this.f6798) {
            this.f6770.setColor(this.f6778);
            this.f6770.setStyle(Paint.Style.FILL);
            this.f6770.setColorFilter(m7458());
            this.f6773.set(rect);
            canvas.drawRoundRect(this.f6773, m7479(), m7479(), this.f6770);
        }
    }

    /* renamed from: ʼʿ  reason: contains not printable characters */
    private void m7449(Canvas canvas, Rect rect) {
        if (m7467()) {
            m7439(rect, this.f6773);
            RectF rectF = this.f6773;
            float f6 = rectF.left;
            float f7 = rectF.top;
            canvas.translate(f6, f7);
            this.f6806.setBounds(0, 0, (int) this.f6773.width(), (int) this.f6773.height());
            this.f6806.draw(canvas);
            canvas.translate(-f6, -f7);
        }
    }

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private void m7450(Canvas canvas, Rect rect) {
        if (this.f6811 > 0.0f && !this.f6798) {
            this.f6770.setColor(this.f6780);
            this.f6770.setStyle(Paint.Style.STROKE);
            if (!this.f6798) {
                this.f6770.setColorFilter(m7458());
            }
            RectF rectF = this.f6773;
            float f6 = this.f6811;
            rectF.set(rect.left + (f6 / 2.0f), rect.top + (f6 / 2.0f), rect.right - (f6 / 2.0f), rect.bottom - (f6 / 2.0f));
            float f7 = this.f6801 - (this.f6811 / 2.0f);
            canvas.drawRoundRect(this.f6773, f7, f7, this.f6770);
        }
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private void m7451(Canvas canvas, Rect rect) {
        if (!this.f6798) {
            this.f6770.setColor(this.f6777);
            this.f6770.setStyle(Paint.Style.FILL);
            this.f6773.set(rect);
            canvas.drawRoundRect(this.f6773, m7479(), m7479(), this.f6770);
        }
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private void m7452(Canvas canvas, Rect rect) {
        if (m7468()) {
            m7441(rect, this.f6773);
            RectF rectF = this.f6773;
            float f6 = rectF.left;
            float f7 = rectF.top;
            canvas.translate(f6, f7);
            this.f6814.setBounds(0, 0, (int) this.f6773.width(), (int) this.f6773.height());
            if (t2.b.f12794) {
                this.f6810.setBounds(this.f6814.getBounds());
                this.f6810.jumpToCurrentState();
                this.f6810.draw(canvas);
            } else {
                this.f6814.draw(canvas);
            }
            canvas.translate(-f6, -f7);
        }
    }

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private void m7453(Canvas canvas, Rect rect) {
        this.f6770.setColor(this.f6781);
        this.f6770.setStyle(Paint.Style.FILL);
        this.f6773.set(rect);
        if (!this.f6798) {
            canvas.drawRoundRect(this.f6773, m7479(), m7479(), this.f6770);
            return;
        }
        m13705(new RectF(rect), this.f6775);
        super.m13711(canvas, this.f6770, this.f6775, m13715());
    }

    /* renamed from: ʼˋ  reason: contains not printable characters */
    private void m7454(Canvas canvas, Rect rect) {
        Paint paint = this.f6771;
        if (paint != null) {
            paint.setColor(androidx.core.graphics.a.m2388(-16777216, 127));
            canvas.drawRect(rect, this.f6771);
            if (m7467() || m7466()) {
                m7439(rect, this.f6773);
                canvas.drawRect(this.f6773, this.f6771);
            }
            if (this.f6804 != null) {
                canvas.drawLine(rect.left, rect.exactCenterY(), rect.right, rect.exactCenterY(), this.f6771);
            }
            if (m7468()) {
                m7441(rect, this.f6773);
                canvas.drawRect(this.f6773, this.f6771);
            }
            this.f6771.setColor(androidx.core.graphics.a.m2388(-65536, 127));
            m7440(rect, this.f6773);
            canvas.drawRect(this.f6773, this.f6771);
            this.f6771.setColor(androidx.core.graphics.a.m2388(-16711936, 127));
            m7442(rect, this.f6773);
            canvas.drawRect(this.f6773, this.f6771);
        }
    }

    /* renamed from: ʼˎ  reason: contains not printable characters */
    private void m7455(Canvas canvas, Rect rect) {
        boolean z5;
        if (this.f6804 != null) {
            Paint.Align m7475 = m7475(rect, this.f6774);
            m7443(rect, this.f6773);
            if (this.f6776.m8086() != null) {
                this.f6776.m8087().drawableState = getState();
                this.f6776.m8092(this.f6769);
            }
            this.f6776.m8087().setTextAlign(m7475);
            int i6 = 0;
            if (Math.round(this.f6776.m8088(m7502().toString())) > Math.round(this.f6773.width())) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (z5) {
                i6 = canvas.save();
                canvas.clipRect(this.f6773);
            }
            CharSequence charSequence = this.f6804;
            if (z5 && this.f6795 != null) {
                charSequence = TextUtils.ellipsize(charSequence, this.f6776.m8087(), this.f6773.width(), this.f6795);
            }
            CharSequence charSequence2 = charSequence;
            int length = charSequence2.length();
            PointF pointF = this.f6774;
            canvas.drawText(charSequence2, 0, length, pointF.x, pointF.y, this.f6776.m8087());
            if (z5) {
                canvas.restoreToCount(i6);
            }
        }
    }

    /* renamed from: ʽˉ  reason: contains not printable characters */
    private float m7456() {
        Drawable drawable;
        if (this.f6784) {
            drawable = this.f6818;
        } else {
            drawable = this.f6806;
        }
        float f6 = this.f6808;
        if (f6 <= 0.0f && drawable != null) {
            f6 = (float) Math.ceil(b0.m7965(this.f6769, 24));
            if (drawable.getIntrinsicHeight() <= f6) {
                return drawable.getIntrinsicHeight();
            }
        }
        return f6;
    }

    /* renamed from: ʽˊ  reason: contains not printable characters */
    private float m7457() {
        Drawable drawable;
        if (this.f6784) {
            drawable = this.f6818;
        } else {
            drawable = this.f6806;
        }
        float f6 = this.f6808;
        if (f6 <= 0.0f && drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return f6;
    }

    /* renamed from: ʽᵔ  reason: contains not printable characters */
    private ColorFilter m7458() {
        ColorFilter colorFilter = this.f6787;
        if (colorFilter == null) {
            return this.f6788;
        }
        return colorFilter;
    }

    /* renamed from: ʽⁱ  reason: contains not printable characters */
    private static boolean m7459(int[] iArr, int i6) {
        if (iArr == null) {
            return false;
        }
        for (int i7 : iArr) {
            if (i7 == i6) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: ʾʻ  reason: contains not printable characters */
    private static boolean m7460(ColorStateList colorStateList) {
        if (colorStateList != null && colorStateList.isStateful()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʾʼ  reason: contains not printable characters */
    private static boolean m7461(Drawable drawable) {
        if (drawable != null && drawable.isStateful()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʾʽ  reason: contains not printable characters */
    private static boolean m7462(d dVar) {
        if (dVar != null && dVar.m13201() != null && dVar.m13201().isStateful()) {
            return true;
        }
        return false;
    }

    /* renamed from: ʾʿ  reason: contains not printable characters */
    private void m7463(AttributeSet attributeSet, int i6, int i7) {
        TypedArray m8101 = y.m8101(this.f6769, attributeSet, k.f5643, i6, i7, new int[0]);
        this.f6798 = m8101.hasValue(k.f5685);
        m7465(c.m13184(this.f6769, m8101, k.f5670));
        m7519(c.m13184(this.f6769, m8101, k.f5657));
        m7533(m8101.getDimension(k.f5665, 0.0f));
        int i8 = k.f5658;
        if (m8101.hasValue(i8)) {
            m7521(m8101.getDimension(i8, 0.0f));
        }
        m7537(c.m13184(this.f6769, m8101, k.f5668));
        m7539(m8101.getDimension(k.f5669, 0.0f));
        m7563(c.m13184(this.f6769, m8101, k.f5684));
        m7568(m8101.getText(k.f5649));
        d m13189 = c.m13189(this.f6769, m8101, k.f5644);
        m13189.m13204(m8101.getDimension(k.f5645, m13189.m13202()));
        if (Build.VERSION.SDK_INT < 23) {
            m13189.m13203(c.m13184(this.f6769, m8101, k.f5646));
        }
        m7569(m13189);
        int i9 = m8101.getInt(k.f5647, 0);
        if (i9 != 1) {
            if (i9 != 2) {
                if (i9 == 3) {
                    m7555(TextUtils.TruncateAt.END);
                }
            } else {
                m7555(TextUtils.TruncateAt.MIDDLE);
            }
        } else {
            m7555(TextUtils.TruncateAt.START);
        }
        m7532(m8101.getBoolean(k.f5664, false));
        if (attributeSet != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") == null) {
            m7532(m8101.getBoolean(k.f5661, false));
        }
        m7525(c.m13187(this.f6769, m8101, k.f5660));
        int i10 = k.f5663;
        if (m8101.hasValue(i10)) {
            m7529(c.m13184(this.f6769, m8101, i10));
        }
        m7527(m8101.getDimension(k.f5662, -1.0f));
        m7553(m8101.getBoolean(k.f5677, false));
        if (attributeSet != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") == null) {
            m7553(m8101.getBoolean(k.f5672, false));
        }
        m7541(c.m13187(this.f6769, m8101, k.f5671));
        m7551(c.m13184(this.f6769, m8101, k.f5676));
        m7546(m8101.getDimension(k.f5674, 0.0f));
        m7511(m8101.getBoolean(k.f5650, false));
        m7518(m8101.getBoolean(k.f5655, false));
        if (attributeSet != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") != null && attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") == null) {
            m7518(m8101.getBoolean(k.f5652, false));
        }
        m7513(c.m13187(this.f6769, m8101, k.f5651));
        int i11 = k.f5653;
        if (m8101.hasValue(i11)) {
            m7515(c.m13184(this.f6769, m8101, i11));
        }
        m7566(h.m9188(this.f6769, m8101, k.f5686));
        m7556(h.m9188(this.f6769, m8101, k.f5679));
        m7535(m8101.getDimension(k.f5667, 0.0f));
        m7560(m8101.getDimension(k.f5682, 0.0f));
        m7558(m8101.getDimension(k.f5681, 0.0f));
        m7574(m8101.getDimension(k.f5688, 0.0f));
        m7571(m8101.getDimension(k.f5687, 0.0f));
        m7548(m8101.getDimension(k.f5675, 0.0f));
        m7543(m8101.getDimension(k.f5673, 0.0f));
        m7523(m8101.getDimension(k.f5659, 0.0f));
        m7562(m8101.getDimensionPixelSize(k.f5648, Integer.MAX_VALUE));
        m8101.recycle();
    }

    /* JADX WARN: Removed duplicated region for block: B:71:0x00e7  */
    /* JADX WARN: Removed duplicated region for block: B:72:0x00ee  */
    /* JADX WARN: Removed duplicated region for block: B:75:0x00f3  */
    /* JADX WARN: Removed duplicated region for block: B:76:0x0100  */
    /* JADX WARN: Removed duplicated region for block: B:79:0x0109  */
    /* JADX WARN: Removed duplicated region for block: B:82:0x0118  */
    /* JADX WARN: Removed duplicated region for block: B:85:0x0127  */
    /* JADX WARN: Removed duplicated region for block: B:92:0x0151  */
    /* JADX WARN: Removed duplicated region for block: B:94:0x0156  */
    /* renamed from: ʾˈ  reason: contains not printable characters */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean m7464(int[] iArr, int[] iArr2) {
        int i6;
        int i7;
        boolean z5;
        boolean z6;
        int i8;
        int i9;
        int i10;
        boolean z7;
        boolean z8;
        ColorStateList colorStateList;
        int i11;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList2 = this.f6757;
        if (colorStateList2 != null) {
            i6 = colorStateList2.getColorForState(iArr, this.f6777);
        } else {
            i6 = 0;
        }
        int m13708 = m13708(i6);
        boolean z9 = true;
        if (this.f6777 != m13708) {
            this.f6777 = m13708;
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.f6799;
        if (colorStateList3 != null) {
            i7 = colorStateList3.getColorForState(iArr, this.f6778);
        } else {
            i7 = 0;
        }
        int m137082 = m13708(i7);
        if (this.f6778 != m137082) {
            this.f6778 = m137082;
            onStateChange = true;
        }
        int m11165 = k2.a.m11165(m13708, m137082);
        if (this.f6779 != m11165) {
            z5 = true;
        } else {
            z5 = false;
        }
        if (m13718() == null) {
            z6 = true;
        } else {
            z6 = false;
        }
        if (z5 | z6) {
            this.f6779 = m11165;
            m13690(ColorStateList.valueOf(m11165));
            onStateChange = true;
        }
        ColorStateList colorStateList4 = this.f6800;
        if (colorStateList4 != null) {
            i8 = colorStateList4.getColorForState(iArr, this.f6780);
        } else {
            i8 = 0;
        }
        if (this.f6780 != i8) {
            this.f6780 = i8;
            onStateChange = true;
        }
        if (this.f6793 != null && t2.b.m13459(iArr)) {
            i9 = this.f6793.getColorForState(iArr, this.f6781);
        } else {
            i9 = 0;
        }
        if (this.f6781 != i9) {
            this.f6781 = i9;
            if (this.f6792) {
                onStateChange = true;
            }
        }
        if (this.f6776.m8086() != null && this.f6776.m8086().m13201() != null) {
            i10 = this.f6776.m8086().m13201().getColorForState(iArr, this.f6782);
        } else {
            i10 = 0;
        }
        if (this.f6782 != i10) {
            this.f6782 = i10;
            onStateChange = true;
        }
        if (m7459(getState(), 16842912) && this.f6817) {
            z7 = true;
        } else {
            z7 = false;
        }
        if (this.f6784 != z7 && this.f6818 != null) {
            float m7473 = m7473();
            this.f6784 = z7;
            if (m7473 != m7473()) {
                onStateChange = true;
                z8 = true;
                colorStateList = this.f6789;
                if (colorStateList == null) {
                    i11 = colorStateList.getColorForState(iArr, this.f6785);
                } else {
                    i11 = 0;
                }
                if (this.f6785 == i11) {
                    this.f6785 = i11;
                    this.f6788 = e.m11533(this, this.f6789, this.f6790);
                } else {
                    z9 = onStateChange;
                }
                if (m7461(this.f6806)) {
                    z9 |= this.f6806.setState(iArr);
                }
                if (m7461(this.f6818)) {
                    z9 |= this.f6818.setState(iArr);
                }
                if (m7461(this.f6814)) {
                    int[] iArr3 = new int[iArr.length + iArr2.length];
                    System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                    System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
                    z9 |= this.f6814.setState(iArr3);
                }
                if (t2.b.f12794 && m7461(this.f6810)) {
                    z9 |= this.f6810.setState(iArr2);
                }
                if (z9) {
                    invalidateSelf();
                }
                if (z8) {
                    m7510();
                }
                return z9;
            }
            onStateChange = true;
        }
        z8 = false;
        colorStateList = this.f6789;
        if (colorStateList == null) {
        }
        if (this.f6785 == i11) {
        }
        if (m7461(this.f6806)) {
        }
        if (m7461(this.f6818)) {
        }
        if (m7461(this.f6814)) {
        }
        if (t2.b.f12794) {
            z9 |= this.f6810.setState(iArr2);
        }
        if (z9) {
        }
        if (z8) {
        }
        return z9;
    }

    /* renamed from: ʿי  reason: contains not printable characters */
    private void m7465(ColorStateList colorStateList) {
        if (this.f6757 != colorStateList) {
            this.f6757 = colorStateList;
            onStateChange(getState());
        }
    }

    /* renamed from: ˈʽ  reason: contains not printable characters */
    private boolean m7466() {
        if (this.f6812 && this.f6818 != null && this.f6784) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈʾ  reason: contains not printable characters */
    private boolean m7467() {
        if (this.f6803 && this.f6806 != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈʿ  reason: contains not printable characters */
    private boolean m7468() {
        if (this.f6809 && this.f6814 != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˈˆ  reason: contains not printable characters */
    private void m7469(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    /* renamed from: ˈˉ  reason: contains not printable characters */
    private void m7470() {
        ColorStateList colorStateList;
        if (this.f6792) {
            colorStateList = t2.b.m13458(this.f6802);
        } else {
            colorStateList = null;
        }
        this.f6793 = colorStateList;
    }

    @TargetApi(21)
    /* renamed from: ˈˊ  reason: contains not printable characters */
    private void m7471() {
        this.f6810 = new RippleDrawable(t2.b.m13458(m7500()), this.f6814, f6756);
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        int i6;
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i7 = this.f6786;
            if (i7 < 255) {
                i6 = f2.b.m9606(canvas, bounds.left, bounds.top, bounds.right, bounds.bottom, i7);
            } else {
                i6 = 0;
            }
            m7451(canvas, bounds);
            m7448(canvas, bounds);
            if (this.f6798) {
                super.draw(canvas);
            }
            m7450(canvas, bounds);
            m7453(canvas, bounds);
            m7449(canvas, bounds);
            m7447(canvas, bounds);
            if (this.f6796) {
                m7455(canvas, bounds);
            }
            m7452(canvas, bounds);
            m7454(canvas, bounds);
            if (this.f6786 < 255) {
                canvas.restoreToCount(i6);
            }
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public int getAlpha() {
        return this.f6786;
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        return this.f6787;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        return (int) this.f6783;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        return Math.min(Math.round(this.f6761 + m7473() + this.f6764 + this.f6776.m8088(m7502().toString()) + this.f6765 + m7474() + this.f6768), this.f6797);
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public int getOpacity() {
        return -3;
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    @TargetApi(21)
    public void getOutline(Outline outline) {
        if (this.f6798) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.f6801);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.f6801);
        }
        outline.setAlpha(getAlpha() / 255.0f);
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public boolean isStateful() {
        if (!m7460(this.f6757) && !m7460(this.f6799) && !m7460(this.f6800) && ((!this.f6792 || !m7460(this.f6793)) && !m7462(this.f6776.m8086()) && !m7445() && !m7461(this.f6806) && !m7461(this.f6818) && !m7460(this.f6789))) {
            return false;
        }
        return true;
    }

    @Override // android.graphics.drawable.Drawable
    public boolean onLayoutDirectionChanged(int i6) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i6);
        if (m7467()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m2428(this.f6806, i6);
        }
        if (m7466()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m2428(this.f6818, i6);
        }
        if (m7468()) {
            onLayoutDirectionChanged |= androidx.core.graphics.drawable.a.m2428(this.f6814, i6);
        }
        if (onLayoutDirectionChanged) {
            invalidateSelf();
            return true;
        }
        return true;
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i6) {
        boolean onLevelChange = super.onLevelChange(i6);
        if (m7467()) {
            onLevelChange |= this.f6806.setLevel(i6);
        }
        if (m7466()) {
            onLevelChange |= this.f6818.setLevel(i6);
        }
        if (m7468()) {
            onLevelChange |= this.f6814.setLevel(i6);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // v2.g, android.graphics.drawable.Drawable, com.google.android.material.internal.w.b
    public boolean onStateChange(int[] iArr) {
        if (this.f6798) {
            super.onStateChange(iArr);
        }
        return m7464(iArr, m7493());
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j6) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j6);
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public void setAlpha(int i6) {
        if (this.f6786 != i6) {
            this.f6786 = i6;
            invalidateSelf();
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        if (this.f6787 != colorFilter) {
            this.f6787 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintList(ColorStateList colorStateList) {
        if (this.f6789 != colorStateList) {
            this.f6789 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // v2.g, android.graphics.drawable.Drawable, androidx.core.graphics.drawable.y
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.f6790 != mode) {
            this.f6790 = mode;
            this.f6788 = e.m11533(this, this.f6789, mode);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z5, boolean z6) {
        boolean visible = super.setVisible(z5, z6);
        if (m7467()) {
            visible |= this.f6806.setVisible(z5, z6);
        }
        if (m7466()) {
            visible |= this.f6818.setVisible(z5, z6);
        }
        if (m7468()) {
            visible |= this.f6814.setVisible(z5, z6);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    @Override // com.google.android.material.internal.w.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void mo7472() {
        m7510();
        invalidateSelf();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public float m7473() {
        if (!m7467() && !m7466()) {
            return 0.0f;
        }
        return this.f6762 + m7457() + this.f6763;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᵢ  reason: contains not printable characters */
    public float m7474() {
        if (m7468()) {
            return this.f6766 + this.f6815 + this.f6767;
        }
        return 0.0f;
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    Paint.Align m7475(Rect rect, PointF pointF) {
        pointF.set(0.0f, 0.0f);
        Paint.Align align = Paint.Align.LEFT;
        if (this.f6804 != null) {
            float m7473 = this.f6761 + m7473() + this.f6764;
            if (androidx.core.graphics.drawable.a.m2421(this) == 0) {
                pointF.x = rect.left + m7473;
                align = Paint.Align.LEFT;
            } else {
                pointF.x = rect.right - m7473;
                align = Paint.Align.RIGHT;
            }
            pointF.y = rect.centerY() - m7444();
        }
        return align;
    }

    /* renamed from: ʼˏ  reason: contains not printable characters */
    public Drawable m7476() {
        return this.f6818;
    }

    /* renamed from: ʼˑ  reason: contains not printable characters */
    public ColorStateList m7477() {
        return this.f6758;
    }

    /* renamed from: ʼי  reason: contains not printable characters */
    public ColorStateList m7478() {
        return this.f6799;
    }

    /* renamed from: ʼـ  reason: contains not printable characters */
    public float m7479() {
        if (this.f6798) {
            return m13710();
        }
        return this.f6801;
    }

    /* renamed from: ʼٴ  reason: contains not printable characters */
    public float m7480() {
        return this.f6768;
    }

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    public Drawable m7481() {
        Drawable drawable = this.f6806;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2432(drawable);
        }
        return null;
    }

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    public float m7482() {
        return this.f6808;
    }

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    public ColorStateList m7483() {
        return this.f6805;
    }

    /* renamed from: ʼᵔ  reason: contains not printable characters */
    public float m7484() {
        return this.f6783;
    }

    /* renamed from: ʼᵢ  reason: contains not printable characters */
    public float m7485() {
        return this.f6761;
    }

    /* renamed from: ʼⁱ  reason: contains not printable characters */
    public ColorStateList m7486() {
        return this.f6800;
    }

    /* renamed from: ʼﹳ  reason: contains not printable characters */
    public float m7487() {
        return this.f6811;
    }

    /* renamed from: ʼﹶ  reason: contains not printable characters */
    public Drawable m7488() {
        Drawable drawable = this.f6814;
        if (drawable != null) {
            return androidx.core.graphics.drawable.a.m2432(drawable);
        }
        return null;
    }

    /* renamed from: ʼﾞ  reason: contains not printable characters */
    public CharSequence m7489() {
        return this.f6816;
    }

    /* renamed from: ʽʻ  reason: contains not printable characters */
    public float m7490() {
        return this.f6767;
    }

    /* renamed from: ʽʼ  reason: contains not printable characters */
    public float m7491() {
        return this.f6815;
    }

    /* renamed from: ʽʾ  reason: contains not printable characters */
    public float m7492() {
        return this.f6766;
    }

    /* renamed from: ʽʿ  reason: contains not printable characters */
    public int[] m7493() {
        return this.f6791;
    }

    /* renamed from: ʽˆ  reason: contains not printable characters */
    public ColorStateList m7494() {
        return this.f6813;
    }

    /* renamed from: ʽˈ  reason: contains not printable characters */
    public void m7495(RectF rectF) {
        m7442(getBounds(), rectF);
    }

    /* renamed from: ʽˋ  reason: contains not printable characters */
    public TextUtils.TruncateAt m7496() {
        return this.f6795;
    }

    /* renamed from: ʽˎ  reason: contains not printable characters */
    public h m7497() {
        return this.f6760;
    }

    /* renamed from: ʽˏ  reason: contains not printable characters */
    public float m7498() {
        return this.f6763;
    }

    /* renamed from: ʽˑ  reason: contains not printable characters */
    public float m7499() {
        return this.f6762;
    }

    /* renamed from: ʽי  reason: contains not printable characters */
    public ColorStateList m7500() {
        return this.f6802;
    }

    /* renamed from: ʽـ  reason: contains not printable characters */
    public h m7501() {
        return this.f6759;
    }

    /* renamed from: ʽٴ  reason: contains not printable characters */
    public CharSequence m7502() {
        return this.f6804;
    }

    /* renamed from: ʽᐧ  reason: contains not printable characters */
    public d m7503() {
        return this.f6776.m8086();
    }

    /* renamed from: ʽᴵ  reason: contains not printable characters */
    public float m7504() {
        return this.f6765;
    }

    /* renamed from: ʽᵎ  reason: contains not printable characters */
    public float m7505() {
        return this.f6764;
    }

    /* renamed from: ʽᵢ  reason: contains not printable characters */
    public boolean m7506() {
        return this.f6792;
    }

    /* renamed from: ʽﹳ  reason: contains not printable characters */
    public boolean m7507() {
        return this.f6817;
    }

    /* renamed from: ʽﹶ  reason: contains not printable characters */
    public boolean m7508() {
        return m7461(this.f6814);
    }

    /* renamed from: ʽﾞ  reason: contains not printable characters */
    public boolean m7509() {
        return this.f6809;
    }

    /* renamed from: ʾˆ  reason: contains not printable characters */
    protected void m7510() {
        InterfaceC0074a interfaceC0074a = this.f6794.get();
        if (interfaceC0074a != null) {
            interfaceC0074a.mo7430();
        }
    }

    /* renamed from: ʾˉ  reason: contains not printable characters */
    public void m7511(boolean z5) {
        if (this.f6817 != z5) {
            this.f6817 = z5;
            float m7473 = m7473();
            if (!z5 && this.f6784) {
                this.f6784 = false;
            }
            float m74732 = m7473();
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ʾˊ  reason: contains not printable characters */
    public void m7512(int i6) {
        m7511(this.f6769.getResources().getBoolean(i6));
    }

    /* renamed from: ʾˋ  reason: contains not printable characters */
    public void m7513(Drawable drawable) {
        if (this.f6818 != drawable) {
            float m7473 = m7473();
            this.f6818 = drawable;
            float m74732 = m7473();
            m7469(this.f6818);
            m7438(this.f6818);
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ʾˎ  reason: contains not printable characters */
    public void m7514(int i6) {
        m7513(f.a.m9499(this.f6769, i6));
    }

    /* renamed from: ʾˏ  reason: contains not printable characters */
    public void m7515(ColorStateList colorStateList) {
        if (this.f6758 != colorStateList) {
            this.f6758 = colorStateList;
            if (m7445()) {
                androidx.core.graphics.drawable.a.m2430(this.f6818, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʾˑ  reason: contains not printable characters */
    public void m7516(int i6) {
        m7515(f.a.m9498(this.f6769, i6));
    }

    /* renamed from: ʾי  reason: contains not printable characters */
    public void m7517(int i6) {
        m7518(this.f6769.getResources().getBoolean(i6));
    }

    /* renamed from: ʾـ  reason: contains not printable characters */
    public void m7518(boolean z5) {
        boolean z6;
        if (this.f6812 != z5) {
            boolean m7466 = m7466();
            this.f6812 = z5;
            boolean m74662 = m7466();
            if (m7466 != m74662) {
                z6 = true;
            } else {
                z6 = false;
            }
            if (z6) {
                if (m74662) {
                    m7438(this.f6818);
                } else {
                    m7469(this.f6818);
                }
                invalidateSelf();
                m7510();
            }
        }
    }

    /* renamed from: ʾٴ  reason: contains not printable characters */
    public void m7519(ColorStateList colorStateList) {
        if (this.f6799 != colorStateList) {
            this.f6799 = colorStateList;
            onStateChange(getState());
        }
    }

    /* renamed from: ʾᐧ  reason: contains not printable characters */
    public void m7520(int i6) {
        m7519(f.a.m9498(this.f6769, i6));
    }

    @Deprecated
    /* renamed from: ʾᴵ  reason: contains not printable characters */
    public void m7521(float f6) {
        if (this.f6801 != f6) {
            this.f6801 = f6;
            setShapeAppearanceModel(m13689().m13757(f6));
        }
    }

    @Deprecated
    /* renamed from: ʾᵎ  reason: contains not printable characters */
    public void m7522(int i6) {
        m7521(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʾᵔ  reason: contains not printable characters */
    public void m7523(float f6) {
        if (this.f6768 != f6) {
            this.f6768 = f6;
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ʾᵢ  reason: contains not printable characters */
    public void m7524(int i6) {
        m7523(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʾⁱ  reason: contains not printable characters */
    public void m7525(Drawable drawable) {
        Drawable drawable2;
        Drawable m7481 = m7481();
        if (m7481 != drawable) {
            float m7473 = m7473();
            if (drawable != null) {
                drawable2 = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
            } else {
                drawable2 = null;
            }
            this.f6806 = drawable2;
            float m74732 = m7473();
            m7469(m7481);
            if (m7467()) {
                m7438(this.f6806);
            }
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ʾﹳ  reason: contains not printable characters */
    public void m7526(int i6) {
        m7525(f.a.m9499(this.f6769, i6));
    }

    /* renamed from: ʾﹶ  reason: contains not printable characters */
    public void m7527(float f6) {
        if (this.f6808 != f6) {
            float m7473 = m7473();
            this.f6808 = f6;
            float m74732 = m7473();
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ʾﾞ  reason: contains not printable characters */
    public void m7528(int i6) {
        m7527(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿʻ  reason: contains not printable characters */
    public void m7529(ColorStateList colorStateList) {
        this.f6807 = true;
        if (this.f6805 != colorStateList) {
            this.f6805 = colorStateList;
            if (m7467()) {
                androidx.core.graphics.drawable.a.m2430(this.f6806, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʿʼ  reason: contains not printable characters */
    public void m7530(int i6) {
        m7529(f.a.m9498(this.f6769, i6));
    }

    /* renamed from: ʿʽ  reason: contains not printable characters */
    public void m7531(int i6) {
        m7532(this.f6769.getResources().getBoolean(i6));
    }

    /* renamed from: ʿʾ  reason: contains not printable characters */
    public void m7532(boolean z5) {
        boolean z6;
        if (this.f6803 != z5) {
            boolean m7467 = m7467();
            this.f6803 = z5;
            boolean m74672 = m7467();
            if (m7467 != m74672) {
                z6 = true;
            } else {
                z6 = false;
            }
            if (z6) {
                if (m74672) {
                    m7438(this.f6806);
                } else {
                    m7469(this.f6806);
                }
                invalidateSelf();
                m7510();
            }
        }
    }

    /* renamed from: ʿˆ  reason: contains not printable characters */
    public void m7533(float f6) {
        if (this.f6783 != f6) {
            this.f6783 = f6;
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ʿˈ  reason: contains not printable characters */
    public void m7534(int i6) {
        m7533(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿˉ  reason: contains not printable characters */
    public void m7535(float f6) {
        if (this.f6761 != f6) {
            this.f6761 = f6;
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ʿˊ  reason: contains not printable characters */
    public void m7536(int i6) {
        m7535(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿˋ  reason: contains not printable characters */
    public void m7537(ColorStateList colorStateList) {
        if (this.f6800 != colorStateList) {
            this.f6800 = colorStateList;
            if (this.f6798) {
                m13698(colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ʿˎ  reason: contains not printable characters */
    public void m7538(int i6) {
        m7537(f.a.m9498(this.f6769, i6));
    }

    /* renamed from: ʿˏ  reason: contains not printable characters */
    public void m7539(float f6) {
        if (this.f6811 != f6) {
            this.f6811 = f6;
            this.f6770.setStrokeWidth(f6);
            if (this.f6798) {
                super.m13699(f6);
            }
            invalidateSelf();
        }
    }

    /* renamed from: ʿˑ  reason: contains not printable characters */
    public void m7540(int i6) {
        m7539(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿـ  reason: contains not printable characters */
    public void m7541(Drawable drawable) {
        Drawable drawable2;
        Drawable m7488 = m7488();
        if (m7488 != drawable) {
            float m7474 = m7474();
            if (drawable != null) {
                drawable2 = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
            } else {
                drawable2 = null;
            }
            this.f6814 = drawable2;
            if (t2.b.f12794) {
                m7471();
            }
            float m74742 = m7474();
            m7469(m7488);
            if (m7468()) {
                m7438(this.f6814);
            }
            invalidateSelf();
            if (m7474 != m74742) {
                m7510();
            }
        }
    }

    /* renamed from: ʿٴ  reason: contains not printable characters */
    public void m7542(CharSequence charSequence) {
        if (this.f6816 != charSequence) {
            this.f6816 = androidx.core.text.a.m2679().m2684(charSequence);
            invalidateSelf();
        }
    }

    /* renamed from: ʿᐧ  reason: contains not printable characters */
    public void m7543(float f6) {
        if (this.f6767 != f6) {
            this.f6767 = f6;
            invalidateSelf();
            if (m7468()) {
                m7510();
            }
        }
    }

    /* renamed from: ʿᴵ  reason: contains not printable characters */
    public void m7544(int i6) {
        m7543(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿᵎ  reason: contains not printable characters */
    public void m7545(int i6) {
        m7541(f.a.m9499(this.f6769, i6));
    }

    /* renamed from: ʿᵔ  reason: contains not printable characters */
    public void m7546(float f6) {
        if (this.f6815 != f6) {
            this.f6815 = f6;
            invalidateSelf();
            if (m7468()) {
                m7510();
            }
        }
    }

    /* renamed from: ʿᵢ  reason: contains not printable characters */
    public void m7547(int i6) {
        m7546(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿⁱ  reason: contains not printable characters */
    public void m7548(float f6) {
        if (this.f6766 != f6) {
            this.f6766 = f6;
            invalidateSelf();
            if (m7468()) {
                m7510();
            }
        }
    }

    /* renamed from: ʿﹳ  reason: contains not printable characters */
    public void m7549(int i6) {
        m7548(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ʿﹶ  reason: contains not printable characters */
    public boolean m7550(int[] iArr) {
        if (!Arrays.equals(this.f6791, iArr)) {
            this.f6791 = iArr;
            if (m7468()) {
                return m7464(getState(), iArr);
            }
            return false;
        }
        return false;
    }

    /* renamed from: ʿﾞ  reason: contains not printable characters */
    public void m7551(ColorStateList colorStateList) {
        if (this.f6813 != colorStateList) {
            this.f6813 = colorStateList;
            if (m7468()) {
                androidx.core.graphics.drawable.a.m2430(this.f6814, colorStateList);
            }
            onStateChange(getState());
        }
    }

    /* renamed from: ˆʻ  reason: contains not printable characters */
    public void m7552(int i6) {
        m7551(f.a.m9498(this.f6769, i6));
    }

    /* renamed from: ˆʼ  reason: contains not printable characters */
    public void m7553(boolean z5) {
        boolean z6;
        if (this.f6809 != z5) {
            boolean m7468 = m7468();
            this.f6809 = z5;
            boolean m74682 = m7468();
            if (m7468 != m74682) {
                z6 = true;
            } else {
                z6 = false;
            }
            if (z6) {
                if (m74682) {
                    m7438(this.f6814);
                } else {
                    m7469(this.f6814);
                }
                invalidateSelf();
                m7510();
            }
        }
    }

    /* renamed from: ˆʽ  reason: contains not printable characters */
    public void m7554(InterfaceC0074a interfaceC0074a) {
        this.f6794 = new WeakReference<>(interfaceC0074a);
    }

    /* renamed from: ˆʾ  reason: contains not printable characters */
    public void m7555(TextUtils.TruncateAt truncateAt) {
        this.f6795 = truncateAt;
    }

    /* renamed from: ˆʿ  reason: contains not printable characters */
    public void m7556(h hVar) {
        this.f6760 = hVar;
    }

    /* renamed from: ˆˈ  reason: contains not printable characters */
    public void m7557(int i6) {
        m7556(h.m9189(this.f6769, i6));
    }

    /* renamed from: ˆˉ  reason: contains not printable characters */
    public void m7558(float f6) {
        if (this.f6763 != f6) {
            float m7473 = m7473();
            this.f6763 = f6;
            float m74732 = m7473();
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ˆˊ  reason: contains not printable characters */
    public void m7559(int i6) {
        m7558(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ˆˋ  reason: contains not printable characters */
    public void m7560(float f6) {
        if (this.f6762 != f6) {
            float m7473 = m7473();
            this.f6762 = f6;
            float m74732 = m7473();
            invalidateSelf();
            if (m7473 != m74732) {
                m7510();
            }
        }
    }

    /* renamed from: ˆˎ  reason: contains not printable characters */
    public void m7561(int i6) {
        m7560(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ˆˏ  reason: contains not printable characters */
    public void m7562(int i6) {
        this.f6797 = i6;
    }

    /* renamed from: ˆˑ  reason: contains not printable characters */
    public void m7563(ColorStateList colorStateList) {
        if (this.f6802 != colorStateList) {
            this.f6802 = colorStateList;
            m7470();
            onStateChange(getState());
        }
    }

    /* renamed from: ˆי  reason: contains not printable characters */
    public void m7564(int i6) {
        m7563(f.a.m9498(this.f6769, i6));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆـ  reason: contains not printable characters */
    public void m7565(boolean z5) {
        this.f6796 = z5;
    }

    /* renamed from: ˆٴ  reason: contains not printable characters */
    public void m7566(h hVar) {
        this.f6759 = hVar;
    }

    /* renamed from: ˆᐧ  reason: contains not printable characters */
    public void m7567(int i6) {
        m7566(h.m9189(this.f6769, i6));
    }

    /* renamed from: ˆᴵ  reason: contains not printable characters */
    public void m7568(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = BuildConfig.FLAVOR;
        }
        if (!TextUtils.equals(this.f6804, charSequence)) {
            this.f6804 = charSequence;
            this.f6776.m8091(true);
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ˆᵎ  reason: contains not printable characters */
    public void m7569(d dVar) {
        this.f6776.m8090(dVar, this.f6769);
    }

    /* renamed from: ˆᵔ  reason: contains not printable characters */
    public void m7570(int i6) {
        m7569(new d(this.f6769, i6));
    }

    /* renamed from: ˆᵢ  reason: contains not printable characters */
    public void m7571(float f6) {
        if (this.f6765 != f6) {
            this.f6765 = f6;
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ˆⁱ  reason: contains not printable characters */
    public void m7572(int i6) {
        m7571(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ˆﹳ  reason: contains not printable characters */
    public void m7573(float f6) {
        d m7503 = m7503();
        if (m7503 != null) {
            m7503.m13204(f6);
            this.f6776.m8087().setTextSize(f6);
            mo7472();
        }
    }

    /* renamed from: ˆﹶ  reason: contains not printable characters */
    public void m7574(float f6) {
        if (this.f6764 != f6) {
            this.f6764 = f6;
            invalidateSelf();
            m7510();
        }
    }

    /* renamed from: ˆﾞ  reason: contains not printable characters */
    public void m7575(int i6) {
        m7574(this.f6769.getResources().getDimension(i6));
    }

    /* renamed from: ˈʻ  reason: contains not printable characters */
    public void m7576(boolean z5) {
        if (this.f6792 != z5) {
            this.f6792 = z5;
            m7470();
            onStateChange(getState());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˈʼ  reason: contains not printable characters */
    public boolean m7577() {
        return this.f6796;
    }
}
