package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.appcompat.widget.p;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.w0;
import androidx.core.view.z0;
import androidx.core.widget.s0;
import c2.j;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.floatingactionbutton.b;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.c0;
import com.google.android.material.internal.y;
import d2.h;
import d2.k;
import java.util.List;
import v2.n;
/* loaded from: classes.dex */
public class FloatingActionButton extends c0 implements w0, s0, o2.a, n, CoordinatorLayout.b {

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static final int f6991 = j.Widget_Design_FloatingActionButton;

    /* renamed from: ʿ  reason: contains not printable characters */
    private ColorStateList f6992;

    /* renamed from: ˆ  reason: contains not printable characters */
    private PorterDuff.Mode f6993;

    /* renamed from: ˈ  reason: contains not printable characters */
    private ColorStateList f6994;

    /* renamed from: ˉ  reason: contains not printable characters */
    private PorterDuff.Mode f6995;

    /* renamed from: ˊ  reason: contains not printable characters */
    private ColorStateList f6996;

    /* renamed from: ˋ  reason: contains not printable characters */
    private int f6997;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f6998;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f6999;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f7000;

    /* renamed from: י  reason: contains not printable characters */
    private int f7001;

    /* renamed from: ـ  reason: contains not printable characters */
    boolean f7002;

    /* renamed from: ٴ  reason: contains not printable characters */
    final Rect f7003;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private final Rect f7004;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private final p f7005;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private final o2.b f7006;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private com.google.android.material.floatingactionbutton.b f7007;

    /* loaded from: classes.dex */
    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        /* renamed from: ˆˆ */
        public /* bridge */ /* synthetic */ boolean mo7805(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, Rect rect) {
            return super.mo2085(coordinatorLayout, floatingActionButton, rect);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        /* renamed from: ˊˊ */
        public /* bridge */ /* synthetic */ boolean mo7806(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, int i6) {
            return super.mo2096(coordinatorLayout, floatingActionButton, i6);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior
        /* renamed from: ˋˋ */
        public /* bridge */ /* synthetic */ boolean mo7807(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, View view) {
            return super.mo2091(coordinatorLayout, floatingActionButton, view);
        }

        @Override // com.google.android.material.floatingactionbutton.FloatingActionButton.BaseBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˎ */
        public /* bridge */ /* synthetic */ void mo2090(CoordinatorLayout.f fVar) {
            super.mo2090(fVar);
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements b.k {

        /* renamed from: ʻ  reason: contains not printable characters */
        final /* synthetic */ b f7011;

        a(b bVar) {
            this.f7011 = bVar;
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʻ  reason: contains not printable characters */
        public void mo7808() {
            this.f7011.mo7075(FloatingActionButton.this);
        }

        @Override // com.google.android.material.floatingactionbutton.b.k
        /* renamed from: ʼ  reason: contains not printable characters */
        public void mo7809() {
            this.f7011.mo7074(FloatingActionButton.this);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class c implements u2.b {
        c() {
        }

        @Override // u2.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void mo7810(int i6, int i7, int i8, int i9) {
            FloatingActionButton.this.f7003.set(i6, i7, i8, i9);
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            floatingActionButton.setPadding(i6 + floatingActionButton.f7000, i7 + FloatingActionButton.this.f7000, i8 + FloatingActionButton.this.f7000, i9 + FloatingActionButton.this.f7000);
        }

        @Override // u2.b
        /* renamed from: ʼ  reason: contains not printable characters */
        public void mo7811(Drawable drawable) {
            if (drawable != null) {
                FloatingActionButton.super.setBackgroundDrawable(drawable);
            }
        }

        @Override // u2.b
        /* renamed from: ʽ  reason: contains not printable characters */
        public boolean mo7812() {
            return FloatingActionButton.this.f7002;
        }
    }

    /* loaded from: classes.dex */
    class d<T extends FloatingActionButton> implements b.j {
        d(k<T> kVar) {
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof d)) {
                return false;
            }
            ((d) obj).getClass();
            throw null;
        }

        public int hashCode() {
            throw null;
        }

        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʻ  reason: contains not printable characters */
        public void mo7813() {
            throw null;
        }

        @Override // com.google.android.material.floatingactionbutton.b.j
        /* renamed from: ʼ  reason: contains not printable characters */
        public void mo7814() {
            throw null;
        }
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.floatingActionButtonStyle);
    }

    private com.google.android.material.floatingactionbutton.b getImpl() {
        if (this.f7007 == null) {
            this.f7007 = m7782();
        }
        return this.f7007;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private com.google.android.material.floatingactionbutton.b m7782() {
        if (Build.VERSION.SDK_INT >= 21) {
            return new com.google.android.material.floatingactionbutton.d(this, new c());
        }
        return new com.google.android.material.floatingactionbutton.b(this, new c());
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private int m7783(int i6) {
        int i7 = this.f6999;
        if (i7 != 0) {
            return i7;
        }
        Resources resources = getResources();
        if (i6 != -1) {
            if (i6 != 1) {
                return resources.getDimensionPixelSize(c2.d.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(c2.d.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < 470) {
            return m7783(1);
        } else {
            return m7783(0);
        }
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private void m7784(Rect rect) {
        m7793(rect);
        int i6 = -this.f7007.m7876();
        rect.inset(i6, i6);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    private void m7785(Rect rect) {
        int i6 = rect.left;
        Rect rect2 = this.f7003;
        rect.left = i6 + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private void m7786() {
        Drawable drawable = getDrawable();
        if (drawable == null) {
            return;
        }
        ColorStateList colorStateList = this.f6994;
        if (colorStateList == null) {
            androidx.core.graphics.drawable.a.m2418(drawable);
            return;
        }
        int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
        PorterDuff.Mode mode = this.f6995;
        if (mode == null) {
            mode = PorterDuff.Mode.SRC_IN;
        }
        drawable.mutate().setColorFilter(androidx.appcompat.widget.j.m1556(colorForState, mode));
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private b.k m7787(b bVar) {
        if (bVar == null) {
            return null;
        }
        return new a(bVar);
    }

    @Override // android.widget.ImageView, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().mo7846(getDrawableState());
    }

    @Override // android.view.View
    public ColorStateList getBackgroundTintList() {
        return this.f6992;
    }

    @Override // android.view.View
    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f6993;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().mo7859();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().m7865();
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().m7870();
    }

    public Drawable getContentBackground() {
        return getImpl().m7857();
    }

    public int getCustomSize() {
        return this.f6999;
    }

    public int getExpandedComponentIdHint() {
        return this.f7006.m11967();
    }

    public h getHideMotionSpec() {
        return getImpl().m7863();
    }

    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.f6996;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    public ColorStateList getRippleColorStateList() {
        return this.f6996;
    }

    public v2.k getShapeAppearanceModel() {
        return (v2.k) androidx.core.util.h.m2767(getImpl().m7872());
    }

    public h getShowMotionSpec() {
        return getImpl().m7874();
    }

    public int getSize() {
        return this.f6998;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int getSizeDimension() {
        return m7783(this.f6998);
    }

    @Override // androidx.core.view.w0
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // androidx.core.view.w0
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.s0
    public ColorStateList getSupportImageTintList() {
        return this.f6994;
    }

    @Override // androidx.core.widget.s0
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.f6995;
    }

    public boolean getUseCompatPadding() {
        return this.f7002;
    }

    @Override // android.widget.ImageView, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().mo7867();
    }

    @Override // android.widget.ImageView, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        getImpl().m7832();
    }

    @Override // android.widget.ImageView, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getImpl().m7842();
    }

    @Override // android.widget.ImageView, android.view.View
    protected void onMeasure(int i6, int i7) {
        int sizeDimension = getSizeDimension();
        this.f7000 = (sizeDimension - this.f7001) / 2;
        getImpl().m7840();
        int min = Math.min(View.resolveSize(sizeDimension, i6), View.resolveSize(sizeDimension, i7));
        Rect rect = this.f7003;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof x2.a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        x2.a aVar = (x2.a) parcelable;
        super.onRestoreInstanceState(aVar.m14259());
        this.f7006.m11969((Bundle) androidx.core.util.h.m2767(aVar.f13358.get("expandableWidgetHelper")));
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        x2.a aVar = new x2.a(onSaveInstanceState);
        aVar.f13358.put("expandableWidgetHelper", this.f7006.m11970());
        return aVar;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            m7784(this.f7004);
            if (!this.f7004.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
                return false;
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    @Override // android.view.View
    public void setBackgroundColor(int i6) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    @Override // android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    @Override // android.view.View
    public void setBackgroundResource(int i6) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    @Override // android.view.View
    public void setBackgroundTintList(ColorStateList colorStateList) {
        if (this.f6992 != colorStateList) {
            this.f6992 = colorStateList;
            getImpl().m7852(colorStateList);
        }
    }

    @Override // android.view.View
    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        if (this.f6993 != mode) {
            this.f6993 = mode;
            getImpl().m7856(mode);
        }
    }

    public void setCompatElevation(float f6) {
        getImpl().m7854(f6);
    }

    public void setCompatElevationResource(int i6) {
        setCompatElevation(getResources().getDimension(i6));
    }

    public void setCompatHoveredFocusedTranslationZ(float f6) {
        getImpl().m7860(f6);
    }

    public void setCompatHoveredFocusedTranslationZResource(int i6) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i6));
    }

    public void setCompatPressedTranslationZ(float f6) {
        getImpl().m7877(f6);
    }

    public void setCompatPressedTranslationZResource(int i6) {
        setCompatPressedTranslationZ(getResources().getDimension(i6));
    }

    public void setCustomSize(int i6) {
        if (i6 >= 0) {
            if (i6 != this.f6999) {
                this.f6999 = i6;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Custom size must be non-negative");
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        getImpl().m7841(f6);
    }

    public void setEnsureMinTouchTargetSize(boolean z5) {
        if (z5 != getImpl().m7861()) {
            getImpl().m7858(z5);
            requestLayout();
        }
    }

    public void setExpandedComponentIdHint(int i6) {
        this.f7006.m11971(i6);
    }

    public void setHideMotionSpec(h hVar) {
        getImpl().m7871(hVar);
    }

    public void setHideMotionSpecResource(int i6) {
        setHideMotionSpec(h.m9189(getContext(), i6));
    }

    @Override // android.widget.ImageView
    public void setImageDrawable(Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            getImpl().m7839();
            if (this.f6994 != null) {
                m7786();
            }
        }
    }

    @Override // android.widget.ImageView
    public void setImageResource(int i6) {
        this.f7005.m1675(i6);
        m7786();
    }

    public void setMaxImageSize(int i6) {
        this.f7001 = i6;
        getImpl().m7873(i6);
    }

    public void setRippleColor(int i6) {
        setRippleColor(ColorStateList.valueOf(i6));
    }

    @Override // android.view.View
    public void setScaleX(float f6) {
        super.setScaleX(f6);
        getImpl().m7851();
    }

    @Override // android.view.View
    public void setScaleY(float f6) {
        super.setScaleY(f6);
        getImpl().m7851();
    }

    public void setShadowPaddingEnabled(boolean z5) {
        getImpl().m7879(z5);
    }

    @Override // v2.n
    public void setShapeAppearanceModel(v2.k kVar) {
        getImpl().m7833(kVar);
    }

    public void setShowMotionSpec(h hVar) {
        getImpl().m7834(hVar);
    }

    public void setShowMotionSpecResource(int i6) {
        setShowMotionSpec(h.m9189(getContext(), i6));
    }

    public void setSize(int i6) {
        this.f6999 = 0;
        if (i6 != this.f6998) {
            this.f6998 = i6;
            requestLayout();
        }
    }

    @Override // androidx.core.view.w0
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // androidx.core.view.w0
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.s0
    public void setSupportImageTintList(ColorStateList colorStateList) {
        if (this.f6994 != colorStateList) {
            this.f6994 = colorStateList;
            m7786();
        }
    }

    @Override // androidx.core.widget.s0
    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        if (this.f6995 != mode) {
            this.f6995 = mode;
            m7786();
        }
    }

    @Override // android.view.View
    public void setTranslationX(float f6) {
        super.setTranslationX(f6);
        getImpl().m7850();
    }

    @Override // android.view.View
    public void setTranslationY(float f6) {
        super.setTranslationY(f6);
        getImpl().m7850();
    }

    @Override // android.view.View
    public void setTranslationZ(float f6) {
        super.setTranslationZ(f6);
        getImpl().m7850();
    }

    public void setUseCompatPadding(boolean z5) {
        if (this.f7002 != z5) {
            this.f7002 = z5;
            getImpl().mo7843();
        }
    }

    @Override // com.google.android.material.internal.c0, android.widget.ImageView, android.view.View
    public void setVisibility(int i6) {
        super.setVisibility(i6);
    }

    @Override // o2.a
    /* renamed from: ʻ  reason: contains not printable characters */
    public boolean mo7788() {
        return this.f7006.m11968();
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m7789(Animator.AnimatorListener animatorListener) {
        getImpl().m7845(animatorListener);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public void m7790(Animator.AnimatorListener animatorListener) {
        getImpl().m7847(animatorListener);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public void m7791(k<? extends FloatingActionButton> kVar) {
        getImpl().m7849(new d(kVar));
    }

    @Deprecated
    /* renamed from: ˊ  reason: contains not printable characters */
    public boolean m7792(Rect rect) {
        if (!z0.m3459(this)) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        m7785(rect);
        return true;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public void m7793(Rect rect) {
        rect.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        m7785(rect);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public void m7794(b bVar) {
        m7795(bVar, true);
    }

    /* renamed from: י  reason: contains not printable characters */
    void m7795(b bVar, boolean z5) {
        getImpl().m7878(m7787(bVar), z5);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public boolean m7796() {
        return getImpl().m7881();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public boolean m7797() {
        return getImpl().m7866();
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    public void m7798(b bVar) {
        m7799(bVar, true);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    void m7799(b bVar, boolean z5) {
        getImpl().m7837(m7787(bVar), z5);
    }

    /* loaded from: classes.dex */
    protected static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.c<T> {

        /* renamed from: ʾ  reason: contains not printable characters */
        private Rect f7008;

        /* renamed from: ʿ  reason: contains not printable characters */
        private b f7009;

        /* renamed from: ˆ  reason: contains not printable characters */
        private boolean f7010;

        public BaseBehavior() {
            this.f7010 = true;
        }

        /* renamed from: ˈˈ  reason: contains not printable characters */
        private void m7800(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton) {
            int i6;
            Rect rect = floatingActionButton.f7003;
            if (rect != null && rect.centerX() > 0 && rect.centerY() > 0) {
                CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
                int i7 = 0;
                if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) fVar).rightMargin) {
                    i6 = rect.right;
                } else if (floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) fVar).leftMargin) {
                    i6 = -rect.left;
                } else {
                    i6 = 0;
                }
                if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) fVar).bottomMargin) {
                    i7 = rect.bottom;
                } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) fVar).topMargin) {
                    i7 = -rect.top;
                }
                if (i7 != 0) {
                    z0.m3375(floatingActionButton, i7);
                }
                if (i6 != 0) {
                    z0.m3374(floatingActionButton, i6);
                }
            }
        }

        /* renamed from: ˉˉ  reason: contains not printable characters */
        private static boolean m7801(View view) {
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                return ((CoordinatorLayout.f) layoutParams).m2117() instanceof BottomSheetBehavior;
            }
            return false;
        }

        /* renamed from: ˎˎ  reason: contains not printable characters */
        private boolean m7802(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, FloatingActionButton floatingActionButton) {
            if (!m7803(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f7008 == null) {
                this.f7008 = new Rect();
            }
            Rect rect = this.f7008;
            com.google.android.material.internal.d.m7977(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.m7795(this.f7009, false);
                return true;
            }
            floatingActionButton.m7799(this.f7009, false);
            return true;
        }

        /* renamed from: ˏˏ  reason: contains not printable characters */
        private boolean m7803(View view, FloatingActionButton floatingActionButton) {
            CoordinatorLayout.f fVar = (CoordinatorLayout.f) floatingActionButton.getLayoutParams();
            if (!this.f7010 || fVar.m2116() != view.getId() || floatingActionButton.getUserSetVisibility() != 0) {
                return false;
            }
            return true;
        }

        /* renamed from: ˑˑ  reason: contains not printable characters */
        private boolean m7804(View view, FloatingActionButton floatingActionButton) {
            if (!m7803(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.f) floatingActionButton.getLayoutParams())).topMargin) {
                floatingActionButton.m7795(this.f7009, false);
                return true;
            }
            floatingActionButton.m7799(this.f7009, false);
            return true;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˆˆ  reason: contains not printable characters */
        public boolean mo2085(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, Rect rect) {
            Rect rect2 = floatingActionButton.f7003;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˊˊ  reason: contains not printable characters */
        public boolean mo2096(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, int i6) {
            List<View> m2072 = coordinatorLayout.m2072(floatingActionButton);
            int size = m2072.size();
            for (int i7 = 0; i7 < size; i7++) {
                View view = m2072.get(i7);
                if (view instanceof AppBarLayout) {
                    if (m7802(coordinatorLayout, (AppBarLayout) view, floatingActionButton)) {
                        break;
                    }
                } else {
                    if (m7801(view) && m7804(view, floatingActionButton)) {
                        break;
                    }
                }
            }
            coordinatorLayout.m2061(floatingActionButton, i6);
            m7800(coordinatorLayout, floatingActionButton);
            return true;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˋˋ  reason: contains not printable characters */
        public boolean mo2091(CoordinatorLayout coordinatorLayout, FloatingActionButton floatingActionButton, View view) {
            if (view instanceof AppBarLayout) {
                m7802(coordinatorLayout, (AppBarLayout) view, floatingActionButton);
                return false;
            } else if (m7801(view)) {
                m7804(view, floatingActionButton);
                return false;
            } else {
                return false;
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˎ */
        public void mo2090(CoordinatorLayout.f fVar) {
            if (fVar.f2749 == 0) {
                fVar.f2749 = 80;
            }
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c2.k.f5734);
            this.f7010 = obtainStyledAttributes.getBoolean(c2.k.f5735, true);
            obtainStyledAttributes.recycle();
        }
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public FloatingActionButton(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14288(context, attributeSet, i6, r6), attributeSet, i6);
        int i7 = f6991;
        this.f7003 = new Rect();
        this.f7004 = new Rect();
        Context context2 = getContext();
        TypedArray m8101 = y.m8101(context2, attributeSet, c2.k.f5717, i6, i7, new int[0]);
        this.f6992 = s2.c.m13184(context2, m8101, c2.k.f5719);
        this.f6993 = b0.m7971(m8101.getInt(c2.k.f5720, -1), null);
        this.f6996 = s2.c.m13184(context2, m8101, c2.k.f5730);
        this.f6998 = m8101.getInt(c2.k.f5725, -1);
        this.f6999 = m8101.getDimensionPixelSize(c2.k.f5724, 0);
        this.f6997 = m8101.getDimensionPixelSize(c2.k.f5721, 0);
        float dimension = m8101.getDimension(c2.k.f5722, 0.0f);
        float dimension2 = m8101.getDimension(c2.k.f5727, 0.0f);
        float dimension3 = m8101.getDimension(c2.k.f5729, 0.0f);
        this.f7002 = m8101.getBoolean(c2.k.f5733, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(c2.d.mtrl_fab_min_touch_target);
        setMaxImageSize(m8101.getDimensionPixelSize(c2.k.f5728, 0));
        h m9188 = h.m9188(context2, m8101, c2.k.f5731);
        h m91882 = h.m9188(context2, m8101, c2.k.f5726);
        v2.k m13777 = v2.k.m13741(context2, attributeSet, i6, i7, v2.k.f13008).m13777();
        boolean z5 = m8101.getBoolean(c2.k.f5723, false);
        setEnabled(m8101.getBoolean(c2.k.f5718, true));
        m8101.recycle();
        p pVar = new p(this);
        this.f7005 = pVar;
        pVar.m1673(attributeSet, i6);
        this.f7006 = new o2.b(this);
        getImpl().m7833(m13777);
        getImpl().mo7880(this.f6992, this.f6993, this.f6996, this.f6997);
        getImpl().m7875(dimensionPixelSize);
        getImpl().m7854(dimension);
        getImpl().m7860(dimension2);
        getImpl().m7877(dimension3);
        getImpl().m7834(m9188);
        getImpl().m7871(m91882);
        getImpl().m7858(z5);
        setScaleType(ImageView.ScaleType.MATRIX);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (this.f6996 != colorStateList) {
            this.f6996 = colorStateList;
            getImpl().mo7864(this.f6996);
        }
    }

    /* loaded from: classes.dex */
    public static abstract class b {
        /* renamed from: ʻ */
        public void mo7074(FloatingActionButton floatingActionButton) {
        }

        /* renamed from: ʼ */
        public void mo7075(FloatingActionButton floatingActionButton) {
        }
    }
}
