package com.google.android.material.navigation;

import android.app.Activity;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Pair;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.g;
import androidx.appcompat.view.menu.i;
import androidx.appcompat.widget.x2;
import androidx.core.view.t4;
import androidx.core.view.z0;
import androidx.drawerlayout.widget.DrawerLayout;
import c2.j;
import c2.k;
import com.google.android.material.internal.d0;
import com.google.android.material.internal.m;
import com.google.android.material.internal.n;
import com.google.android.material.internal.r;
import com.google.android.material.internal.y;
import f2.b;
import java.util.Objects;
import q2.g;
import v2.h;
import v2.k;
import v2.o;
/* loaded from: classes.dex */
public class NavigationView extends r implements q2.b {

    /* renamed from: ˎ  reason: contains not printable characters */
    private final m f7312;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final n f7313;

    /* renamed from: ˑ  reason: contains not printable characters */
    d f7314;

    /* renamed from: י  reason: contains not printable characters */
    private final int f7315;

    /* renamed from: ـ  reason: contains not printable characters */
    private final int[] f7316;

    /* renamed from: ٴ  reason: contains not printable characters */
    private MenuInflater f7317;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private ViewTreeObserver.OnGlobalLayoutListener f7318;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private boolean f7319;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f7320;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f7321;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private final o f7322;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final g f7323;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private final q2.c f7324;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private final DrawerLayout.d f7325;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private static final int[] f7310 = {16842912};

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static final int[] f7311 = {-16842910};

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static final int f7309 = j.Widget_Design_NavigationView;

    /* loaded from: classes.dex */
    class a extends DrawerLayout.g {
        a() {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        /* renamed from: ʽ */
        public void mo3874(View view) {
            NavigationView navigationView = NavigationView.this;
            if (view == navigationView) {
                final q2.c cVar = navigationView.f7324;
                Objects.requireNonNull(cVar);
                view.post(new Runnable() { // from class: com.google.android.material.navigation.d
                    @Override // java.lang.Runnable
                    public final void run() {
                        q2.c.this.m12700();
                    }
                });
            }
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.d
        /* renamed from: ʾ */
        public void mo3875(View view) {
            NavigationView navigationView = NavigationView.this;
            if (view == navigationView) {
                navigationView.f7324.m12701();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements ViewTreeObserver.OnGlobalLayoutListener {
        c() {
        }

        @Override // android.view.ViewTreeObserver.OnGlobalLayoutListener
        public void onGlobalLayout() {
            boolean z5;
            boolean z6;
            boolean z7;
            boolean z8;
            int navigationBarColor;
            boolean z9;
            boolean z10;
            NavigationView navigationView = NavigationView.this;
            navigationView.getLocationOnScreen(navigationView.f7316);
            boolean z11 = true;
            if (NavigationView.this.f7316[1] == 0) {
                z5 = true;
            } else {
                z5 = false;
            }
            NavigationView.this.f7313.m8003(z5);
            NavigationView navigationView2 = NavigationView.this;
            if (z5 && navigationView2.m8126()) {
                z6 = true;
            } else {
                z6 = false;
            }
            navigationView2.setDrawTopInsetForeground(z6);
            if (NavigationView.this.f7316[0] != 0 && NavigationView.this.f7316[0] + NavigationView.this.getWidth() != 0) {
                z7 = false;
            } else {
                z7 = true;
            }
            NavigationView.this.setDrawLeftInsetForeground(z7);
            Activity m7975 = com.google.android.material.internal.c.m7975(NavigationView.this.getContext());
            if (m7975 != null && Build.VERSION.SDK_INT >= 21) {
                Rect m7980 = d0.m7980(m7975);
                if (m7980.height() - NavigationView.this.getHeight() == NavigationView.this.f7316[1]) {
                    z8 = true;
                } else {
                    z8 = false;
                }
                navigationBarColor = m7975.getWindow().getNavigationBarColor();
                if (Color.alpha(navigationBarColor) != 0) {
                    z9 = true;
                } else {
                    z9 = false;
                }
                NavigationView navigationView3 = NavigationView.this;
                if (z8 && z9 && navigationView3.m8125()) {
                    z10 = true;
                } else {
                    z10 = false;
                }
                navigationView3.setDrawBottomInsetForeground(z10);
                if (m7980.width() != NavigationView.this.f7316[0] && m7980.width() - NavigationView.this.getWidth() != NavigationView.this.f7316[0]) {
                    z11 = false;
                }
                NavigationView.this.setDrawRightInsetForeground(z11);
            }
        }
    }

    /* loaded from: classes.dex */
    public interface d {
        /* renamed from: ʻ  reason: contains not printable characters */
        boolean mo8127(MenuItem menuItem);
    }

    public NavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.navigationViewStyle);
    }

    private MenuInflater getMenuInflater() {
        if (this.f7317 == null) {
            this.f7317 = new androidx.appcompat.view.g(getContext());
        }
        return this.f7317;
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private ColorStateList m8114(int i6) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i6, typedValue, true)) {
            return null;
        }
        ColorStateList m9498 = f.a.m9498(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(e.a.f8148, typedValue, true)) {
            return null;
        }
        int i7 = typedValue.data;
        int defaultColor = m9498.getDefaultColor();
        int[] iArr = f7311;
        return new ColorStateList(new int[][]{iArr, f7310, FrameLayout.EMPTY_STATE_SET}, new int[]{m9498.getColorForState(iArr, defaultColor), i7, defaultColor});
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private Drawable m8115(x2 x2Var) {
        return m8116(x2Var, s2.c.m13185(getContext(), x2Var, k.f5895));
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private Drawable m8116(x2 x2Var, ColorStateList colorStateList) {
        v2.g gVar = new v2.g(v2.k.m13736(getContext(), x2Var.m1790(k.f5893, 0), x2Var.m1790(k.f5894, 0)).m13777());
        gVar.m13690(colorStateList);
        return new InsetDrawable((Drawable) gVar, x2Var.m1782(k.f5898, 0), x2Var.m1782(k.f5900, 0), x2Var.m1782(k.f5897, 0), x2Var.m1782(k.f5896, 0));
    }

    /* renamed from: י  reason: contains not printable characters */
    private boolean m8117(x2 x2Var) {
        if (!x2Var.m1795(k.f5893) && !x2Var.m1795(k.f5894)) {
            return false;
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ᵎ  reason: contains not printable characters */
    public /* synthetic */ void m8118(Canvas canvas) {
        super.dispatchDraw(canvas);
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private void m8119(int i6, int i7) {
        boolean z5;
        if ((getParent() instanceof DrawerLayout) && (getLayoutParams() instanceof DrawerLayout.e) && this.f7321 > 0 && (getBackground() instanceof v2.g)) {
            if (androidx.core.view.r.m3208(((DrawerLayout.e) getLayoutParams()).f3394, z0.m3395(this)) == 3) {
                z5 = true;
            } else {
                z5 = false;
            }
            v2.g gVar = (v2.g) getBackground();
            k.b m13778 = gVar.m13689().m13756().m13778(this.f7321);
            if (z5) {
                m13778.m13781(0.0f);
                m13778.m13784(0.0f);
            } else {
                m13778.m13774(0.0f);
                m13778.m13788(0.0f);
            }
            v2.k m13777 = m13778.m13777();
            gVar.setShapeAppearanceModel(m13777);
            this.f7322.m13860(this, m13777);
            this.f7322.m13859(this, new RectF(0.0f, 0.0f, i6, i7));
            this.f7322.m13862(this, true);
        }
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private Pair<DrawerLayout, DrawerLayout.e> m8120() {
        ViewParent parent = getParent();
        ViewGroup.LayoutParams layoutParams = getLayoutParams();
        if ((parent instanceof DrawerLayout) && (layoutParams instanceof DrawerLayout.e)) {
            return new Pair<>((DrawerLayout) parent, (DrawerLayout.e) layoutParams);
        }
        throw new IllegalStateException("NavigationView back progress requires the direct parent view to be a DrawerLayout.");
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private void m8121() {
        this.f7318 = new c();
        getViewTreeObserver().addOnGlobalLayoutListener(this.f7318);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchDraw(Canvas canvas) {
        this.f7322.m13858(canvas, new b.a() { // from class: com.google.android.material.navigation.c
            @Override // f2.b.a
            /* renamed from: ʻ  reason: contains not printable characters */
            public final void mo8135(Canvas canvas2) {
                NavigationView.this.m8118(canvas2);
            }
        });
    }

    g getBackHelper() {
        return this.f7323;
    }

    public MenuItem getCheckedItem() {
        return this.f7313.m8017();
    }

    public int getDividerInsetEnd() {
        return this.f7313.m8019();
    }

    public int getDividerInsetStart() {
        return this.f7313.m8021();
    }

    public int getHeaderCount() {
        return this.f7313.m8023();
    }

    public Drawable getItemBackground() {
        return this.f7313.m8027();
    }

    public int getItemHorizontalPadding() {
        return this.f7313.m8029();
    }

    public int getItemIconPadding() {
        return this.f7313.m8031();
    }

    public ColorStateList getItemIconTintList() {
        return this.f7313.m8037();
    }

    public int getItemMaxLines() {
        return this.f7313.m8033();
    }

    public ColorStateList getItemTextColor() {
        return this.f7313.m8035();
    }

    public int getItemVerticalPadding() {
        return this.f7313.m8039();
    }

    public Menu getMenu() {
        return this.f7312;
    }

    public int getSubheaderInsetEnd() {
        return this.f7313.m8024();
    }

    public int getSubheaderInsetStart() {
        return this.f7313.m8026();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.google.android.material.internal.r, android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        h.m13732(this);
        ViewParent parent = getParent();
        if ((parent instanceof DrawerLayout) && this.f7324.m12698()) {
            DrawerLayout drawerLayout = (DrawerLayout) parent;
            drawerLayout.m3852(this.f7325);
            drawerLayout.m3833(this.f7325);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.google.android.material.internal.r, android.view.ViewGroup, android.view.View
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getViewTreeObserver().removeOnGlobalLayoutListener(this.f7318);
        ViewParent parent = getParent();
        if (parent instanceof DrawerLayout) {
            ((DrawerLayout) parent).m3852(this.f7325);
        }
    }

    @Override // android.widget.FrameLayout, android.view.View
    protected void onMeasure(int i6, int i7) {
        int mode = View.MeasureSpec.getMode(i6);
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                i6 = View.MeasureSpec.makeMeasureSpec(this.f7315, 1073741824);
            }
        } else {
            i6 = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i6), this.f7315), 1073741824);
        }
        super.onMeasure(i6, i7);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof e)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        e eVar = (e) parcelable;
        super.onRestoreInstanceState(eVar.m14259());
        this.f7312.m1058(eVar.f7329);
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        e eVar = new e(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        eVar.f7329 = bundle;
        this.f7312.m1064(bundle);
        return eVar;
    }

    @Override // android.view.View
    protected void onSizeChanged(int i6, int i7, int i8, int i9) {
        super.onSizeChanged(i6, i7, i8, i9);
        m8119(i6, i7);
    }

    public void setBottomInsetScrimEnabled(boolean z5) {
        this.f7320 = z5;
    }

    public void setCheckedItem(int i6) {
        MenuItem findItem = this.f7312.findItem(i6);
        if (findItem != null) {
            this.f7313.m8007((i) findItem);
        }
    }

    public void setDividerInsetEnd(int i6) {
        this.f7313.m8006(i6);
    }

    public void setDividerInsetStart(int i6) {
        this.f7313.m8020(i6);
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setElevation(f6);
        }
        h.m13731(this, f6);
    }

    public void setForceCompatClippingEnabled(boolean z5) {
        this.f7322.m13861(this, z5);
    }

    public void setItemBackground(Drawable drawable) {
        this.f7313.m8011(drawable);
    }

    public void setItemBackgroundResource(int i6) {
        setItemBackground(androidx.core.content.a.m2212(getContext(), i6));
    }

    public void setItemHorizontalPadding(int i6) {
        this.f7313.m8013(i6);
    }

    public void setItemHorizontalPaddingResource(int i6) {
        this.f7313.m8013(getResources().getDimensionPixelSize(i6));
    }

    public void setItemIconPadding(int i6) {
        this.f7313.m8012(i6);
    }

    public void setItemIconPaddingResource(int i6) {
        this.f7313.m8012(getResources().getDimensionPixelSize(i6));
    }

    public void setItemIconSize(int i6) {
        this.f7313.m8015(i6);
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f7313.m8014(colorStateList);
    }

    public void setItemMaxLines(int i6) {
        this.f7313.m8016(i6);
    }

    public void setItemTextAppearance(int i6) {
        this.f7313.m8030(i6);
    }

    public void setItemTextAppearanceActiveBoldEnabled(boolean z5) {
        this.f7313.m8018(z5);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f7313.m8028(colorStateList);
    }

    public void setItemVerticalPadding(int i6) {
        this.f7313.m8032(i6);
    }

    public void setItemVerticalPaddingResource(int i6) {
        this.f7313.m8032(getResources().getDimensionPixelSize(i6));
    }

    public void setNavigationItemSelectedListener(d dVar) {
        this.f7314 = dVar;
    }

    @Override // android.view.View
    public void setOverScrollMode(int i6) {
        super.setOverScrollMode(i6);
        n nVar = this.f7313;
        if (nVar != null) {
            nVar.m8034(i6);
        }
    }

    public void setSubheaderInsetEnd(int i6) {
        this.f7313.m8022(i6);
    }

    public void setSubheaderInsetStart(int i6) {
        this.f7313.m8038(i6);
    }

    public void setTopInsetScrimEnabled(boolean z5) {
        this.f7319 = z5;
    }

    @Override // q2.b
    /* renamed from: ʻ */
    public void mo7143() {
        Pair<DrawerLayout, DrawerLayout.e> m8120 = m8120();
        DrawerLayout drawerLayout = (DrawerLayout) m8120.first;
        androidx.activity.b m12693 = this.f7323.m12693();
        if (m12693 != null && Build.VERSION.SDK_INT >= 34) {
            this.f7323.m12716(m12693, ((DrawerLayout.e) m8120.second).f3394, com.google.android.material.navigation.b.m8132(drawerLayout, this), com.google.android.material.navigation.b.m8133(drawerLayout));
            return;
        }
        drawerLayout.m3841(this);
    }

    @Override // q2.b
    /* renamed from: ʼ */
    public void mo7150(androidx.activity.b bVar) {
        m8120();
        this.f7323.m12717(bVar);
    }

    @Override // q2.b
    /* renamed from: ʽ */
    public void mo7167(androidx.activity.b bVar) {
        this.f7323.m12719(bVar, ((DrawerLayout.e) m8120().second).f3394);
    }

    @Override // q2.b
    /* renamed from: ʾ */
    public void mo7176() {
        m8120();
        this.f7323.m12715();
    }

    @Override // com.google.android.material.internal.r
    /* renamed from: ʿ */
    protected void mo8063(t4 t4Var) {
        this.f7313.m8010(t4Var);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    public View m8122(int i6) {
        return this.f7313.m8025(i6);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public View m8123(int i6) {
        return this.f7313.m8005(i6);
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public void m8124(int i6) {
        this.f7313.m8002(true);
        getMenuInflater().inflate(i6, this.f7312);
        this.f7313.m8002(false);
        this.f7313.mo960(false);
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public boolean m8125() {
        return this.f7320;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    public boolean m8126() {
        return this.f7319;
    }

    /* loaded from: classes.dex */
    public static class e extends z.a {
        public static final Parcelable.Creator<e> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        public Bundle f7329;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<e> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public e createFromParcel(Parcel parcel) {
                return new e(parcel, null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public e createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new e(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public e[] newArray(int i6) {
                return new e[i6];
            }
        }

        public e(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7329 = parcel.readBundle(classLoader);
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeBundle(this.f7329);
        }

        public e(Parcelable parcelable) {
            super(parcelable);
        }
    }

    /* JADX WARN: Illegal instructions before constructor call */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public NavigationView(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14288(context, attributeSet, i6, r9), attributeSet, i6);
        ColorStateList m8114;
        int i7;
        int i8;
        int i9 = f7309;
        n nVar = new n();
        this.f7313 = nVar;
        this.f7316 = new int[2];
        this.f7319 = true;
        this.f7320 = true;
        this.f7321 = 0;
        this.f7322 = o.m13855(this);
        this.f7323 = new g(this);
        this.f7324 = new q2.c(this);
        this.f7325 = new a();
        Context context2 = getContext();
        m mVar = new m(context2);
        this.f7312 = mVar;
        x2 m8102 = y.m8102(context2, attributeSet, c2.k.f5875, i6, i9, new int[0]);
        int i10 = c2.k.f5876;
        if (m8102.m1795(i10)) {
            z0.m3396(this, m8102.m1783(i10));
        }
        this.f7321 = m8102.m1782(c2.k.f5882, 0);
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            v2.k m13777 = v2.k.m13739(context2, attributeSet, i6, i9).m13777();
            Drawable background = getBackground();
            v2.g gVar = new v2.g(m13777);
            if (background instanceof ColorDrawable) {
                gVar.m13690(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            gVar.m13707(context2);
            z0.m3396(this, gVar);
        }
        int i11 = c2.k.f5883;
        if (m8102.m1795(i11)) {
            setElevation(m8102.m1782(i11, 0));
        }
        setFitsSystemWindows(m8102.m1777(c2.k.f5877, false));
        this.f7315 = m8102.m1782(c2.k.f5878, 0);
        int i12 = c2.k.f5906;
        ColorStateList m1779 = m8102.m1795(i12) ? m8102.m1779(i12) : null;
        int i13 = c2.k.f5909;
        int m1790 = m8102.m1795(i13) ? m8102.m1790(i13, 0) : 0;
        if (m1790 == 0 && m1779 == null) {
            m1779 = m8114(16842808);
        }
        int i14 = c2.k.f5890;
        if (m8102.m1795(i14)) {
            m8114 = m8102.m1779(i14);
        } else {
            m8114 = m8114(16842808);
        }
        int i15 = c2.k.f5901;
        int m17902 = m8102.m1795(i15) ? m8102.m1790(i15, 0) : 0;
        boolean m1777 = m8102.m1777(c2.k.f5902, true);
        int i16 = c2.k.f5889;
        if (m8102.m1795(i16)) {
            setItemIconSize(m8102.m1782(i16, 0));
        }
        int i17 = c2.k.f5903;
        ColorStateList m17792 = m8102.m1795(i17) ? m8102.m1779(i17) : null;
        if (m17902 == 0 && m17792 == null) {
            m17792 = m8114(16842806);
        }
        Drawable m1783 = m8102.m1783(c2.k.f5885);
        if (m1783 == null && m8117(m8102)) {
            m1783 = m8115(m8102);
            ColorStateList m13185 = s2.c.m13185(context2, m8102, c2.k.f5892);
            if (Build.VERSION.SDK_INT >= 21 && m13185 != null) {
                nVar.m8009(new RippleDrawable(t2.b.m13458(m13185), null, m8116(m8102, null)));
            }
        }
        int i18 = c2.k.f5886;
        if (m8102.m1795(i18)) {
            i7 = 0;
            setItemHorizontalPadding(m8102.m1782(i18, 0));
        } else {
            i7 = 0;
        }
        int i19 = c2.k.f5904;
        if (m8102.m1795(i19)) {
            setItemVerticalPadding(m8102.m1782(i19, i7));
        }
        setDividerInsetStart(m8102.m1782(c2.k.f5881, i7));
        setDividerInsetEnd(m8102.m1782(c2.k.f5880, i7));
        setSubheaderInsetStart(m8102.m1782(c2.k.f5908, i7));
        setSubheaderInsetEnd(m8102.m1782(c2.k.f5907, i7));
        setTopInsetScrimEnabled(m8102.m1777(c2.k.f5910, this.f7319));
        setBottomInsetScrimEnabled(m8102.m1777(c2.k.f5879, this.f7320));
        int m1782 = m8102.m1782(c2.k.f5887, i7);
        setItemMaxLines(m8102.m1787(c2.k.f5891, 1));
        mVar.mo1066(new b());
        nVar.m8008(1);
        nVar.mo958(context2, mVar);
        if (m1790 != 0) {
            nVar.m8001(m1790);
        }
        nVar.m8036(m1779);
        nVar.m8014(m8114);
        nVar.m8034(getOverScrollMode());
        if (m17902 != 0) {
            nVar.m8030(m17902);
        }
        nVar.m8018(m1777);
        nVar.m8028(m17792);
        nVar.m8011(m1783);
        nVar.m8012(m1782);
        mVar.m1031(nVar);
        addView((View) nVar.m8040(this));
        int i20 = c2.k.f5905;
        if (m8102.m1795(i20)) {
            i8 = 0;
            m8124(m8102.m1790(i20, 0));
        } else {
            i8 = 0;
        }
        int i21 = c2.k.f5884;
        if (m8102.m1795(i21)) {
            m8123(m8102.m1790(i21, i8));
        }
        m8102.m1796();
        m8121();
    }

    public void setCheckedItem(MenuItem menuItem) {
        MenuItem findItem = this.f7312.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.f7313.m8007((i) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }

    /* loaded from: classes.dex */
    class b implements g.a {
        b() {
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʻ */
        public boolean mo631(androidx.appcompat.view.menu.g gVar, MenuItem menuItem) {
            d dVar = NavigationView.this.f7314;
            if (dVar != null && dVar.mo8127(menuItem)) {
                return true;
            }
            return false;
        }

        @Override // androidx.appcompat.view.menu.g.a
        /* renamed from: ʼ */
        public void mo632(androidx.appcompat.view.menu.g gVar) {
        }
    }
}
