package com.google.android.material.search;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.TextView;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.z0;
import c2.b;
import c2.d;
import c2.e;
import c2.j;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.internal.z;
import v2.g;
import v2.h;
/* loaded from: classes.dex */
public class SearchBar extends Toolbar {

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private static final int f7336 = j.Widget_Material3_SearchBar;

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private final boolean f7337;

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private final boolean f7338;

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private final Drawable f7339;

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private final boolean f7340;

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private final boolean f7341;

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private View f7342;

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private Integer f7343;

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private Drawable f7344;

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private int f7345;

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private boolean f7346;

    /* renamed from: ʻˏ  reason: contains not printable characters */
    private g f7347;

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private final TextView f7348;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a extends z.a {
        public static final Parcelable.Creator<a> CREATOR = new C0080a();

        /* renamed from: ˆ  reason: contains not printable characters */
        String f7350;

        /* renamed from: com.google.android.material.search.SearchBar$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        class C0080a implements Parcelable.ClassLoaderCreator<a> {
            C0080a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public a createFromParcel(Parcel parcel) {
                return new a(parcel);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public a createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new a(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public a[] newArray(int i6) {
                return new a[i6];
            }
        }

        public a(Parcel parcel) {
            this(parcel, null);
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeString(this.f7350);
        }

        public a(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7350 = parcel.readString();
        }

        public a(Parcelable parcelable) {
            super(parcelable);
        }
    }

    private void setNavigationIconDecorative(boolean z5) {
        Drawable drawable;
        ImageButton m8105 = z.m8105(this);
        if (m8105 == null) {
            return;
        }
        m8105.setClickable(!z5);
        m8105.setFocusable(!z5);
        Drawable background = m8105.getBackground();
        if (background != null) {
            this.f7344 = background;
        }
        if (z5) {
            drawable = null;
        } else {
            drawable = this.f7344;
        }
        m8105.setBackgroundDrawable(drawable);
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private void m8136() {
        if (getLayoutParams() instanceof AppBarLayout.f) {
            AppBarLayout.f fVar = (AppBarLayout.f) getLayoutParams();
            if (this.f7346) {
                if (fVar.m6959() == 0) {
                    fVar.m6963(53);
                }
            } else if (fVar.m6959() == 53) {
                fVar.m6963(0);
            }
        }
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private void m8137(int i6, int i7) {
        View view = this.f7342;
        if (view != null) {
            view.measure(i6, i7);
        }
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private int m8138(int i6, int i7) {
        if (i6 == 0) {
            return i7;
        }
        return i6;
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private void m8139() {
        View view = this.f7342;
        if (view == null) {
            return;
        }
        int measuredWidth = view.getMeasuredWidth();
        int measuredWidth2 = (getMeasuredWidth() / 2) - (measuredWidth / 2);
        int i6 = measuredWidth2 + measuredWidth;
        int measuredHeight = this.f7342.getMeasuredHeight();
        int measuredHeight2 = (getMeasuredHeight() / 2) - (measuredHeight / 2);
        m8140(this.f7342, measuredWidth2, measuredHeight2, i6, measuredHeight2 + measuredHeight);
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m8140(View view, int i6, int i7, int i8, int i9) {
        if (z0.m3395(this) == 1) {
            view.layout(getMeasuredWidth() - i8, i7, getMeasuredWidth() - i6, i9);
        } else {
            view.layout(i6, i7, i8, i9);
        }
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private Drawable m8141(Drawable drawable) {
        int i6;
        int m11160;
        if (this.f7340 && drawable != null) {
            Integer num = this.f7343;
            if (num != null) {
                m11160 = num.intValue();
            } else {
                if (drawable == this.f7339) {
                    i6 = b.colorOnSurfaceVariant;
                } else {
                    i6 = b.colorOnSurface;
                }
                m11160 = k2.a.m11160(this, i6);
            }
            Drawable m2433 = androidx.core.graphics.drawable.a.m2433(drawable.mutate());
            androidx.core.graphics.drawable.a.m2429(m2433, m11160);
            return m2433;
        }
        return drawable;
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m8142() {
        if (this.f7338 && (getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            Resources resources = getResources();
            int dimensionPixelSize = resources.getDimensionPixelSize(d.m3_searchbar_margin_horizontal);
            int dimensionPixelSize2 = resources.getDimensionPixelSize(getDefaultMarginVerticalResource());
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) getLayoutParams();
            marginLayoutParams.leftMargin = m8138(marginLayoutParams.leftMargin, dimensionPixelSize);
            marginLayoutParams.topMargin = m8138(marginLayoutParams.topMargin, dimensionPixelSize2);
            marginLayoutParams.rightMargin = m8138(marginLayoutParams.rightMargin, dimensionPixelSize);
            marginLayoutParams.bottomMargin = m8138(marginLayoutParams.bottomMargin, dimensionPixelSize2);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (this.f7337 && this.f7342 == null && !(view instanceof ActionMenuView)) {
            this.f7342 = view;
            view.setAlpha(0.0f);
        }
        super.addView(view, i6, layoutParams);
    }

    public View getCenterView() {
        return this.f7342;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public float getCompatElevation() {
        g gVar = this.f7347;
        if (gVar != null) {
            return gVar.m13717();
        }
        return z0.m3460(this);
    }

    public float getCornerSize() {
        return this.f7347.m13710();
    }

    protected int getDefaultMarginVerticalResource() {
        return d.m3_searchbar_margin_vertical;
    }

    protected int getDefaultNavigationIconResource() {
        return e.ic_search_black_24;
    }

    public CharSequence getHint() {
        return this.f7348.getHint();
    }

    int getMenuResId() {
        return this.f7345;
    }

    public int getStrokeColor() {
        return this.f7347.m13700().getDefaultColor();
    }

    public float getStrokeWidth() {
        return this.f7347.m13702();
    }

    public CharSequence getText() {
        return this.f7348.getText();
    }

    public TextView getTextView() {
        return this.f7348;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        h.m13733(this, this.f7347);
        m8142();
        m8136();
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(EditText.class.getCanonicalName());
        CharSequence text = getText();
        boolean isEmpty = TextUtils.isEmpty(text);
        if (Build.VERSION.SDK_INT >= 26) {
            accessibilityNodeInfo.setHintText(getHint());
            accessibilityNodeInfo.setShowingHintText(isEmpty);
        }
        if (isEmpty) {
            text = getHint();
        }
        accessibilityNodeInfo.setText(text);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        m8139();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.View
    public void onMeasure(int i6, int i7) {
        super.onMeasure(i6, i7);
        m8137(i6, i7);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        a aVar = (a) parcelable;
        super.onRestoreInstanceState(aVar.m14259());
        setText(aVar.f7350);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.Toolbar, android.view.View
    public Parcelable onSaveInstanceState() {
        String charSequence;
        a aVar = new a(super.onSaveInstanceState());
        CharSequence text = getText();
        if (text == null) {
            charSequence = null;
        } else {
            charSequence = text.toString();
        }
        aVar.f7350 = charSequence;
        return aVar;
    }

    public void setCenterView(View view) {
        View view2 = this.f7342;
        if (view2 != null) {
            removeView(view2);
            this.f7342 = null;
        }
        if (view != null) {
            addView(view);
        }
    }

    public void setDefaultScrollFlagsEnabled(boolean z5) {
        this.f7346 = z5;
        m8136();
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        g gVar = this.f7347;
        if (gVar != null) {
            gVar.m13722(f6);
        }
    }

    public void setHint(CharSequence charSequence) {
        this.f7348.setHint(charSequence);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(Drawable drawable) {
        super.setNavigationIcon(m8141(drawable));
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        boolean z5;
        if (this.f7341) {
            return;
        }
        super.setNavigationOnClickListener(onClickListener);
        if (onClickListener == null) {
            z5 = true;
        } else {
            z5 = false;
        }
        setNavigationIconDecorative(z5);
    }

    public void setOnLoadAnimationFadeInEnabled(boolean z5) {
        throw null;
    }

    public void setStrokeColor(int i6) {
        if (getStrokeColor() != i6) {
            this.f7347.m13698(ColorStateList.valueOf(i6));
        }
    }

    public void setStrokeWidth(float f6) {
        if (getStrokeWidth() != f6) {
            this.f7347.m13699(f6);
        }
    }

    public void setText(CharSequence charSequence) {
        this.f7348.setText(charSequence);
    }

    @Override // androidx.appcompat.widget.Toolbar
    /* renamed from: ﹶ */
    public void mo1330(int i6) {
        Menu menu = getMenu();
        boolean z5 = menu instanceof androidx.appcompat.view.menu.g;
        if (z5) {
            ((androidx.appcompat.view.menu.g) menu).m1030();
        }
        super.mo1330(i6);
        this.f7345 = i6;
        if (z5) {
            ((androidx.appcompat.view.menu.g) menu).m1029();
        }
    }

    /* loaded from: classes.dex */
    public static class ScrollingViewBehavior extends AppBarLayout.ScrollingViewBehavior {

        /* renamed from: ˎ  reason: contains not printable characters */
        private boolean f7349;

        public ScrollingViewBehavior() {
            this.f7349 = false;
        }

        /* renamed from: ʻʼ  reason: contains not printable characters */
        private void m8143(AppBarLayout appBarLayout) {
            appBarLayout.setBackgroundColor(0);
            if (Build.VERSION.SDK_INT == 21) {
                appBarLayout.setOutlineProvider(null);
            } else {
                appBarLayout.setTargetElevation(0.0f);
            }
        }

        @Override // com.google.android.material.appbar.AppBarLayout.ScrollingViewBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˏ */
        public boolean mo2091(CoordinatorLayout coordinatorLayout, View view, View view2) {
            boolean mo2091 = super.mo2091(coordinatorLayout, view, view2);
            if (!this.f7349 && (view2 instanceof AppBarLayout)) {
                this.f7349 = true;
                m8143((AppBarLayout) view2);
            }
            return mo2091;
        }

        @Override // com.google.android.material.appbar.g
        /* renamed from: ᵢᵢ */
        protected boolean mo6984() {
            return true;
        }

        public ScrollingViewBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.f7349 = false;
        }
    }

    public void setHint(int i6) {
        this.f7348.setHint(i6);
    }

    public void setText(int i6) {
        this.f7348.setText(i6);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setSubtitle(CharSequence charSequence) {
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setTitle(CharSequence charSequence) {
    }
}
