package com.google.android.material.search;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageButton;
import android.widget.TextView;
import androidx.appcompat.widget.Toolbar;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.z0;
import c2.d;
import c2.e;
import c2.j;
import com.google.android.material.appbar.MaterialToolbar;
import com.google.android.material.internal.ClippableRoundedCornerLayout;
import com.google.android.material.internal.TouchObserverFrameLayout;
import com.google.android.material.internal.z;
import g.g;
import java.util.HashMap;
import java.util.LinkedHashSet;
import java.util.Map;
import java.util.Set;
import q2.f;
import v2.h;
/* loaded from: classes.dex */
public class SearchView extends FrameLayout implements CoordinatorLayout.b, q2.b {

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static final int f7351 = j.Widget_Material3_SearchView;

    /* renamed from: ʾ  reason: contains not printable characters */
    final ClippableRoundedCornerLayout f7352;

    /* renamed from: ʿ  reason: contains not printable characters */
    final View f7353;

    /* renamed from: ˆ  reason: contains not printable characters */
    final View f7354;

    /* renamed from: ˈ  reason: contains not printable characters */
    final FrameLayout f7355;

    /* renamed from: ˉ  reason: contains not printable characters */
    final MaterialToolbar f7356;

    /* renamed from: ˊ  reason: contains not printable characters */
    final TextView f7357;

    /* renamed from: ˋ  reason: contains not printable characters */
    final EditText f7358;

    /* renamed from: ˎ  reason: contains not printable characters */
    final TouchObserverFrameLayout f7359;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final boolean f7360;

    /* renamed from: ˑ  reason: contains not printable characters */
    private final q2.c f7361;

    /* renamed from: י  reason: contains not printable characters */
    private final boolean f7362;

    /* renamed from: ـ  reason: contains not printable characters */
    private final n2.a f7363;

    /* renamed from: ٴ  reason: contains not printable characters */
    private final Set<b> f7364;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private SearchBar f7365;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f7366;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private boolean f7367;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private boolean f7368;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f7369;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private final int f7370;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private boolean f7371;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private boolean f7372;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private c f7373;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private Map<View, Integer> f7374;

    /* loaded from: classes.dex */
    public static class Behavior extends CoordinatorLayout.c<SearchView> {
        public Behavior() {
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ˆˆ  reason: contains not printable characters */
        public boolean mo2091(CoordinatorLayout coordinatorLayout, SearchView searchView, View view) {
            if (!searchView.m8152() && (view instanceof SearchBar)) {
                searchView.setupWithSearchBar((SearchBar) view);
                return false;
            }
            return false;
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a extends z.a {
        public static final Parcelable.Creator<a> CREATOR = new C0081a();

        /* renamed from: ˆ  reason: contains not printable characters */
        String f7375;

        /* renamed from: ˈ  reason: contains not printable characters */
        int f7376;

        /* renamed from: com.google.android.material.search.SearchView$a$a  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        class C0081a implements Parcelable.ClassLoaderCreator<a> {
            C0081a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public a createFromParcel(Parcel parcel) {
                return new a(parcel);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public a createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new a(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public a[] newArray(int i6) {
                return new a[i6];
            }
        }

        public a(Parcel parcel) {
            this(parcel, null);
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeString(this.f7375);
            parcel.writeInt(this.f7376);
        }

        public a(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7375 = parcel.readString();
            this.f7376 = parcel.readInt();
        }

        public a(Parcelable parcelable) {
            super(parcelable);
        }
    }

    /* loaded from: classes.dex */
    public interface b {
        /* renamed from: ʻ  reason: contains not printable characters */
        void m8158(SearchView searchView, c cVar, c cVar2);
    }

    /* loaded from: classes.dex */
    public enum c {
        HIDING,
        HIDDEN,
        SHOWING,
        SHOWN
    }

    private Window getActivityWindow() {
        Activity m7975 = com.google.android.material.internal.c.m7975(getContext());
        if (m7975 == null) {
            return null;
        }
        return m7975.getWindow();
    }

    private float getOverlayElevation() {
        SearchBar searchBar = this.f7365;
        if (searchBar != null) {
            return searchBar.getCompatElevation();
        }
        return getResources().getDimension(d.m3_searchview_elevation);
    }

    private int getStatusBarHeight() {
        int identifier = getResources().getIdentifier("status_bar_height", "dimen", "android");
        if (identifier > 0) {
            return getResources().getDimensionPixelSize(identifier);
        }
        return 0;
    }

    private void setStatusBarSpacerEnabledInternal(boolean z5) {
        int i6;
        View view = this.f7354;
        if (z5) {
            i6 = 0;
        } else {
            i6 = 8;
        }
        view.setVisibility(i6);
    }

    private void setUpBackgroundViewElevationOverlay(float f6) {
        n2.a aVar = this.f7363;
        if (aVar != null && this.f7353 != null) {
            this.f7353.setBackgroundColor(aVar.m11872(this.f7370, f6));
        }
    }

    private void setUpHeaderLayout(int i6) {
        if (i6 != -1) {
            m8151(LayoutInflater.from(getContext()).inflate(i6, (ViewGroup) this.f7355, false));
        }
    }

    private void setUpStatusBarSpacer(int i6) {
        if (this.f7354.getLayoutParams().height != i6) {
            this.f7354.getLayoutParams().height = i6;
            this.f7354.requestLayout();
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m8147() {
        if (!this.f7373.equals(c.HIDDEN) && !this.f7373.equals(c.HIDING)) {
            return false;
        }
        return true;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private void m8148(c cVar, boolean z5) {
        if (this.f7373.equals(cVar)) {
            return;
        }
        if (z5) {
            if (cVar == c.SHOWN) {
                setModalForAccessibility(true);
            } else if (cVar == c.HIDDEN) {
                setModalForAccessibility(false);
            }
        }
        c cVar2 = this.f7373;
        this.f7373 = cVar;
        for (b bVar : new LinkedHashSet(this.f7364)) {
            bVar.m8158(this, cVar2, cVar);
        }
        if (this.f7365 != null && this.f7362) {
            if (cVar.equals(c.SHOWN)) {
                this.f7361.m12699();
            } else if (cVar.equals(c.HIDDEN)) {
                this.f7361.m12701();
            }
        }
    }

    @SuppressLint({"InlinedApi"})
    /* renamed from: ˊ  reason: contains not printable characters */
    private void m8149(ViewGroup viewGroup, boolean z5) {
        for (int i6 = 0; i6 < viewGroup.getChildCount(); i6++) {
            View childAt = viewGroup.getChildAt(i6);
            if (childAt != this) {
                if (childAt.findViewById(this.f7352.getId()) != null) {
                    m8149((ViewGroup) childAt, z5);
                } else if (!z5) {
                    Map<View, Integer> map = this.f7374;
                    if (map != null && map.containsKey(childAt)) {
                        z0.m3403(childAt, this.f7374.get(childAt).intValue());
                    }
                } else {
                    this.f7374.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                    z0.m3403(childAt, 4);
                }
            }
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    private void m8150() {
        int i6;
        ImageButton m8105 = z.m8105(this.f7356);
        if (m8105 == null) {
            return;
        }
        if (this.f7352.getVisibility() == 0) {
            i6 = 1;
        } else {
            i6 = 0;
        }
        Drawable m2432 = androidx.core.graphics.drawable.a.m2432(m8105.getDrawable());
        if (m2432 instanceof g) {
            ((g) m2432).m9718(i6);
        }
        if (m2432 instanceof com.google.android.material.internal.g) {
            ((com.google.android.material.internal.g) m2432).m7992(i6);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        if (this.f7360) {
            this.f7359.addView(view, i6, layoutParams);
        } else {
            super.addView(view, i6, layoutParams);
        }
    }

    f getBackHelper() {
        throw null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public CoordinatorLayout.c<SearchView> getBehavior() {
        return new Behavior();
    }

    public c getCurrentTransitionState() {
        return this.f7373;
    }

    protected int getDefaultNavigationIconResource() {
        return e.ic_arrow_back_black_24;
    }

    public EditText getEditText() {
        return this.f7358;
    }

    public CharSequence getHint() {
        return this.f7358.getHint();
    }

    public TextView getSearchPrefix() {
        return this.f7357;
    }

    public CharSequence getSearchPrefixText() {
        return this.f7357.getText();
    }

    @SuppressLint({"KotlinPropertyAccess"})
    public int getSoftInputMode() {
        return this.f7366;
    }

    @SuppressLint({"KotlinPropertyAccess"})
    public Editable getText() {
        return this.f7358.getText();
    }

    public Toolbar getToolbar() {
        return this.f7356;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        h.m13732(this);
    }

    @Override // android.view.View
    protected void onFinishInflate() {
        super.onFinishInflate();
        m8153();
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        boolean z5;
        if (!(parcelable instanceof a)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        a aVar = (a) parcelable;
        super.onRestoreInstanceState(aVar.m14259());
        setText(aVar.f7375);
        if (aVar.f7376 == 0) {
            z5 = true;
        } else {
            z5 = false;
        }
        setVisible(z5);
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        String charSequence;
        a aVar = new a(super.onSaveInstanceState());
        Editable text = getText();
        if (text == null) {
            charSequence = null;
        } else {
            charSequence = text.toString();
        }
        aVar.f7375 = charSequence;
        aVar.f7376 = this.f7352.getVisibility();
        return aVar;
    }

    public void setAnimatedNavigationIcon(boolean z5) {
        this.f7367 = z5;
    }

    public void setAutoShowKeyboard(boolean z5) {
        this.f7369 = z5;
    }

    @Override // android.view.View
    public void setElevation(float f6) {
        super.setElevation(f6);
        setUpBackgroundViewElevationOverlay(f6);
    }

    public void setHint(CharSequence charSequence) {
        this.f7358.setHint(charSequence);
    }

    public void setMenuItemsAnimated(boolean z5) {
        this.f7368 = z5;
    }

    public void setModalForAccessibility(boolean z5) {
        ViewGroup viewGroup = (ViewGroup) getRootView();
        if (z5) {
            this.f7374 = new HashMap(viewGroup.getChildCount());
        }
        m8149(viewGroup, z5);
        if (!z5) {
            this.f7374 = null;
        }
    }

    public void setOnMenuItemClickListener(Toolbar.h hVar) {
        this.f7356.setOnMenuItemClickListener(hVar);
    }

    public void setSearchPrefixText(CharSequence charSequence) {
        int i6;
        this.f7357.setText(charSequence);
        TextView textView = this.f7357;
        if (TextUtils.isEmpty(charSequence)) {
            i6 = 8;
        } else {
            i6 = 0;
        }
        textView.setVisibility(i6);
    }

    public void setStatusBarSpacerEnabled(boolean z5) {
        this.f7372 = true;
        setStatusBarSpacerEnabledInternal(z5);
    }

    @SuppressLint({"KotlinPropertyAccess"})
    public void setText(CharSequence charSequence) {
        this.f7358.setText(charSequence);
    }

    public void setToolbarTouchscreenBlocksFocus(boolean z5) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f7356.setTouchscreenBlocksFocus(z5);
        }
    }

    void setTransitionState(c cVar) {
        m8148(cVar, true);
    }

    public void setUseWindowInsetsController(boolean z5) {
        this.f7371 = z5;
    }

    public void setVisible(boolean z5) {
        boolean z6;
        int i6;
        c cVar;
        boolean z7 = true;
        if (this.f7352.getVisibility() == 0) {
            z6 = true;
        } else {
            z6 = false;
        }
        ClippableRoundedCornerLayout clippableRoundedCornerLayout = this.f7352;
        if (z5) {
            i6 = 0;
        } else {
            i6 = 8;
        }
        clippableRoundedCornerLayout.setVisibility(i6);
        m8150();
        if (z5) {
            cVar = c.SHOWN;
        } else {
            cVar = c.HIDDEN;
        }
        if (z6 == z5) {
            z7 = false;
        }
        m8148(cVar, z7);
    }

    public void setupWithSearchBar(SearchBar searchBar) {
        this.f7365 = searchBar;
        throw null;
    }

    @Override // q2.b
    /* renamed from: ʻ */
    public void mo7143() {
        if (m8147()) {
            return;
        }
        throw null;
    }

    @Override // q2.b
    /* renamed from: ʼ */
    public void mo7150(androidx.activity.b bVar) {
        if (!m8147() && this.f7365 != null) {
            throw null;
        }
    }

    @Override // q2.b
    /* renamed from: ʽ */
    public void mo7167(androidx.activity.b bVar) {
        if (!m8147() && this.f7365 != null && Build.VERSION.SDK_INT >= 34) {
            throw null;
        }
    }

    @Override // q2.b
    /* renamed from: ʾ */
    public void mo7176() {
        if (!m8147() && this.f7365 != null && Build.VERSION.SDK_INT >= 34) {
            throw null;
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public void m8151(View view) {
        this.f7355.addView(view);
        this.f7355.setVisibility(0);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public boolean m8152() {
        if (this.f7365 != null) {
            return true;
        }
        return false;
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public void m8153() {
        Window activityWindow = getActivityWindow();
        if (activityWindow != null) {
            this.f7366 = activityWindow.getAttributes().softInputMode;
        }
    }

    public void setHint(int i6) {
        this.f7358.setHint(i6);
    }

    public void setText(int i6) {
        this.f7358.setText(i6);
    }
}
