package com.google.android.material.sidesheet;

import a0.c;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.accessibility.j0;
import androidx.core.view.accessibility.o0;
import androidx.core.view.r;
import androidx.core.view.z0;
import c2.i;
import c2.j;
import com.google.android.material.sidesheet.SideSheetBehavior;
import java.lang.ref.WeakReference;
import java.util.LinkedHashSet;
import java.util.Set;
import v2.k;
/* loaded from: classes.dex */
public class SideSheetBehavior<V extends View> extends CoordinatorLayout.c<V> implements q2.b {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private static final int f7382 = i.side_sheet_accessibility_pane_title;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private static final int f7383 = j.Widget_Material3_SideSheet;

    /* renamed from: ʾ  reason: contains not printable characters */
    private com.google.android.material.sidesheet.d f7384;

    /* renamed from: ʿ  reason: contains not printable characters */
    private float f7385;

    /* renamed from: ˆ  reason: contains not printable characters */
    private v2.g f7386;

    /* renamed from: ˈ  reason: contains not printable characters */
    private ColorStateList f7387;

    /* renamed from: ˉ  reason: contains not printable characters */
    private k f7388;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final SideSheetBehavior<V>.d f7389;

    /* renamed from: ˋ  reason: contains not printable characters */
    private float f7390;

    /* renamed from: ˎ  reason: contains not printable characters */
    private boolean f7391;

    /* renamed from: ˏ  reason: contains not printable characters */
    private int f7392;

    /* renamed from: ˑ  reason: contains not printable characters */
    private int f7393;

    /* renamed from: י  reason: contains not printable characters */
    private a0.c f7394;

    /* renamed from: ـ  reason: contains not printable characters */
    private boolean f7395;

    /* renamed from: ٴ  reason: contains not printable characters */
    private float f7396;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f7397;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private final Set<g> f7398;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f7399;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final c.AbstractC0005c f7400;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f7401;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f7402;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private WeakReference<V> f7403;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private WeakReference<View> f7404;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private int f7405;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private VelocityTracker f7406;

    /* renamed from: ﾞ  reason: contains not printable characters */
    private q2.g f7407;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private int f7408;

    /* loaded from: classes.dex */
    class a extends c.AbstractC0005c {
        a() {
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʻ */
        public int mo113(View view, int i6, int i7) {
            return v.a.m13579(i6, SideSheetBehavior.this.f7384.mo8234(), SideSheetBehavior.this.f7384.mo8233());
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʼ */
        public int mo114(View view, int i6, int i7) {
            return view.getTop();
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ʾ */
        public int mo116(View view) {
            return SideSheetBehavior.this.f7397 + SideSheetBehavior.this.m8210();
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˋ */
        public void mo122(int i6) {
            if (i6 == 1 && SideSheetBehavior.this.f7391) {
                SideSheetBehavior.this.m8219(1);
            }
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˎ */
        public void mo123(View view, int i6, int i7, int i8, int i9) {
            ViewGroup.MarginLayoutParams marginLayoutParams;
            View m8206 = SideSheetBehavior.this.m8206();
            if (m8206 != null && (marginLayoutParams = (ViewGroup.MarginLayoutParams) m8206.getLayoutParams()) != null) {
                SideSheetBehavior.this.f7384.mo8243(marginLayoutParams, view.getLeft(), view.getRight());
                m8206.setLayoutParams(marginLayoutParams);
            }
            SideSheetBehavior.this.m8161(view, i6);
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˏ */
        public void mo124(View view, float f6, float f7) {
            int m8198 = SideSheetBehavior.this.m8198(view, f6, f7);
            SideSheetBehavior sideSheetBehavior = SideSheetBehavior.this;
            sideSheetBehavior.m8184(view, m8198, sideSheetBehavior.m8221());
        }

        @Override // a0.c.AbstractC0005c
        /* renamed from: ˑ */
        public boolean mo125(View view, int i6) {
            if (SideSheetBehavior.this.f7392 == 1 || SideSheetBehavior.this.f7403 == null || SideSheetBehavior.this.f7403.get() != view) {
                return false;
            }
            return true;
        }
    }

    /* loaded from: classes.dex */
    class b extends AnimatorListenerAdapter {
        b() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            SideSheetBehavior.this.m8219(5);
            if (SideSheetBehavior.this.f7403 != null && SideSheetBehavior.this.f7403.get() != null) {
                ((View) SideSheetBehavior.this.f7403.get()).requestLayout();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d {

        /* renamed from: ʻ  reason: contains not printable characters */
        private int f7412;

        /* renamed from: ʼ  reason: contains not printable characters */
        private boolean f7413;

        /* renamed from: ʽ  reason: contains not printable characters */
        private final Runnable f7414 = new Runnable() { // from class: com.google.android.material.sidesheet.f
            @Override // java.lang.Runnable
            public final void run() {
                SideSheetBehavior.d.this.m8226();
            }
        };

        d() {
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* renamed from: ʽ  reason: contains not printable characters */
        public /* synthetic */ void m8226() {
            this.f7413 = false;
            if (SideSheetBehavior.this.f7394 != null && SideSheetBehavior.this.f7394.m102(true)) {
                m8227(this.f7412);
            } else if (SideSheetBehavior.this.f7392 == 2) {
                SideSheetBehavior.this.m8219(this.f7412);
            }
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        void m8227(int i6) {
            if (SideSheetBehavior.this.f7403 != null && SideSheetBehavior.this.f7403.get() != null) {
                this.f7412 = i6;
                if (!this.f7413) {
                    z0.m3382((View) SideSheetBehavior.this.f7403.get(), this.f7414);
                    this.f7413 = true;
                }
            }
        }
    }

    public SideSheetBehavior() {
        this.f7389 = new d();
        this.f7391 = true;
        this.f7392 = 5;
        this.f7393 = 5;
        this.f7396 = 0.1f;
        this.f7405 = -1;
        this.f7398 = new LinkedHashSet();
        this.f7400 = new a();
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private o0 m8159(final int i6) {
        return new o0() { // from class: w2.c
            @Override // androidx.core.view.accessibility.o0
            /* renamed from: ʻ */
            public final boolean mo2921(View view, o0.a aVar) {
                boolean m8173;
                m8173 = SideSheetBehavior.this.m8173(i6, view, aVar);
                return m8173;
            }
        };
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private void m8160(Context context) {
        if (this.f7388 == null) {
            return;
        }
        v2.g gVar = new v2.g(this.f7388);
        this.f7386 = gVar;
        gVar.m13707(context);
        ColorStateList colorStateList = this.f7387;
        if (colorStateList != null) {
            this.f7386.m13690(colorStateList);
            return;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(16842801, typedValue, true);
        this.f7386.setTint(typedValue.data);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m8161(View view, int i6) {
        if (!this.f7398.isEmpty()) {
            float mo8229 = this.f7384.mo8229(i6);
            for (g gVar : this.f7398) {
                gVar.m8245(view, mo8229);
            }
        }
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private void m8162(View view) {
        if (z0.m3446(view) == null) {
            z0.m3394(view, view.getResources().getString(f7382));
        }
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private int m8163(int i6, int i7, int i8, int i9) {
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i6, i7, i9);
        if (i8 == -1) {
            return childMeasureSpec;
        }
        int mode = View.MeasureSpec.getMode(childMeasureSpec);
        int size = View.MeasureSpec.getSize(childMeasureSpec);
        if (mode != 1073741824) {
            if (size != 0) {
                i8 = Math.min(size, i8);
            }
            return View.MeasureSpec.makeMeasureSpec(i8, Integer.MIN_VALUE);
        }
        return View.MeasureSpec.makeMeasureSpec(Math.min(size, i8), 1073741824);
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private ValueAnimator.AnimatorUpdateListener m8164() {
        final ViewGroup.MarginLayoutParams marginLayoutParams;
        final View m8206 = m8206();
        if (m8206 == null || (marginLayoutParams = (ViewGroup.MarginLayoutParams) m8206.getLayoutParams()) == null) {
            return null;
        }
        final int mo8230 = this.f7384.mo8230(marginLayoutParams);
        return new ValueAnimator.AnimatorUpdateListener() { // from class: w2.a
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                SideSheetBehavior.this.m8174(marginLayoutParams, mo8230, m8206, valueAnimator);
            }
        };
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private int m8165() {
        com.google.android.material.sidesheet.d dVar = this.f7384;
        if (dVar == null || dVar.mo8237() == 0) {
            return 5;
        }
        return 3;
    }

    /* renamed from: ʻᵔ  reason: contains not printable characters */
    private CoordinatorLayout.f m8166() {
        V v6;
        WeakReference<V> weakReference = this.f7403;
        if (weakReference != null && (v6 = weakReference.get()) != null && (v6.getLayoutParams() instanceof CoordinatorLayout.f)) {
            return (CoordinatorLayout.f) v6.getLayoutParams();
        }
        return null;
    }

    /* renamed from: ʻᵢ  reason: contains not printable characters */
    private boolean m8167() {
        CoordinatorLayout.f m8166 = m8166();
        if (m8166 != null && ((ViewGroup.MarginLayoutParams) m8166).leftMargin > 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻⁱ  reason: contains not printable characters */
    private boolean m8168() {
        CoordinatorLayout.f m8166 = m8166();
        if (m8166 != null && ((ViewGroup.MarginLayoutParams) m8166).rightMargin > 0) {
            return true;
        }
        return false;
    }

    /* renamed from: ʻﹳ  reason: contains not printable characters */
    private boolean m8169(MotionEvent motionEvent) {
        if (!m8182() || m8203(this.f7408, motionEvent.getX()) <= this.f7394.m112()) {
            return false;
        }
        return true;
    }

    /* renamed from: ʻﹶ  reason: contains not printable characters */
    private boolean m8170(float f6) {
        return this.f7384.mo8238(f6);
    }

    /* renamed from: ʻﾞ  reason: contains not printable characters */
    private boolean m8171(V v6) {
        ViewParent parent = v6.getParent();
        if (parent != null && parent.isLayoutRequested() && z0.m3443(v6)) {
            return true;
        }
        return false;
    }

    /* renamed from: ʼʻ  reason: contains not printable characters */
    private boolean m8172(View view, int i6, boolean z5) {
        int m8211 = m8211(i6);
        a0.c m8215 = m8215();
        if (m8215 != null && (!z5 ? m8215.m108(view, m8211, view.getTop()) : m8215.m100(m8211, view.getTop()))) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʼʽ  reason: contains not printable characters */
    public /* synthetic */ boolean m8173(int i6, View view, o0.a aVar) {
        m8218(i6);
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʼʾ  reason: contains not printable characters */
    public /* synthetic */ void m8174(ViewGroup.MarginLayoutParams marginLayoutParams, int i6, View view, ValueAnimator valueAnimator) {
        this.f7384.mo8242(marginLayoutParams, d2.a.m9177(i6, 0, valueAnimator.getAnimatedFraction()));
        view.requestLayout();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʼʿ  reason: contains not printable characters */
    public /* synthetic */ void m8175(int i6) {
        V v6 = this.f7403.get();
        if (v6 != null) {
            m8184(v6, i6, false);
        }
    }

    /* renamed from: ʼˆ  reason: contains not printable characters */
    private void m8176(CoordinatorLayout coordinatorLayout) {
        int i6;
        View findViewById;
        if (this.f7404 == null && (i6 = this.f7405) != -1 && (findViewById = coordinatorLayout.findViewById(i6)) != null) {
            this.f7404 = new WeakReference<>(findViewById);
        }
    }

    /* renamed from: ʼˈ  reason: contains not printable characters */
    private void m8177(V v6, j0.a aVar, int i6) {
        z0.m3386(v6, aVar, null, m8159(i6));
    }

    /* renamed from: ʼˉ  reason: contains not printable characters */
    private void m8178() {
        VelocityTracker velocityTracker = this.f7406;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f7406 = null;
        }
    }

    /* renamed from: ʼˊ  reason: contains not printable characters */
    private void m8179(V v6, Runnable runnable) {
        if (m8171(v6)) {
            v6.post(runnable);
        } else {
            runnable.run();
        }
    }

    /* renamed from: ʼˏ  reason: contains not printable characters */
    private void m8180(int i6) {
        com.google.android.material.sidesheet.d dVar = this.f7384;
        if (dVar != null && dVar.mo8237() == i6) {
            return;
        }
        if (i6 == 0) {
            this.f7384 = new com.google.android.material.sidesheet.b(this);
            if (this.f7388 != null && !m8168()) {
                k.b m13756 = this.f7388.m13756();
                m13756.m13774(0.0f).m13788(0.0f);
                m8187(m13756.m13777());
            }
        } else if (i6 == 1) {
            this.f7384 = new com.google.android.material.sidesheet.a(this);
            if (this.f7388 != null && !m8167()) {
                k.b m137562 = this.f7388.m13756();
                m137562.m13781(0.0f).m13784(0.0f);
                m8187(m137562.m13777());
            }
        } else {
            throw new IllegalArgumentException("Invalid sheet edge position value: " + i6 + ". Must be 0 or 1.");
        }
    }

    /* renamed from: ʼˑ  reason: contains not printable characters */
    private void m8181(V v6, int i6) {
        int i7;
        if (r.m3208(((CoordinatorLayout.f) v6.getLayoutParams()).f2744, i6) == 3) {
            i7 = 1;
        } else {
            i7 = 0;
        }
        m8180(i7);
    }

    /* renamed from: ʼٴ  reason: contains not printable characters */
    private boolean m8182() {
        if (this.f7394 != null && (this.f7391 || this.f7392 == 1)) {
            return true;
        }
        return false;
    }

    /* renamed from: ʼᴵ  reason: contains not printable characters */
    private boolean m8183(V v6) {
        if ((v6.isShown() || z0.m3446(v6) != null) && this.f7391) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʼᵔ  reason: contains not printable characters */
    public void m8184(View view, int i6, boolean z5) {
        if (m8172(view, i6, z5)) {
            m8219(2);
            this.f7389.m8227(i6);
            return;
        }
        m8219(i6);
    }

    /* renamed from: ʼᵢ  reason: contains not printable characters */
    private void m8185() {
        V v6;
        WeakReference<V> weakReference = this.f7403;
        if (weakReference == null || (v6 = weakReference.get()) == null) {
            return;
        }
        z0.m3384(v6, 262144);
        z0.m3384(v6, 1048576);
        if (this.f7392 != 5) {
            m8177(v6, j0.a.f3107, 5);
        }
        if (this.f7392 != 3) {
            m8177(v6, j0.a.f3105, 3);
        }
    }

    /* renamed from: ʼⁱ  reason: contains not printable characters */
    private void m8186() {
        ViewGroup.MarginLayoutParams marginLayoutParams;
        WeakReference<V> weakReference = this.f7403;
        if (weakReference != null && weakReference.get() != null) {
            V v6 = this.f7403.get();
            View m8206 = m8206();
            if (m8206 == null || (marginLayoutParams = (ViewGroup.MarginLayoutParams) m8206.getLayoutParams()) == null) {
                return;
            }
            this.f7384.mo8242(marginLayoutParams, (int) ((this.f7397 * v6.getScaleX()) + this.f7402));
            m8206.requestLayout();
        }
    }

    /* renamed from: ʼﹳ  reason: contains not printable characters */
    private void m8187(k kVar) {
        v2.g gVar = this.f7386;
        if (gVar != null) {
            gVar.setShapeAppearanceModel(kVar);
        }
    }

    /* renamed from: ʼﹶ  reason: contains not printable characters */
    private void m8188(View view) {
        int i6;
        if (this.f7392 == 5) {
            i6 = 4;
        } else {
            i6 = 0;
        }
        if (view.getVisibility() != i6) {
            view.setVisibility(i6);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ٴٴ  reason: contains not printable characters */
    public int m8198(View view, float f6, float f7) {
        if (m8170(f6)) {
            return 3;
        }
        if (m8220(view, f6)) {
            if (!this.f7384.mo8240(f6, f7) && !this.f7384.mo8239(view)) {
                return 3;
            }
        } else if (f6 == 0.0f || !e.m8246(f6, f7)) {
            int left = view.getLeft();
            if (Math.abs(left - m8207()) < Math.abs(left - this.f7384.mo8232())) {
                return 3;
            }
        }
        return 5;
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private int m8202(int i6, V v6) {
        int i7 = this.f7392;
        if (i7 != 1 && i7 != 2) {
            if (i7 != 3) {
                if (i7 == 5) {
                    return this.f7384.mo8232();
                }
                throw new IllegalStateException("Unexpected value: " + this.f7392);
            }
            return 0;
        }
        return i6 - this.f7384.mo8235(v6);
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private float m8203(float f6, float f7) {
        return Math.abs(f6 - f7);
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m8204() {
        WeakReference<View> weakReference = this.f7404;
        if (weakReference != null) {
            weakReference.clear();
        }
        this.f7404 = null;
    }

    @Override // q2.b
    /* renamed from: ʻ */
    public void mo7143() {
        q2.g gVar = this.f7407;
        if (gVar == null) {
            return;
        }
        androidx.activity.b m12693 = gVar.m12693();
        if (m12693 != null && Build.VERSION.SDK_INT >= 34) {
            this.f7407.m12716(m12693, m8165(), new b(), m8164());
        } else {
            m8218(5);
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ʻʻ */
    public Parcelable mo2079(CoordinatorLayout coordinatorLayout, V v6) {
        return new c(super.mo2079(coordinatorLayout, v6), (SideSheetBehavior<?>) this);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˈ  reason: contains not printable characters */
    public int m8205() {
        return this.f7397;
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    public View m8206() {
        WeakReference<View> weakReference = this.f7404;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    public int m8207() {
        return this.f7384.mo8231();
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    public float m8208() {
        return this.f7396;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻˑ  reason: contains not printable characters */
    public float m8209() {
        return 0.5f;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻי  reason: contains not printable characters */
    public int m8210() {
        return this.f7402;
    }

    /* renamed from: ʻـ  reason: contains not printable characters */
    int m8211(int i6) {
        if (i6 != 3) {
            if (i6 == 5) {
                return this.f7384.mo8232();
            }
            throw new IllegalArgumentException("Invalid state to get outer edge offset: " + i6);
        }
        return m8207();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻٴ  reason: contains not printable characters */
    public int m8212() {
        return this.f7401;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᐧ  reason: contains not printable characters */
    public int m8213() {
        return this.f7399;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻᴵ  reason: contains not printable characters */
    public int m8214() {
        return 500;
    }

    /* renamed from: ʻᵎ  reason: contains not printable characters */
    a0.c m8215() {
        return this.f7394;
    }

    @Override // q2.b
    /* renamed from: ʼ */
    public void mo7150(androidx.activity.b bVar) {
        q2.g gVar = this.f7407;
        if (gVar == null) {
            return;
        }
        gVar.m12717(bVar);
    }

    /* renamed from: ʼˋ  reason: contains not printable characters */
    public void m8216(int i6) {
        this.f7405 = i6;
        m8204();
        WeakReference<V> weakReference = this.f7403;
        if (weakReference != null) {
            V v6 = weakReference.get();
            if (i6 != -1 && z0.m3459(v6)) {
                v6.requestLayout();
            }
        }
    }

    /* renamed from: ʼˎ  reason: contains not printable characters */
    public void m8217(boolean z5) {
        this.f7391 = z5;
    }

    /* renamed from: ʼי  reason: contains not printable characters */
    public void m8218(final int i6) {
        String str;
        if (i6 != 1 && i6 != 2) {
            WeakReference<V> weakReference = this.f7403;
            if (weakReference != null && weakReference.get() != null) {
                m8179(this.f7403.get(), new Runnable() { // from class: w2.b
                    @Override // java.lang.Runnable
                    public final void run() {
                        SideSheetBehavior.this.m8175(i6);
                    }
                });
                return;
            } else {
                m8219(i6);
                return;
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("STATE_");
        if (i6 == 1) {
            str = "DRAGGING";
        } else {
            str = "SETTLING";
        }
        sb.append(str);
        sb.append(" should not be set externally.");
        throw new IllegalArgumentException(sb.toString());
    }

    /* renamed from: ʼـ  reason: contains not printable characters */
    void m8219(int i6) {
        V v6;
        if (this.f7392 == i6) {
            return;
        }
        this.f7392 = i6;
        if (i6 == 3 || i6 == 5) {
            this.f7393 = i6;
        }
        WeakReference<V> weakReference = this.f7403;
        if (weakReference == null || (v6 = weakReference.get()) == null) {
            return;
        }
        m8188(v6);
        for (g gVar : this.f7398) {
            gVar.m8244(v6, i6);
        }
        m8185();
    }

    /* renamed from: ʼᐧ  reason: contains not printable characters */
    boolean m8220(View view, float f6) {
        return this.f7384.mo8241(view, f6);
    }

    /* renamed from: ʼᵎ  reason: contains not printable characters */
    public boolean m8221() {
        return true;
    }

    @Override // q2.b
    /* renamed from: ʽ */
    public void mo7167(androidx.activity.b bVar) {
        q2.g gVar = this.f7407;
        if (gVar == null) {
            return;
        }
        gVar.m12719(bVar, m8165());
        m8186();
    }

    @Override // q2.b
    /* renamed from: ʾ */
    public void mo7176() {
        q2.g gVar = this.f7407;
        if (gVar == null) {
            return;
        }
        gVar.m12715();
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ˎ */
    public void mo2090(CoordinatorLayout.f fVar) {
        super.mo2090(fVar);
        this.f7403 = null;
        this.f7394 = null;
        this.f7407 = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: י */
    public void mo2093() {
        super.mo2093();
        this.f7403 = null;
        this.f7394 = null;
        this.f7407 = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ـ */
    public boolean mo2094(CoordinatorLayout coordinatorLayout, V v6, MotionEvent motionEvent) {
        a0.c cVar;
        if (!m8183(v6)) {
            this.f7395 = true;
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            m8178();
        }
        if (this.f7406 == null) {
            this.f7406 = VelocityTracker.obtain();
        }
        this.f7406.addMovement(motionEvent);
        if (actionMasked != 0) {
            if ((actionMasked == 1 || actionMasked == 3) && this.f7395) {
                this.f7395 = false;
                return false;
            }
        } else {
            this.f7408 = (int) motionEvent.getX();
        }
        if (!this.f7395 && (cVar = this.f7394) != null && cVar.m103(motionEvent)) {
            return true;
        }
        return false;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ــ */
    public boolean mo2095(CoordinatorLayout coordinatorLayout, V v6, MotionEvent motionEvent) {
        if (!v6.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.f7392 == 1 && actionMasked == 0) {
            return true;
        }
        if (m8182()) {
            this.f7394.m96(motionEvent);
        }
        if (actionMasked == 0) {
            m8178();
        }
        if (this.f7406 == null) {
            this.f7406 = VelocityTracker.obtain();
        }
        this.f7406.addMovement(motionEvent);
        if (m8182() && actionMasked == 2 && !this.f7395 && m8169(motionEvent)) {
            this.f7394.m92(v6, motionEvent.getPointerId(motionEvent.getActionIndex()));
        }
        return !this.f7395;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ٴ */
    public boolean mo2096(CoordinatorLayout coordinatorLayout, V v6, int i6) {
        int i7;
        if (z0.m3447(coordinatorLayout) && !z0.m3447(v6)) {
            v6.setFitsSystemWindows(true);
        }
        if (this.f7403 == null) {
            this.f7403 = new WeakReference<>(v6);
            this.f7407 = new q2.g(v6);
            v2.g gVar = this.f7386;
            if (gVar != null) {
                z0.m3396(v6, gVar);
                v2.g gVar2 = this.f7386;
                float f6 = this.f7390;
                if (f6 == -1.0f) {
                    f6 = z0.m3460(v6);
                }
                gVar2.m13722(f6);
            } else {
                ColorStateList colorStateList = this.f7387;
                if (colorStateList != null) {
                    z0.m3397(v6, colorStateList);
                }
            }
            m8188(v6);
            m8185();
            if (z0.m3368(v6) == 0) {
                z0.m3403(v6, 1);
            }
            m8162(v6);
        }
        m8181(v6, i6);
        if (this.f7394 == null) {
            this.f7394 = a0.c.m82(coordinatorLayout, this.f7400);
        }
        int mo8235 = this.f7384.mo8235(v6);
        coordinatorLayout.m2061(v6, i6);
        this.f7399 = coordinatorLayout.getWidth();
        this.f7401 = this.f7384.mo8236(coordinatorLayout);
        this.f7397 = v6.getWidth();
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) v6.getLayoutParams();
        if (marginLayoutParams != null) {
            i7 = this.f7384.mo8228(marginLayoutParams);
        } else {
            i7 = 0;
        }
        this.f7402 = i7;
        z0.m3374(v6, m8202(mo8235, v6));
        m8176(coordinatorLayout);
        for (g gVar3 : this.f7398) {
            if (gVar3 instanceof g) {
                gVar3.m8247(v6);
            }
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᐧ */
    public boolean mo2097(CoordinatorLayout coordinatorLayout, V v6, int i6, int i7, int i8, int i9) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) v6.getLayoutParams();
        v6.measure(m8163(i6, coordinatorLayout.getPaddingLeft() + coordinatorLayout.getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i7, -1, marginLayoutParams.width), m8163(i8, coordinatorLayout.getPaddingTop() + coordinatorLayout.getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i9, -1, marginLayoutParams.height));
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ᴵᴵ */
    public void mo2100(CoordinatorLayout coordinatorLayout, V v6, Parcelable parcelable) {
        c cVar = (c) parcelable;
        if (cVar.m14259() != null) {
            super.mo2100(coordinatorLayout, v6, cVar.m14259());
        }
        int i6 = cVar.f7411;
        i6 = (i6 == 1 || i6 == 2) ? 5 : 5;
        this.f7392 = i6;
        this.f7393 = i6;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class c extends z.a {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: ˆ  reason: contains not printable characters */
        final int f7411;

        /* loaded from: classes.dex */
        class a implements Parcelable.ClassLoaderCreator<c> {
            a() {
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʻ  reason: contains not printable characters */
            public c createFromParcel(Parcel parcel) {
                return new c(parcel, (ClassLoader) null);
            }

            @Override // android.os.Parcelable.ClassLoaderCreator
            /* renamed from: ʼ  reason: contains not printable characters */
            public c createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new c(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            /* renamed from: ʽ  reason: contains not printable characters */
            public c[] newArray(int i6) {
                return new c[i6];
            }
        }

        public c(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f7411 = parcel.readInt();
        }

        @Override // z.a, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i6) {
            super.writeToParcel(parcel, i6);
            parcel.writeInt(this.f7411);
        }

        public c(Parcelable parcelable, SideSheetBehavior<?> sideSheetBehavior) {
            super(parcelable);
            this.f7411 = ((SideSheetBehavior) sideSheetBehavior).f7392;
        }
    }

    public SideSheetBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f7389 = new d();
        this.f7391 = true;
        this.f7392 = 5;
        this.f7393 = 5;
        this.f7396 = 0.1f;
        this.f7405 = -1;
        this.f7398 = new LinkedHashSet();
        this.f7400 = new a();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, c2.k.f5942);
        int i6 = c2.k.f5944;
        if (obtainStyledAttributes.hasValue(i6)) {
            this.f7387 = s2.c.m13184(context, obtainStyledAttributes, i6);
        }
        if (obtainStyledAttributes.hasValue(c2.k.f5947)) {
            this.f7388 = k.m13739(context, attributeSet, 0, f7383).m13777();
        }
        int i7 = c2.k.f5946;
        if (obtainStyledAttributes.hasValue(i7)) {
            m8216(obtainStyledAttributes.getResourceId(i7, -1));
        }
        m8160(context);
        this.f7390 = obtainStyledAttributes.getDimension(c2.k.f5943, -1.0f);
        m8217(obtainStyledAttributes.getBoolean(c2.k.f5945, true));
        obtainStyledAttributes.recycle();
        this.f7385 = ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }
}
