package com.google.android.material.snackbar;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Insets;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.accessibility.j0;
import androidx.core.view.s0;
import androidx.core.view.t4;
import androidx.core.view.z0;
import com.google.android.material.behavior.SwipeDismissBehavior;
import com.google.android.material.internal.b0;
import com.google.android.material.internal.d0;
import com.google.android.material.internal.y;
import com.google.android.material.snackbar.BaseTransientBottomBar;
import com.google.android.material.snackbar.c;
import java.util.List;
/* loaded from: classes.dex */
public abstract class BaseTransientBottomBar<B extends BaseTransientBottomBar<B>> {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    static final Handler f7419;

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private static final int[] f7420;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private static final boolean f7421;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private static final String f7422;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final int f7426;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final int f7427;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final int f7428;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final TimeInterpolator f7429;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final TimeInterpolator f7430;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final TimeInterpolator f7431;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final ViewGroup f7432;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final Context f7433;

    /* renamed from: ˊ  reason: contains not printable characters */
    protected final s f7434;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final com.google.android.material.snackbar.a f7435;

    /* renamed from: ˎ  reason: contains not printable characters */
    private int f7436;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f7437;

    /* renamed from: ـ  reason: contains not printable characters */
    private int f7440;

    /* renamed from: ٴ  reason: contains not printable characters */
    private int f7441;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private int f7442;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private int f7443;

    /* renamed from: ᵎ  reason: contains not printable characters */
    private int f7444;

    /* renamed from: ᵔ  reason: contains not printable characters */
    private int f7445;

    /* renamed from: ᵢ  reason: contains not printable characters */
    private boolean f7446;

    /* renamed from: ⁱ  reason: contains not printable characters */
    private List<q<B>> f7447;

    /* renamed from: ﹳ  reason: contains not printable characters */
    private Behavior f7448;

    /* renamed from: ﹶ  reason: contains not printable characters */
    private final AccessibilityManager f7449;

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static final TimeInterpolator f7425 = d2.a.f8062;

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static final TimeInterpolator f7423 = d2.a.f8061;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private static final TimeInterpolator f7424 = d2.a.f8064;

    /* renamed from: ˑ  reason: contains not printable characters */
    private boolean f7438 = false;

    /* renamed from: י  reason: contains not printable characters */
    private final Runnable f7439 = new i();

    /* renamed from: ﾞ  reason: contains not printable characters */
    c.b f7450 = new l();

    /* loaded from: classes.dex */
    public static class Behavior extends SwipeDismissBehavior<View> {

        /* renamed from: ـ  reason: contains not printable characters */
        private final r f7451 = new r(this);

        /* JADX INFO: Access modifiers changed from: private */
        /* renamed from: ﹳﹳ  reason: contains not printable characters */
        public void m8306(BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f7451.m8313(baseTransientBottomBar);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior
        /* renamed from: ˉˉ */
        public boolean mo7015(View view) {
            return this.f7451.m8311(view);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.c
        /* renamed from: ـ */
        public boolean mo2094(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            this.f7451.m8312(coordinatorLayout, view, motionEvent);
            return super.mo2094(coordinatorLayout, view, motionEvent);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ int f7452;

        a(int i6) {
            this.f7452 = i6;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.m8293(this.f7452);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b implements ValueAnimator.AnimatorUpdateListener {
        b() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            BaseTransientBottomBar.this.f7434.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements ValueAnimator.AnimatorUpdateListener {
        c() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            BaseTransientBottomBar.this.f7434.setScaleX(floatValue);
            BaseTransientBottomBar.this.f7434.setScaleY(floatValue);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d extends AnimatorListenerAdapter {
        d() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.m8299();
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.f7435.mo8332(BaseTransientBottomBar.this.f7428 - BaseTransientBottomBar.this.f7426, BaseTransientBottomBar.this.f7426);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class e implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        private int f7457;

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ int f7458;

        e(int i6) {
            this.f7458 = i6;
            this.f7457 = i6;
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.f7421) {
                z0.m3375(BaseTransientBottomBar.this.f7434, intValue - this.f7457);
            } else {
                BaseTransientBottomBar.this.f7434.setTranslationY(intValue);
            }
            this.f7457 = intValue;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class f extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ int f7460;

        f(int i6) {
            this.f7460 = i6;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.m8293(this.f7460);
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            BaseTransientBottomBar.this.f7435.mo8333(0, BaseTransientBottomBar.this.f7427);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class g implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        private int f7462 = 0;

        g() {
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            int intValue = ((Integer) valueAnimator.getAnimatedValue()).intValue();
            if (BaseTransientBottomBar.f7421) {
                z0.m3375(BaseTransientBottomBar.this.f7434, intValue - this.f7462);
            } else {
                BaseTransientBottomBar.this.f7434.setTranslationY(intValue);
            }
            this.f7462 = intValue;
        }
    }

    /* loaded from: classes.dex */
    class h implements Handler.Callback {
        h() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            int i6 = message.what;
            if (i6 != 0) {
                if (i6 != 1) {
                    return false;
                }
                ((BaseTransientBottomBar) message.obj).m8287(message.arg1);
                return true;
            }
            ((BaseTransientBottomBar) message.obj).m8285();
            return true;
        }
    }

    /* loaded from: classes.dex */
    class i implements Runnable {
        i() {
        }

        @Override // java.lang.Runnable
        public void run() {
            BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
            if (baseTransientBottomBar.f7434 != null && baseTransientBottomBar.f7433 != null) {
                int height = (d0.m7980(BaseTransientBottomBar.this.f7433).height() - BaseTransientBottomBar.this.m8259()) + ((int) BaseTransientBottomBar.this.f7434.getTranslationY());
                if (height >= BaseTransientBottomBar.this.f7444) {
                    BaseTransientBottomBar baseTransientBottomBar2 = BaseTransientBottomBar.this;
                    baseTransientBottomBar2.f7445 = baseTransientBottomBar2.f7444;
                    return;
                }
                ViewGroup.LayoutParams layoutParams = BaseTransientBottomBar.this.f7434.getLayoutParams();
                if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                    Log.w(BaseTransientBottomBar.f7422, "Unable to apply gesture inset because layout params are not MarginLayoutParams");
                    return;
                }
                BaseTransientBottomBar baseTransientBottomBar3 = BaseTransientBottomBar.this;
                baseTransientBottomBar3.f7445 = baseTransientBottomBar3.f7444;
                ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin += BaseTransientBottomBar.this.f7444 - height;
                BaseTransientBottomBar.this.f7434.requestLayout();
            }
        }
    }

    /* loaded from: classes.dex */
    class j implements s0 {
        j() {
        }

        @Override // androidx.core.view.s0
        /* renamed from: ʻ */
        public t4 mo792(View view, t4 t4Var) {
            BaseTransientBottomBar.this.f7440 = t4Var.m3260();
            BaseTransientBottomBar.this.f7441 = t4Var.m3261();
            BaseTransientBottomBar.this.f7442 = t4Var.m3262();
            BaseTransientBottomBar.this.m8254();
            return t4Var;
        }
    }

    /* loaded from: classes.dex */
    class k extends androidx.core.view.a {
        k() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            j0Var.m2829(1048576);
            j0Var.m2839(true);
        }

        @Override // androidx.core.view.a
        /* renamed from: ˋ */
        public boolean mo2777(View view, int i6, Bundle bundle) {
            if (i6 == 1048576) {
                BaseTransientBottomBar.this.mo8302();
                return true;
            }
            return super.mo2777(view, i6, bundle);
        }
    }

    /* loaded from: classes.dex */
    class l implements c.b {
        l() {
        }

        @Override // com.google.android.material.snackbar.c.b
        /* renamed from: ʻ  reason: contains not printable characters */
        public void mo8307() {
            Handler handler = BaseTransientBottomBar.f7419;
            handler.sendMessage(handler.obtainMessage(0, BaseTransientBottomBar.this));
        }

        @Override // com.google.android.material.snackbar.c.b
        /* renamed from: ʼ  reason: contains not printable characters */
        public void mo8308(int i6) {
            Handler handler = BaseTransientBottomBar.f7419;
            handler.sendMessage(handler.obtainMessage(1, i6, 0, BaseTransientBottomBar.this));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class m implements Runnable {
        m() {
        }

        @Override // java.lang.Runnable
        public void run() {
            BaseTransientBottomBar.this.m8293(3);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class n implements SwipeDismissBehavior.c {
        n() {
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        /* renamed from: ʻ */
        public void mo7022(View view) {
            if (view.getParent() != null) {
                view.setVisibility(8);
            }
            BaseTransientBottomBar.this.m8304(0);
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior.c
        /* renamed from: ʼ */
        public void mo7023(int i6) {
            if (i6 != 0) {
                if (i6 == 1 || i6 == 2) {
                    com.google.android.material.snackbar.c.m8337().m8348(BaseTransientBottomBar.this.f7450);
                    return;
                }
                return;
            }
            com.google.android.material.snackbar.c.m8337().m8349(BaseTransientBottomBar.this.f7450);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class o implements Runnable {
        o() {
        }

        @Override // java.lang.Runnable
        public void run() {
            s sVar = BaseTransientBottomBar.this.f7434;
            if (sVar == null) {
                return;
            }
            if (sVar.getParent() != null) {
                BaseTransientBottomBar.this.f7434.setVisibility(0);
            }
            if (BaseTransientBottomBar.this.f7434.getAnimationMode() == 1) {
                BaseTransientBottomBar.this.m8250();
            } else {
                BaseTransientBottomBar.this.m8252();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class p extends AnimatorListenerAdapter {
        p() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            BaseTransientBottomBar.this.m8299();
        }
    }

    /* loaded from: classes.dex */
    public static class r {

        /* renamed from: ʻ  reason: contains not printable characters */
        private c.b f7472;

        public r(SwipeDismissBehavior<?> swipeDismissBehavior) {
            swipeDismissBehavior.m7018(0.1f);
            swipeDismissBehavior.m7017(0.6f);
            swipeDismissBehavior.m7019(0);
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public boolean m8311(View view) {
            return view instanceof s;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        public void m8312(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked != 0) {
                if (actionMasked == 1 || actionMasked == 3) {
                    com.google.android.material.snackbar.c.m8337().m8349(this.f7472);
                }
            } else if (coordinatorLayout.m2073(view, (int) motionEvent.getX(), (int) motionEvent.getY())) {
                com.google.android.material.snackbar.c.m8337().m8348(this.f7472);
            }
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        public void m8313(BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f7472 = baseTransientBottomBar.f7450;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class s extends FrameLayout {

        /* renamed from: ـ  reason: contains not printable characters */
        private static final View.OnTouchListener f7473 = new a();

        /* renamed from: ʾ  reason: contains not printable characters */
        private BaseTransientBottomBar<?> f7474;

        /* renamed from: ʿ  reason: contains not printable characters */
        v2.k f7475;

        /* renamed from: ˆ  reason: contains not printable characters */
        private int f7476;

        /* renamed from: ˈ  reason: contains not printable characters */
        private final float f7477;

        /* renamed from: ˉ  reason: contains not printable characters */
        private final float f7478;

        /* renamed from: ˊ  reason: contains not printable characters */
        private final int f7479;

        /* renamed from: ˋ  reason: contains not printable characters */
        private final int f7480;

        /* renamed from: ˎ  reason: contains not printable characters */
        private ColorStateList f7481;

        /* renamed from: ˏ  reason: contains not printable characters */
        private PorterDuff.Mode f7482;

        /* renamed from: ˑ  reason: contains not printable characters */
        private Rect f7483;

        /* renamed from: י  reason: contains not printable characters */
        private boolean f7484;

        /* loaded from: classes.dex */
        class a implements View.OnTouchListener {
            a() {
            }

            @Override // android.view.View.OnTouchListener
            @SuppressLint({"ClickableViewAccessibility"})
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        }

        /* JADX INFO: Access modifiers changed from: protected */
        public s(Context context, AttributeSet attributeSet) {
            super(z2.a.m14288(context, attributeSet, 0, 0), attributeSet);
            Context context2 = getContext();
            TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, c2.k.f5950);
            int i6 = c2.k.f5958;
            if (obtainStyledAttributes.hasValue(i6)) {
                z0.m3400(this, obtainStyledAttributes.getDimensionPixelSize(i6, 0));
            }
            this.f7476 = obtainStyledAttributes.getInt(c2.k.f5954, 0);
            if (obtainStyledAttributes.hasValue(c2.k.f5960) || obtainStyledAttributes.hasValue(c2.k.f5961)) {
                this.f7475 = v2.k.m13739(context2, attributeSet, 0, 0).m13777();
            }
            this.f7477 = obtainStyledAttributes.getFloat(c2.k.f5955, 1.0f);
            setBackgroundTintList(s2.c.m13184(context2, obtainStyledAttributes, c2.k.f5956));
            setBackgroundTintMode(b0.m7971(obtainStyledAttributes.getInt(c2.k.f5957, -1), PorterDuff.Mode.SRC_IN));
            this.f7478 = obtainStyledAttributes.getFloat(c2.k.f5952, 1.0f);
            this.f7479 = obtainStyledAttributes.getDimensionPixelSize(c2.k.f5951, -1);
            this.f7480 = obtainStyledAttributes.getDimensionPixelSize(c2.k.f5959, -1);
            obtainStyledAttributes.recycle();
            setOnTouchListener(f7473);
            setFocusable(true);
            if (getBackground() == null) {
                z0.m3396(this, m8316());
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void setBaseTransientBottomBar(BaseTransientBottomBar<?> baseTransientBottomBar) {
            this.f7474 = baseTransientBottomBar;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private Drawable m8316() {
            int m11167 = k2.a.m11167(this, c2.b.colorSurface, c2.b.colorOnSurface, getBackgroundOverlayColorAlpha());
            v2.k kVar = this.f7475;
            Drawable m8282 = kVar != null ? BaseTransientBottomBar.m8282(m11167, kVar) : BaseTransientBottomBar.m8280(m11167, getResources());
            if (this.f7481 != null) {
                Drawable m2433 = androidx.core.graphics.drawable.a.m2433(m8282);
                androidx.core.graphics.drawable.a.m2430(m2433, this.f7481);
                return m2433;
            }
            return androidx.core.graphics.drawable.a.m2433(m8282);
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private void m8317(ViewGroup.MarginLayoutParams marginLayoutParams) {
            this.f7483 = new Rect(marginLayoutParams.leftMargin, marginLayoutParams.topMargin, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
        }

        float getActionTextColorAlpha() {
            return this.f7478;
        }

        int getAnimationMode() {
            return this.f7476;
        }

        float getBackgroundOverlayColorAlpha() {
            return this.f7477;
        }

        int getMaxInlineActionWidth() {
            return this.f7480;
        }

        int getMaxWidth() {
            return this.f7479;
        }

        @Override // android.view.ViewGroup, android.view.View
        protected void onAttachedToWindow() {
            super.onAttachedToWindow();
            BaseTransientBottomBar<?> baseTransientBottomBar = this.f7474;
            if (baseTransientBottomBar != null) {
                baseTransientBottomBar.m8290();
            }
            z0.m3387(this);
        }

        @Override // android.view.ViewGroup, android.view.View
        protected void onDetachedFromWindow() {
            super.onDetachedFromWindow();
            BaseTransientBottomBar<?> baseTransientBottomBar = this.f7474;
            if (baseTransientBottomBar != null) {
                baseTransientBottomBar.m8292();
            }
        }

        @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
        protected void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
            super.onLayout(z5, i6, i7, i8, i9);
            BaseTransientBottomBar<?> baseTransientBottomBar = this.f7474;
            if (baseTransientBottomBar != null) {
                baseTransientBottomBar.m8291();
            }
        }

        /* JADX INFO: Access modifiers changed from: protected */
        @Override // android.widget.FrameLayout, android.view.View
        public void onMeasure(int i6, int i7) {
            super.onMeasure(i6, i7);
            if (this.f7479 > 0) {
                int measuredWidth = getMeasuredWidth();
                int i8 = this.f7479;
                if (measuredWidth > i8) {
                    super.onMeasure(View.MeasureSpec.makeMeasureSpec(i8, 1073741824), i7);
                }
            }
        }

        void setAnimationMode(int i6) {
            this.f7476 = i6;
        }

        @Override // android.view.View
        public void setBackground(Drawable drawable) {
            setBackgroundDrawable(drawable);
        }

        @Override // android.view.View
        public void setBackgroundDrawable(Drawable drawable) {
            if (drawable != null && this.f7481 != null) {
                drawable = androidx.core.graphics.drawable.a.m2433(drawable.mutate());
                androidx.core.graphics.drawable.a.m2430(drawable, this.f7481);
                androidx.core.graphics.drawable.a.m2431(drawable, this.f7482);
            }
            super.setBackgroundDrawable(drawable);
        }

        @Override // android.view.View
        public void setBackgroundTintList(ColorStateList colorStateList) {
            this.f7481 = colorStateList;
            if (getBackground() != null) {
                Drawable m2433 = androidx.core.graphics.drawable.a.m2433(getBackground().mutate());
                androidx.core.graphics.drawable.a.m2430(m2433, colorStateList);
                androidx.core.graphics.drawable.a.m2431(m2433, this.f7482);
                if (m2433 != getBackground()) {
                    super.setBackgroundDrawable(m2433);
                }
            }
        }

        @Override // android.view.View
        public void setBackgroundTintMode(PorterDuff.Mode mode) {
            this.f7482 = mode;
            if (getBackground() != null) {
                Drawable m2433 = androidx.core.graphics.drawable.a.m2433(getBackground().mutate());
                androidx.core.graphics.drawable.a.m2431(m2433, mode);
                if (m2433 != getBackground()) {
                    super.setBackgroundDrawable(m2433);
                }
            }
        }

        @Override // android.view.View
        public void setLayoutParams(ViewGroup.LayoutParams layoutParams) {
            super.setLayoutParams(layoutParams);
            if (!this.f7484 && (layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                m8317((ViewGroup.MarginLayoutParams) layoutParams);
                BaseTransientBottomBar<?> baseTransientBottomBar = this.f7474;
                if (baseTransientBottomBar != null) {
                    baseTransientBottomBar.m8254();
                }
            }
        }

        @Override // android.view.View
        public void setOnClickListener(View.OnClickListener onClickListener) {
            View.OnTouchListener onTouchListener;
            if (onClickListener != null) {
                onTouchListener = null;
            } else {
                onTouchListener = f7473;
            }
            setOnTouchListener(onTouchListener);
            super.setOnClickListener(onClickListener);
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        void m8318(ViewGroup viewGroup) {
            this.f7484 = true;
            viewGroup.addView(this);
            this.f7484 = false;
        }
    }

    static {
        boolean z5;
        if (Build.VERSION.SDK_INT <= 19) {
            z5 = true;
        } else {
            z5 = false;
        }
        f7421 = z5;
        f7420 = new int[]{c2.b.snackbarStyle};
        f7422 = BaseTransientBottomBar.class.getSimpleName();
        f7419 = new Handler(Looper.getMainLooper(), new h());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public BaseTransientBottomBar(Context context, ViewGroup viewGroup, View view, com.google.android.material.snackbar.a aVar) {
        if (viewGroup != null) {
            if (view != null) {
                if (aVar != null) {
                    this.f7432 = viewGroup;
                    this.f7435 = aVar;
                    this.f7433 = context;
                    y.m8093(context);
                    s sVar = (s) LayoutInflater.from(context).inflate(m8286(), viewGroup, false);
                    this.f7434 = sVar;
                    sVar.setBaseTransientBottomBar(this);
                    if (view instanceof SnackbarContentLayout) {
                        SnackbarContentLayout snackbarContentLayout = (SnackbarContentLayout) view;
                        snackbarContentLayout.m8334(sVar.getActionTextColorAlpha());
                        snackbarContentLayout.setMaxInlineActionWidth(sVar.getMaxInlineActionWidth());
                    }
                    sVar.addView(view);
                    z0.m3392(sVar, 1);
                    z0.m3403(sVar, 1);
                    z0.m3401(sVar, true);
                    z0.m3406(sVar, new j());
                    z0.m3390(sVar, new k());
                    this.f7449 = (AccessibilityManager) context.getSystemService("accessibility");
                    int i6 = c2.b.motionDurationLong2;
                    this.f7428 = q2.h.m12725(context, i6, 250);
                    this.f7426 = q2.h.m12725(context, i6, 150);
                    this.f7427 = q2.h.m12725(context, c2.b.motionDurationMedium1, 75);
                    int i7 = c2.b.motionEasingEmphasizedInterpolator;
                    this.f7429 = q2.h.m12726(context, i7, f7423);
                    this.f7431 = q2.h.m12726(context, i7, f7424);
                    this.f7430 = q2.h.m12726(context, i7, f7425);
                    return;
                }
                throw new IllegalArgumentException("Transient bottom bar must have non-null callback");
            }
            throw new IllegalArgumentException("Transient bottom bar must have non-null content");
        }
        throw new IllegalArgumentException("Transient bottom bar must have non-null parent");
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private void m8249() {
        if (m8301()) {
            m8297();
            return;
        }
        if (this.f7434.getParent() != null) {
            this.f7434.setVisibility(0);
        }
        m8299();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻʾ  reason: contains not printable characters */
    public void m8250() {
        ValueAnimator m8283 = m8283(0.0f, 1.0f);
        ValueAnimator m8257 = m8257(0.8f, 1.0f);
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(m8283, m8257);
        animatorSet.setDuration(this.f7426);
        animatorSet.addListener(new p());
        animatorSet.start();
    }

    /* renamed from: ʻʿ  reason: contains not printable characters */
    private void m8251(int i6) {
        ValueAnimator m8283 = m8283(1.0f, 0.0f);
        m8283.setDuration(this.f7427);
        m8283.addListener(new a(i6));
        m8283.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻˆ  reason: contains not printable characters */
    public void m8252() {
        int m8261 = m8261();
        if (f7421) {
            z0.m3375(this.f7434, m8261);
        } else {
            this.f7434.setTranslationY(m8261);
        }
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(m8261, 0);
        valueAnimator.setInterpolator(this.f7430);
        valueAnimator.setDuration(this.f7428);
        valueAnimator.addListener(new d());
        valueAnimator.addUpdateListener(new e(m8261));
        valueAnimator.start();
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private void m8253(int i6) {
        ValueAnimator valueAnimator = new ValueAnimator();
        valueAnimator.setIntValues(0, m8261());
        valueAnimator.setInterpolator(this.f7430);
        valueAnimator.setDuration(this.f7428);
        valueAnimator.addListener(new f(i6));
        valueAnimator.addUpdateListener(new g());
        valueAnimator.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʻˉ  reason: contains not printable characters */
    public void m8254() {
        int i6;
        boolean z5;
        ViewGroup.LayoutParams layoutParams = this.f7434.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
            Log.w(f7422, "Unable to update margins because layout params are not MarginLayoutParams");
        } else if (this.f7434.f7483 == null) {
            Log.w(f7422, "Unable to update margins because original view margins are not set");
        } else if (this.f7434.getParent() == null) {
        } else {
            if (m8295() != null) {
                i6 = this.f7443;
            } else {
                i6 = this.f7440;
            }
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
            int i7 = this.f7434.f7483.bottom + i6;
            int i8 = this.f7434.f7483.left + this.f7441;
            int i9 = this.f7434.f7483.right + this.f7442;
            int i10 = this.f7434.f7483.top;
            if (marginLayoutParams.bottomMargin == i7 && marginLayoutParams.leftMargin == i8 && marginLayoutParams.rightMargin == i9 && marginLayoutParams.topMargin == i10) {
                z5 = false;
            } else {
                z5 = true;
            }
            if (z5) {
                marginLayoutParams.bottomMargin = i7;
                marginLayoutParams.leftMargin = i8;
                marginLayoutParams.rightMargin = i9;
                marginLayoutParams.topMargin = i10;
                this.f7434.requestLayout();
            }
            if ((z5 || this.f7445 != this.f7444) && Build.VERSION.SDK_INT >= 29 && m8275()) {
                this.f7434.removeCallbacks(this.f7439);
                this.f7434.post(this.f7439);
            }
        }
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private ValueAnimator m8257(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(this.f7431);
        ofFloat.addUpdateListener(new c());
        return ofFloat;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ʾʾ  reason: contains not printable characters */
    public int m8259() {
        int[] iArr = new int[2];
        this.f7434.getLocationOnScreen(iArr);
        return iArr[1] + this.f7434.getHeight();
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private int m8261() {
        int height = this.f7434.getHeight();
        ViewGroup.LayoutParams layoutParams = this.f7434.getLayoutParams();
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return height + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
        }
        return height;
    }

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private boolean m8267() {
        ViewGroup.LayoutParams layoutParams = this.f7434.getLayoutParams();
        if ((layoutParams instanceof CoordinatorLayout.f) && (((CoordinatorLayout.f) layoutParams).m2117() instanceof SwipeDismissBehavior)) {
            return true;
        }
        return false;
    }

    /* renamed from: יי  reason: contains not printable characters */
    private void m8272() {
        this.f7443 = m8279();
        m8254();
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private boolean m8275() {
        if (this.f7444 > 0 && !this.f7437 && m8267()) {
            return true;
        }
        return false;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private void m8278(int i6) {
        if (this.f7434.getAnimationMode() == 1) {
            m8251(i6);
        } else {
            m8253(i6);
        }
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private int m8279() {
        if (m8295() == null) {
            return 0;
        }
        int[] iArr = new int[2];
        m8295().getLocationOnScreen(iArr);
        int i6 = iArr[1];
        int[] iArr2 = new int[2];
        this.f7432.getLocationOnScreen(iArr2);
        return (iArr2[1] + this.f7432.getHeight()) - i6;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ⁱ  reason: contains not printable characters */
    public static GradientDrawable m8280(int i6, Resources resources) {
        float dimension = resources.getDimension(c2.d.mtrl_snackbar_background_corner_radius);
        GradientDrawable gradientDrawable = new GradientDrawable();
        gradientDrawable.setShape(0);
        gradientDrawable.setCornerRadius(dimension);
        gradientDrawable.setColor(i6);
        return gradientDrawable;
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private void m8281(CoordinatorLayout.f fVar) {
        SwipeDismissBehavior<? extends View> swipeDismissBehavior = this.f7448;
        if (swipeDismissBehavior == null) {
            swipeDismissBehavior = m8284();
        }
        if (swipeDismissBehavior instanceof Behavior) {
            ((Behavior) swipeDismissBehavior).m8306(this);
        }
        swipeDismissBehavior.m7020(new n());
        fVar.m2125(swipeDismissBehavior);
        if (m8295() == null) {
            fVar.f2748 = 80;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ﹳ  reason: contains not printable characters */
    public static v2.g m8282(int i6, v2.k kVar) {
        v2.g gVar = new v2.g(kVar);
        gVar.m13690(ColorStateList.valueOf(i6));
        return gVar;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private ValueAnimator m8283(float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(this.f7429);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    protected SwipeDismissBehavior<? extends View> m8284() {
        return new Behavior();
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    final void m8285() {
        if (this.f7434.getParent() == null) {
            ViewGroup.LayoutParams layoutParams = this.f7434.getLayoutParams();
            if (layoutParams instanceof CoordinatorLayout.f) {
                m8281((CoordinatorLayout.f) layoutParams);
            }
            this.f7434.m8318(this.f7432);
            m8272();
            this.f7434.setVisibility(4);
        }
        if (z0.m3459(this.f7434)) {
            m8249();
        } else {
            this.f7446 = true;
        }
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    protected int m8286() {
        if (m8294()) {
            return c2.h.mtrl_layout_snackbar;
        }
        return c2.h.design_layout_snackbar;
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    final void m8287(int i6) {
        if (m8301() && this.f7434.getVisibility() == 0) {
            m8278(i6);
        } else {
            m8293(i6);
        }
    }

    /* renamed from: ˈˈ  reason: contains not printable characters */
    public boolean m8288() {
        return com.google.android.material.snackbar.c.m8337().m8345(this.f7450);
    }

    /* renamed from: ˉˉ  reason: contains not printable characters */
    public boolean mo8289() {
        return com.google.android.material.snackbar.c.m8337().m8344(this.f7450);
    }

    /* renamed from: ˊˊ  reason: contains not printable characters */
    void m8290() {
        WindowInsets rootWindowInsets;
        Insets mandatorySystemGestureInsets;
        int i6;
        if (Build.VERSION.SDK_INT >= 29 && (rootWindowInsets = this.f7434.getRootWindowInsets()) != null) {
            mandatorySystemGestureInsets = rootWindowInsets.getMandatorySystemGestureInsets();
            i6 = mandatorySystemGestureInsets.bottom;
            this.f7444 = i6;
            m8254();
        }
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    void m8291() {
        if (this.f7446) {
            m8249();
            this.f7446 = false;
        }
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    void m8292() {
        if (m8288()) {
            f7419.post(new m());
        }
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    void m8293(int i6) {
        com.google.android.material.snackbar.c.m8337().m8346(this.f7450);
        List<q<B>> list = this.f7447;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.f7447.get(size).m8309(this, i6);
            }
        }
        ViewParent parent = this.f7434.getParent();
        if (parent instanceof ViewGroup) {
            ((ViewGroup) parent).removeView(this.f7434);
        }
    }

    /* renamed from: ــ  reason: contains not printable characters */
    protected boolean m8294() {
        TypedArray obtainStyledAttributes = this.f7433.obtainStyledAttributes(f7420);
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        if (resourceId == -1) {
            return false;
        }
        return true;
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    public View m8295() {
        return null;
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public int mo8296() {
        return this.f7436;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    void m8297() {
        this.f7434.post(new o());
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    public B m8298(int i6) {
        this.f7434.setAnimationMode(i6);
        return this;
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    void m8299() {
        com.google.android.material.snackbar.c.m8337().m8347(this.f7450);
        List<q<B>> list = this.f7447;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.f7447.get(size).m8310(this);
            }
        }
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    public B m8300(int i6) {
        this.f7436 = i6;
        return this;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    boolean m8301() {
        AccessibilityManager accessibilityManager = this.f7449;
        if (accessibilityManager == null) {
            return true;
        }
        List<AccessibilityServiceInfo> enabledAccessibilityServiceList = accessibilityManager.getEnabledAccessibilityServiceList(1);
        if (enabledAccessibilityServiceList != null && enabledAccessibilityServiceList.isEmpty()) {
            return true;
        }
        return false;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    public void mo8302() {
        m8304(3);
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    public void mo8303() {
        com.google.android.material.snackbar.c.m8337().m8350(mo8296(), this.f7450);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    protected void m8304(int i6) {
        com.google.android.material.snackbar.c.m8337().m8342(this.f7450, i6);
    }

    /* loaded from: classes.dex */
    public static abstract class q<B> {
        /* renamed from: ʼ  reason: contains not printable characters */
        public void m8310(B b6) {
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        public void m8309(B b6, int i6) {
        }
    }
}
