package com.google.android.material.textfield;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Editable;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AutoCompleteTextView;
import android.widget.EditText;
import android.widget.Spinner;
import androidx.core.view.accessibility.c;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import com.google.android.material.internal.CheckableImageButton;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: DropdownMenuEndIconDelegate.java */
/* loaded from: classes.dex */
public class q extends t {

    /* renamed from: ᵎ  reason: contains not printable characters */
    private static final boolean f7623;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final int f7624;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final int f7625;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final TimeInterpolator f7626;

    /* renamed from: ˉ  reason: contains not printable characters */
    private AutoCompleteTextView f7627;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final View.OnClickListener f7628;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final View.OnFocusChangeListener f7629;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final c.b f7630;

    /* renamed from: ˏ  reason: contains not printable characters */
    private boolean f7631;

    /* renamed from: ˑ  reason: contains not printable characters */
    private boolean f7632;

    /* renamed from: י  reason: contains not printable characters */
    private boolean f7633;

    /* renamed from: ـ  reason: contains not printable characters */
    private long f7634;

    /* renamed from: ٴ  reason: contains not printable characters */
    private AccessibilityManager f7635;

    /* renamed from: ᐧ  reason: contains not printable characters */
    private ValueAnimator f7636;

    /* renamed from: ᴵ  reason: contains not printable characters */
    private ValueAnimator f7637;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: DropdownMenuEndIconDelegate.java */
    /* loaded from: classes.dex */
    public class a extends AnimatorListenerAdapter {
        a() {
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            q.this.m8621();
            q.this.f7637.start();
        }
    }

    static {
        boolean z5;
        if (Build.VERSION.SDK_INT >= 21) {
            z5 = true;
        } else {
            z5 = false;
        }
        f7623 = z5;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public q(s sVar) {
        super(sVar);
        this.f7628 = new View.OnClickListener() { // from class: com.google.android.material.textfield.j
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                q.this.m8514(view);
            }
        };
        this.f7629 = new View.OnFocusChangeListener() { // from class: com.google.android.material.textfield.k
            @Override // android.view.View.OnFocusChangeListener
            public final void onFocusChange(View view, boolean z5) {
                q.this.m8513(view, z5);
            }
        };
        this.f7630 = new c.b() { // from class: com.google.android.material.textfield.l
            @Override // androidx.core.view.accessibility.c.b
            public final void onTouchExplorationStateChanged(boolean z5) {
                q.this.m8516(z5);
            }
        };
        this.f7634 = Long.MAX_VALUE;
        Context context = sVar.getContext();
        int i6 = c2.b.motionDurationShort3;
        this.f7625 = q2.h.m12725(context, i6, 67);
        this.f7624 = q2.h.m12725(sVar.getContext(), i6, 50);
        this.f7626 = q2.h.m12726(sVar.getContext(), c2.b.motionEasingLinearInterpolator, d2.a.f8061);
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private ValueAnimator m8508(int i6, float... fArr) {
        ValueAnimator ofFloat = ValueAnimator.ofFloat(fArr);
        ofFloat.setInterpolator(this.f7626);
        ofFloat.setDuration(i6);
        ofFloat.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.google.android.material.textfield.m
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public final void onAnimationUpdate(ValueAnimator valueAnimator) {
                q.this.m8512(valueAnimator);
            }
        });
        return ofFloat;
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private static AutoCompleteTextView m8509(EditText editText) {
        if (editText instanceof AutoCompleteTextView) {
            return (AutoCompleteTextView) editText;
        }
        throw new RuntimeException("EditText needs to be an AutoCompleteTextView if an Exposed Dropdown Menu is being used.");
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private boolean m8510() {
        long currentTimeMillis = System.currentTimeMillis() - this.f7634;
        if (currentTimeMillis >= 0 && currentTimeMillis <= 300) {
            return false;
        }
        return true;
    }

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private void m8511() {
        this.f7637 = m8508(this.f7625, 0.0f, 1.0f);
        ValueAnimator m8508 = m8508(this.f7624, 1.0f, 0.0f);
        this.f7636 = m8508;
        m8508.addListener(new a());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˆˆ  reason: contains not printable characters */
    public /* synthetic */ void m8512(ValueAnimator valueAnimator) {
        this.f7672.setAlpha(((Float) valueAnimator.getAnimatedValue()).floatValue());
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˈˈ  reason: contains not printable characters */
    public /* synthetic */ void m8513(View view, boolean z5) {
        this.f7631 = z5;
        m8621();
        if (!z5) {
            m8517(false);
            this.f7632 = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˉˉ  reason: contains not printable characters */
    public /* synthetic */ void m8514(View view) {
        m8524();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˊˊ  reason: contains not printable characters */
    public /* synthetic */ boolean m8515(View view, MotionEvent motionEvent) {
        if (motionEvent.getAction() == 1) {
            if (m8510()) {
                this.f7632 = false;
            }
            m8524();
            m8520();
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˋˋ  reason: contains not printable characters */
    public /* synthetic */ void m8516(boolean z5) {
        int i6;
        AutoCompleteTextView autoCompleteTextView = this.f7627;
        if (autoCompleteTextView != null && !r.m8539(autoCompleteTextView)) {
            CheckableImageButton checkableImageButton = this.f7672;
            if (z5) {
                i6 = 2;
            } else {
                i6 = 1;
            }
            z0.m3403(checkableImageButton, i6);
        }
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private void m8517(boolean z5) {
        if (this.f7633 != z5) {
            this.f7633 = z5;
            this.f7637.cancel();
            this.f7636.start();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˏˏ  reason: contains not printable characters */
    public /* synthetic */ void m8518() {
        m8520();
        m8517(false);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    /* renamed from: ˑˑ  reason: contains not printable characters */
    private void m8519() {
        this.f7627.setOnTouchListener(new View.OnTouchListener() { // from class: com.google.android.material.textfield.o
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                boolean m8515;
                m8515 = q.this.m8515(view, motionEvent);
                return m8515;
            }
        });
        if (f7623) {
            this.f7627.setOnDismissListener(new AutoCompleteTextView.OnDismissListener() { // from class: com.google.android.material.textfield.p
                @Override // android.widget.AutoCompleteTextView.OnDismissListener
                public final void onDismiss() {
                    q.this.m8518();
                }
            });
        }
        this.f7627.setThreshold(0);
    }

    /* renamed from: יי  reason: contains not printable characters */
    private void m8520() {
        this.f7632 = true;
        this.f7634 = System.currentTimeMillis();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ــ  reason: contains not printable characters */
    public /* synthetic */ void m8521() {
        boolean isPopupShowing = this.f7627.isPopupShowing();
        m8517(isPopupShowing);
        this.f7632 = isPopupShowing;
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private void m8524() {
        if (this.f7627 == null) {
            return;
        }
        if (m8510()) {
            this.f7632 = false;
        }
        if (!this.f7632) {
            if (f7623) {
                m8517(!this.f7633);
            } else {
                this.f7633 = !this.f7633;
                m8621();
            }
            if (this.f7633) {
                this.f7627.requestFocus();
                this.f7627.showDropDown();
                return;
            }
            this.f7627.dismissDropDown();
            return;
        }
        this.f7632 = false;
    }

    @Override // com.google.android.material.textfield.t
    /* renamed from: ʻ */
    public void mo8484(Editable editable) {
        if (this.f7635.isTouchExplorationEnabled() && r.m8539(this.f7627) && !this.f7672.hasFocus()) {
            this.f7627.dismissDropDown();
        }
        this.f7627.post(new Runnable() { // from class: com.google.android.material.textfield.n
            @Override // java.lang.Runnable
            public final void run() {
                q.this.m8521();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ʽ */
    public int mo8485() {
        return c2.i.exposed_dropdown_menu_content_description;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ʾ */
    public int mo8486() {
        if (f7623) {
            return c2.e.mtrl_dropdown_arrow;
        }
        return c2.e.mtrl_ic_arrow_drop_down;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ʿ */
    public View.OnFocusChangeListener mo8487() {
        return this.f7629;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˆ */
    public View.OnClickListener mo8488() {
        return this.f7628;
    }

    @Override // com.google.android.material.textfield.t
    /* renamed from: ˉ  reason: contains not printable characters */
    public c.b mo8530() {
        return this.f7630;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˊ  reason: contains not printable characters */
    public boolean mo8531(int i6) {
        if (i6 != 0) {
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˋ  reason: contains not printable characters */
    public boolean mo8532() {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˎ  reason: contains not printable characters */
    public boolean mo8533() {
        return this.f7631;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˏ  reason: contains not printable characters */
    public boolean mo8534() {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ˑ  reason: contains not printable characters */
    public boolean mo8535() {
        return this.f7633;
    }

    @Override // com.google.android.material.textfield.t
    /* renamed from: י */
    public void mo8490(EditText editText) {
        this.f7627 = m8509(editText);
        m8519();
        this.f7669.setErrorIconDrawable((Drawable) null);
        if (!r.m8539(editText) && this.f7635.isTouchExplorationEnabled()) {
            z0.m3403(this.f7672, 2);
        }
        this.f7669.setEndIconVisible(true);
    }

    @Override // com.google.android.material.textfield.t
    /* renamed from: ـ  reason: contains not printable characters */
    public void mo8536(View view, j0 j0Var) {
        if (!r.m8539(this.f7627)) {
            j0Var.m2834(Spinner.class.getName());
        }
        if (j0Var.m2875()) {
            j0Var.m2845(null);
        }
    }

    @Override // com.google.android.material.textfield.t
    @SuppressLint({"WrongConstant"})
    /* renamed from: ٴ  reason: contains not printable characters */
    public void mo8537(View view, AccessibilityEvent accessibilityEvent) {
        boolean z5;
        if (this.f7635.isEnabled() && !r.m8539(this.f7627)) {
            if (accessibilityEvent.getEventType() == 32768 && this.f7633 && !this.f7627.isPopupShowing()) {
                z5 = true;
            } else {
                z5 = false;
            }
            if (accessibilityEvent.getEventType() == 1 || z5) {
                m8524();
                m8520();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ᵎ */
    public void mo8492() {
        m8511();
        this.f7635 = (AccessibilityManager) this.f7671.getSystemService("accessibility");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    /* renamed from: ᵔ  reason: contains not printable characters */
    public boolean mo8538() {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.google.android.material.textfield.t
    @SuppressLint({"ClickableViewAccessibility"})
    /* renamed from: ᵢ */
    public void mo8493() {
        AutoCompleteTextView autoCompleteTextView = this.f7627;
        if (autoCompleteTextView != null) {
            autoCompleteTextView.setOnTouchListener(null);
            if (f7623) {
                this.f7627.setOnDismissListener(null);
            }
        }
    }
}
