package com.google.android.material.textfield;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.view.View;
import android.widget.ImageView;
import androidx.core.view.z0;
import com.google.android.material.internal.CheckableImageButton;
import java.util.Arrays;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: IconHelper.java */
/* loaded from: classes.dex */
public class u {
    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʻ  reason: contains not printable characters */
    public static void m8622(TextInputLayout textInputLayout, CheckableImageButton checkableImageButton, ColorStateList colorStateList, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null) {
            drawable = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
            if (colorStateList != null && colorStateList.isStateful()) {
                androidx.core.graphics.drawable.a.m2430(drawable, ColorStateList.valueOf(colorStateList.getColorForState(m8624(textInputLayout, checkableImageButton), colorStateList.getDefaultColor())));
            } else {
                androidx.core.graphics.drawable.a.m2430(drawable, colorStateList);
            }
            if (mode != null) {
                androidx.core.graphics.drawable.a.m2431(drawable, mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public static ImageView.ScaleType m8623(int i6) {
        if (i6 != 0) {
            if (i6 != 1) {
                if (i6 != 2) {
                    if (i6 != 3) {
                        if (i6 != 5) {
                            if (i6 != 6) {
                                return ImageView.ScaleType.CENTER;
                            }
                            return ImageView.ScaleType.CENTER_INSIDE;
                        }
                        return ImageView.ScaleType.CENTER_CROP;
                    }
                    return ImageView.ScaleType.FIT_END;
                }
                return ImageView.ScaleType.FIT_CENTER;
            }
            return ImageView.ScaleType.FIT_START;
        }
        return ImageView.ScaleType.FIT_XY;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static int[] m8624(TextInputLayout textInputLayout, CheckableImageButton checkableImageButton) {
        int[] drawableState = textInputLayout.getDrawableState();
        int[] drawableState2 = checkableImageButton.getDrawableState();
        int length = drawableState.length;
        int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
        System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
        return copyOf;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʾ  reason: contains not printable characters */
    public static void m8625(TextInputLayout textInputLayout, CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int colorForState = colorStateList.getColorForState(m8624(textInputLayout, checkableImageButton), colorStateList.getDefaultColor());
            Drawable mutate = androidx.core.graphics.drawable.a.m2433(drawable).mutate();
            androidx.core.graphics.drawable.a.m2430(mutate, ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʿ  reason: contains not printable characters */
    public static void m8626(CheckableImageButton checkableImageButton) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 21 && i6 <= 22) {
            checkableImageButton.setBackground(t2.b.m13457(checkableImageButton.getContext(), (int) com.google.android.material.internal.b0.m7965(checkableImageButton.getContext(), 4)));
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private static void m8627(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        boolean z5;
        boolean m3449 = z0.m3449(checkableImageButton);
        boolean z6 = false;
        int i6 = 1;
        if (onLongClickListener != null) {
            z5 = true;
        } else {
            z5 = false;
        }
        z6 = (m3449 || z5) ? true : true;
        checkableImageButton.setFocusable(z6);
        checkableImageButton.setClickable(m3449);
        checkableImageButton.setPressable(m3449);
        checkableImageButton.setLongClickable(z5);
        if (!z6) {
            i6 = 2;
        }
        z0.m3403(checkableImageButton, i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˈ  reason: contains not printable characters */
    public static void m8628(CheckableImageButton checkableImageButton, int i6) {
        checkableImageButton.setMinimumWidth(i6);
        checkableImageButton.setMinimumHeight(i6);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˉ  reason: contains not printable characters */
    public static void m8629(CheckableImageButton checkableImageButton, View.OnClickListener onClickListener, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnClickListener(onClickListener);
        m8627(checkableImageButton, onLongClickListener);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˊ  reason: contains not printable characters */
    public static void m8630(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        m8627(checkableImageButton, onLongClickListener);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public static void m8631(CheckableImageButton checkableImageButton, ImageView.ScaleType scaleType) {
        checkableImageButton.setScaleType(scaleType);
    }
}
