package com.google.android.material.textfield;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Filterable;
import android.widget.ListAdapter;
import android.widget.TextView;
import androidx.appcompat.widget.c2;
import androidx.core.view.z0;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* compiled from: MaterialAutoCompleteTextView.java */
/* loaded from: classes.dex */
public class w extends androidx.appcompat.widget.d {

    /* renamed from: ˉ  reason: contains not printable characters */
    private final c2 f7707;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final AccessibilityManager f7708;

    /* renamed from: ˋ  reason: contains not printable characters */
    private final Rect f7709;

    /* renamed from: ˎ  reason: contains not printable characters */
    private final int f7710;

    /* renamed from: ˏ  reason: contains not printable characters */
    private final float f7711;

    /* renamed from: ˑ  reason: contains not printable characters */
    private ColorStateList f7712;

    /* renamed from: י  reason: contains not printable characters */
    private int f7713;

    /* renamed from: ـ  reason: contains not printable characters */
    private ColorStateList f7714;

    /* compiled from: MaterialAutoCompleteTextView.java */
    /* loaded from: classes.dex */
    class a implements AdapterView.OnItemClickListener {
        a() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i6, long j6) {
            Object item;
            w wVar = w.this;
            if (i6 < 0) {
                item = wVar.f7707.m1451();
            } else {
                item = wVar.getAdapter().getItem(i6);
            }
            w.this.m8685(item);
            AdapterView.OnItemClickListener onItemClickListener = w.this.getOnItemClickListener();
            if (onItemClickListener != null) {
                if (view == null || i6 < 0) {
                    view = w.this.f7707.m1454();
                    i6 = w.this.f7707.m1453();
                    j6 = w.this.f7707.m1452();
                }
                onItemClickListener.onItemClick(w.this.f7707.mo986(), view, i6, j6);
            }
            w.this.f7707.dismiss();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: MaterialAutoCompleteTextView.java */
    /* loaded from: classes.dex */
    public class b<T> extends ArrayAdapter<String> {

        /* renamed from: ʾ  reason: contains not printable characters */
        private ColorStateList f7716;

        /* renamed from: ʿ  reason: contains not printable characters */
        private ColorStateList f7717;

        b(Context context, int i6, String[] strArr) {
            super(context, i6, strArr);
            m8691();
        }

        /* renamed from: ʻ  reason: contains not printable characters */
        private ColorStateList m8686() {
            if (m8688() && m8689() && Build.VERSION.SDK_INT >= 21) {
                int[] iArr = {16843623, -16842919};
                int[] iArr2 = {16842913, -16842919};
                return new ColorStateList(new int[][]{iArr2, iArr, new int[0]}, new int[]{k2.a.m11165(w.this.f7713, w.this.f7714.getColorForState(iArr2, 0)), k2.a.m11165(w.this.f7713, w.this.f7714.getColorForState(iArr, 0)), w.this.f7713});
            }
            return null;
        }

        /* renamed from: ʼ  reason: contains not printable characters */
        private Drawable m8687() {
            if (!m8688() || Build.VERSION.SDK_INT < 21) {
                return null;
            }
            ColorDrawable colorDrawable = new ColorDrawable(w.this.f7713);
            if (this.f7717 != null) {
                androidx.core.graphics.drawable.a.m2430(colorDrawable, this.f7716);
                return new RippleDrawable(this.f7717, colorDrawable, null);
            }
            return colorDrawable;
        }

        /* renamed from: ʽ  reason: contains not printable characters */
        private boolean m8688() {
            if (w.this.f7713 != 0) {
                return true;
            }
            return false;
        }

        /* renamed from: ʾ  reason: contains not printable characters */
        private boolean m8689() {
            if (w.this.f7714 != null) {
                return true;
            }
            return false;
        }

        /* renamed from: ʿ  reason: contains not printable characters */
        private ColorStateList m8690() {
            if (!m8689()) {
                return null;
            }
            int[] iArr = {16842919};
            return new ColorStateList(new int[][]{iArr, new int[0]}, new int[]{w.this.f7714.getColorForState(iArr, 0), 0});
        }

        @Override // android.widget.ArrayAdapter, android.widget.Adapter
        public View getView(int i6, View view, ViewGroup viewGroup) {
            Drawable drawable;
            View view2 = super.getView(i6, view, viewGroup);
            if (view2 instanceof TextView) {
                TextView textView = (TextView) view2;
                if (w.this.getText().toString().contentEquals(textView.getText())) {
                    drawable = m8687();
                } else {
                    drawable = null;
                }
                z0.m3396(textView, drawable);
            }
            return view2;
        }

        /* renamed from: ˆ  reason: contains not printable characters */
        void m8691() {
            this.f7717 = m8690();
            this.f7716 = m8686();
        }
    }

    public w(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.f5612);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private TextInputLayout m8681() {
        for (ViewParent parent = getParent(); parent != null; parent = parent.getParent()) {
            if (parent instanceof TextInputLayout) {
                return (TextInputLayout) parent;
            }
        }
        return null;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    private boolean m8682() {
        AccessibilityManager accessibilityManager = this.f7708;
        if (accessibilityManager != null && accessibilityManager.isTouchExplorationEnabled()) {
            return true;
        }
        return false;
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private int m8683() {
        ListAdapter adapter = getAdapter();
        TextInputLayout m8681 = m8681();
        int i6 = 0;
        if (adapter == null || m8681 == null) {
            return 0;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
        int min = Math.min(adapter.getCount(), Math.max(0, this.f7707.m1453()) + 15);
        View view = null;
        int i7 = 0;
        for (int max = Math.max(0, min - 15); max < min; max++) {
            int itemViewType = adapter.getItemViewType(max);
            if (itemViewType != i6) {
                view = null;
                i6 = itemViewType;
            }
            view = adapter.getView(max, view, m8681);
            if (view.getLayoutParams() == null) {
                view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
            }
            view.measure(makeMeasureSpec, makeMeasureSpec2);
            i7 = Math.max(i7, view.getMeasuredWidth());
        }
        Drawable m1432 = this.f7707.m1432();
        if (m1432 != null) {
            m1432.getPadding(this.f7709);
            Rect rect = this.f7709;
            i7 += rect.left + rect.right;
        }
        return i7 + m8681.getEndIconView().getMeasuredWidth();
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private void m8684() {
        TextInputLayout m8681 = m8681();
        if (m8681 != null) {
            m8681.m8419();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: ˋ  reason: contains not printable characters */
    public <T extends ListAdapter & Filterable> void m8685(Object obj) {
        setText(convertSelectionToString(obj), false);
    }

    @Override // android.widget.AutoCompleteTextView
    public void dismissDropDown() {
        if (m8682()) {
            this.f7707.dismiss();
        } else {
            super.dismissDropDown();
        }
    }

    public ColorStateList getDropDownBackgroundTintList() {
        return this.f7712;
    }

    @Override // android.widget.TextView
    public CharSequence getHint() {
        TextInputLayout m8681 = m8681();
        if (m8681 != null && m8681.m8428()) {
            return m8681.getHint();
        }
        return super.getHint();
    }

    public float getPopupElevation() {
        return this.f7711;
    }

    public int getSimpleItemSelectedColor() {
        return this.f7713;
    }

    public ColorStateList getSimpleItemSelectedRippleColor() {
        return this.f7714;
    }

    @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        TextInputLayout m8681 = m8681();
        if (m8681 != null && m8681.m8428() && super.getHint() == null && com.google.android.material.internal.k.m7997()) {
            setHint(BuildConfig.FLAVOR);
        }
    }

    @Override // android.widget.AutoCompleteTextView, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.f7707.dismiss();
    }

    @Override // android.widget.TextView, android.view.View
    protected void onMeasure(int i6, int i7) {
        super.onMeasure(i6, i7);
        if (View.MeasureSpec.getMode(i6) == Integer.MIN_VALUE) {
            setMeasuredDimension(Math.min(Math.max(getMeasuredWidth(), m8683()), View.MeasureSpec.getSize(i6)), getMeasuredHeight());
        }
    }

    @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
    public void onWindowFocusChanged(boolean z5) {
        if (m8682()) {
            return;
        }
        super.onWindowFocusChanged(z5);
    }

    @Override // android.widget.AutoCompleteTextView
    public <T extends ListAdapter & Filterable> void setAdapter(T t6) {
        super.setAdapter(t6);
        this.f7707.mo1444(getAdapter());
    }

    @Override // android.widget.AutoCompleteTextView
    public void setDropDownBackgroundDrawable(Drawable drawable) {
        super.setDropDownBackgroundDrawable(drawable);
        c2 c2Var = this.f7707;
        if (c2Var != null) {
            c2Var.m1425(drawable);
        }
    }

    public void setDropDownBackgroundTint(int i6) {
        setDropDownBackgroundTintList(ColorStateList.valueOf(i6));
    }

    public void setDropDownBackgroundTintList(ColorStateList colorStateList) {
        this.f7712 = colorStateList;
        Drawable dropDownBackground = getDropDownBackground();
        if (dropDownBackground instanceof v2.g) {
            ((v2.g) dropDownBackground).m13690(this.f7712);
        }
    }

    @Override // android.widget.AutoCompleteTextView
    public void setOnItemSelectedListener(AdapterView.OnItemSelectedListener onItemSelectedListener) {
        super.setOnItemSelectedListener(onItemSelectedListener);
        this.f7707.m1435(getOnItemSelectedListener());
    }

    @Override // android.widget.TextView
    public void setRawInputType(int i6) {
        super.setRawInputType(i6);
        m8684();
    }

    public void setSimpleItemSelectedColor(int i6) {
        this.f7713 = i6;
        if (getAdapter() instanceof b) {
            ((b) getAdapter()).m8691();
        }
    }

    public void setSimpleItemSelectedRippleColor(ColorStateList colorStateList) {
        this.f7714 = colorStateList;
        if (getAdapter() instanceof b) {
            ((b) getAdapter()).m8691();
        }
    }

    public void setSimpleItems(int i6) {
        setSimpleItems(getResources().getStringArray(i6));
    }

    @Override // android.widget.AutoCompleteTextView
    public void showDropDown() {
        if (m8682()) {
            this.f7707.mo983();
        } else {
            super.showDropDown();
        }
    }

    public w(Context context, AttributeSet attributeSet, int i6) {
        super(z2.a.m14288(context, attributeSet, i6, 0), attributeSet, i6);
        this.f7709 = new Rect();
        Context context2 = getContext();
        TypedArray m8101 = com.google.android.material.internal.y.m8101(context2, attributeSet, c2.k.f5763, i6, c2.j.f5627, new int[0]);
        int i7 = c2.k.f5765;
        if (m8101.hasValue(i7) && m8101.getInt(i7, 0) == 0) {
            setKeyListener(null);
        }
        this.f7710 = m8101.getResourceId(c2.k.f5768, c2.h.mtrl_auto_complete_simple_item);
        this.f7711 = m8101.getDimensionPixelOffset(c2.k.f5766, c2.d.mtrl_exposed_dropdown_menu_popup_elevation);
        int i8 = c2.k.f5767;
        if (m8101.hasValue(i8)) {
            this.f7712 = ColorStateList.valueOf(m8101.getColor(i8, 0));
        }
        this.f7713 = m8101.getColor(c2.k.f5769, 0);
        this.f7714 = s2.c.m13184(context2, m8101, c2.k.f5770);
        this.f7708 = (AccessibilityManager) context2.getSystemService("accessibility");
        c2 c2Var = new c2(context2);
        this.f7707 = c2Var;
        c2Var.m1434(true);
        c2Var.m1427(this);
        c2Var.m1431(2);
        c2Var.mo1444(getAdapter());
        c2Var.m1437(new a());
        int i9 = c2.k.f5771;
        if (m8101.hasValue(i9)) {
            setSimpleItems(m8101.getResourceId(i9, 0));
        }
        m8101.recycle();
    }

    public void setSimpleItems(String[] strArr) {
        setAdapter(new b(getContext(), this.f7710, strArr));
    }
}
