package com.google.android.material.timepicker;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RadialGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.os.Bundle;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.TextView;
import androidx.core.view.accessibility.j0;
import androidx.core.view.z0;
import c2.h;
import c2.j;
import c2.k;
import com.google.android.material.timepicker.ClockHandView;
import java.util.Arrays;
import me.zhanghai.android.materialprogressbar.BuildConfig;
/* loaded from: classes.dex */
class ClockFaceView extends e implements ClockHandView.b {

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private final ClockHandView f7729;

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private final RectF f7730;

    /* renamed from: ʿʿ  reason: contains not printable characters */
    private final Rect f7731;

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private final SparseArray<TextView> f7732;

    /* renamed from: ˈˈ  reason: contains not printable characters */
    private final int[] f7733;

    /* renamed from: ˉˉ  reason: contains not printable characters */
    private final androidx.core.view.a f7734;

    /* renamed from: ˊˊ  reason: contains not printable characters */
    private final int f7735;

    /* renamed from: ˋˋ  reason: contains not printable characters */
    private final float[] f7736;

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private final int f7737;

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private final int f7738;

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private final int f7739;

    /* renamed from: יי  reason: contains not printable characters */
    private float f7740;

    /* renamed from: ــ  reason: contains not printable characters */
    private final Rect f7741;

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private final ColorStateList f7742;

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private String[] f7743;

    /* loaded from: classes.dex */
    class a implements ViewTreeObserver.OnPreDrawListener {
        a() {
        }

        @Override // android.view.ViewTreeObserver.OnPreDrawListener
        public boolean onPreDraw() {
            if (!ClockFaceView.this.isShown()) {
                return true;
            }
            ClockFaceView.this.getViewTreeObserver().removeOnPreDrawListener(this);
            ClockFaceView.this.mo8710(((ClockFaceView.this.getHeight() / 2) - ClockFaceView.this.f7729.m8725()) - ClockFaceView.this.f7735);
            return true;
        }
    }

    /* loaded from: classes.dex */
    class b extends androidx.core.view.a {
        b() {
        }

        @Override // androidx.core.view.a
        /* renamed from: ˈ */
        public void mo28(View view, j0 j0Var) {
            super.mo28(view, j0Var);
            int intValue = ((Integer) view.getTag(c2.f.material_value_index)).intValue();
            if (intValue > 0) {
                j0Var.m2862((View) ClockFaceView.this.f7732.get(intValue - 1));
            }
            j0Var.m2837(j0.c.m2902(0, 1, intValue, 1, false, view.isSelected()));
            j0Var.m2835(true);
            j0Var.m2855(j0.a.f3078);
        }

        @Override // androidx.core.view.a
        /* renamed from: ˋ */
        public boolean mo2777(View view, int i6, Bundle bundle) {
            if (i6 == 16) {
                long uptimeMillis = SystemClock.uptimeMillis();
                view.getHitRect(ClockFaceView.this.f7731);
                float centerX = ClockFaceView.this.f7731.centerX();
                float centerY = ClockFaceView.this.f7731.centerY();
                ClockFaceView.this.f7729.onTouchEvent(MotionEvent.obtain(uptimeMillis, uptimeMillis, 0, centerX, centerY, 0));
                ClockFaceView.this.f7729.onTouchEvent(MotionEvent.obtain(uptimeMillis, uptimeMillis, 1, centerX, centerY, 0));
                return true;
            }
            return super.mo2777(view, i6, bundle);
        }
    }

    public ClockFaceView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c2.b.materialClockStyle);
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private RadialGradient m8704(RectF rectF, TextView textView) {
        textView.getHitRect(this.f7731);
        this.f7730.set(this.f7731);
        textView.getLineBounds(0, this.f7741);
        RectF rectF2 = this.f7730;
        Rect rect = this.f7741;
        rectF2.inset(rect.left, rect.top);
        if (!RectF.intersects(rectF, this.f7730)) {
            return null;
        }
        return new RadialGradient(rectF.centerX() - this.f7730.left, rectF.centerY() - this.f7730.top, rectF.width() * 0.5f, this.f7733, this.f7736, Shader.TileMode.CLAMP);
    }

    /* renamed from: ˏˏ  reason: contains not printable characters */
    private void m8705() {
        boolean z5;
        RectF m8723 = this.f7729.m8723();
        TextView m8706 = m8706(m8723);
        for (int i6 = 0; i6 < this.f7732.size(); i6++) {
            TextView textView = this.f7732.get(i6);
            if (textView != null) {
                if (textView == m8706) {
                    z5 = true;
                } else {
                    z5 = false;
                }
                textView.setSelected(z5);
                textView.getPaint().setShader(m8704(m8723, textView));
                textView.invalidate();
            }
        }
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private TextView m8706(RectF rectF) {
        float f6 = Float.MAX_VALUE;
        TextView textView = null;
        for (int i6 = 0; i6 < this.f7732.size(); i6++) {
            TextView textView2 = this.f7732.get(i6);
            if (textView2 != null) {
                textView2.getHitRect(this.f7731);
                this.f7730.set(this.f7731);
                this.f7730.union(rectF);
                float width = this.f7730.width() * this.f7730.height();
                if (width < f6) {
                    textView = textView2;
                    f6 = width;
                }
            }
        }
        return textView;
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private void m8707(int i6) {
        LayoutInflater from = LayoutInflater.from(getContext());
        int size = this.f7732.size();
        boolean z5 = false;
        for (int i7 = 0; i7 < Math.max(this.f7743.length, size); i7++) {
            TextView textView = this.f7732.get(i7);
            if (i7 >= this.f7743.length) {
                removeView(textView);
                this.f7732.remove(i7);
            } else {
                if (textView == null) {
                    textView = (TextView) from.inflate(h.material_clockface_textview, (ViewGroup) this, false);
                    this.f7732.put(i7, textView);
                    addView(textView);
                }
                textView.setText(this.f7743[i7]);
                textView.setTag(c2.f.material_value_index, Integer.valueOf(i7));
                int i8 = (i7 / 12) + 1;
                textView.setTag(c2.f.material_clock_level, Integer.valueOf(i8));
                if (i8 > 1) {
                    z5 = true;
                }
                z0.m3390(textView, this.f7734);
                textView.setTextColor(this.f7742);
                if (i6 != 0) {
                    textView.setContentDescription(getResources().getString(i6, this.f7743[i7]));
                }
            }
        }
        this.f7729.m8729(z5);
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private static float m8708(float f6, float f7, float f8) {
        return Math.max(Math.max(f6, f7), f8);
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        j0.m2813(accessibilityNodeInfo).m2836(j0.b.m2901(1, this.f7743.length, false, 1));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z5, int i6, int i7, int i8, int i9) {
        super.onLayout(z5, i6, i7, i8, i9);
        m8705();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.constraintlayout.widget.ConstraintLayout, android.view.View
    public void onMeasure(int i6, int i7) {
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        int m8708 = (int) (this.f7739 / m8708(this.f7738 / displayMetrics.heightPixels, this.f7737 / displayMetrics.widthPixels, 1.0f));
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(m8708, 1073741824);
        setMeasuredDimension(m8708, m8708);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    @Override // com.google.android.material.timepicker.ClockHandView.b
    /* renamed from: ʻ  reason: contains not printable characters */
    public void mo8709(float f6, boolean z5) {
        if (Math.abs(this.f7740 - f6) > 0.001f) {
            this.f7740 = f6;
            m8705();
        }
    }

    @Override // com.google.android.material.timepicker.e
    /* renamed from: ʿʿ  reason: contains not printable characters */
    public void mo8710(int i6) {
        if (i6 != m8741()) {
            super.mo8710(i6);
            this.f7729.m8726(m8741());
        }
    }

    /* renamed from: יי  reason: contains not printable characters */
    public void m8711(String[] strArr, int i6) {
        this.f7743 = strArr;
        m8707(i6);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.google.android.material.timepicker.e
    /* renamed from: ــ  reason: contains not printable characters */
    public void mo8712() {
        super.mo8712();
        for (int i6 = 0; i6 < this.f7732.size(); i6++) {
            this.f7732.get(i6).setVisibility(0);
        }
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public ClockFaceView(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        this.f7731 = new Rect();
        this.f7730 = new RectF();
        this.f7741 = new Rect();
        this.f7732 = new SparseArray<>();
        this.f7736 = new float[]{0.0f, 0.9f, 1.0f};
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.f5691, i6, j.Widget_MaterialComponents_TimePicker_Clock);
        Resources resources = getResources();
        ColorStateList m13184 = s2.c.m13184(context, obtainStyledAttributes, k.f5693);
        this.f7742 = m13184;
        LayoutInflater.from(context).inflate(h.material_clockface_view, (ViewGroup) this, true);
        ClockHandView clockHandView = (ClockHandView) findViewById(c2.f.material_clock_hand);
        this.f7729 = clockHandView;
        this.f7735 = resources.getDimensionPixelSize(c2.d.material_clock_hand_padding);
        int colorForState = m13184.getColorForState(new int[]{16842913}, m13184.getDefaultColor());
        this.f7733 = new int[]{colorForState, colorForState, m13184.getDefaultColor()};
        clockHandView.m8722(this);
        int defaultColor = f.a.m9498(context, c2.c.material_timepicker_clockface).getDefaultColor();
        ColorStateList m131842 = s2.c.m13184(context, obtainStyledAttributes, k.f5692);
        setBackgroundColor(m131842 != null ? m131842.getDefaultColor() : defaultColor);
        getViewTreeObserver().addOnPreDrawListener(new a());
        setFocusable(true);
        obtainStyledAttributes.recycle();
        this.f7734 = new b();
        String[] strArr = new String[12];
        Arrays.fill(strArr, BuildConfig.FLAVOR);
        m8711(strArr, 0);
        this.f7738 = resources.getDimensionPixelSize(c2.d.material_time_picker_minimum_screen_height);
        this.f7737 = resources.getDimensionPixelSize(c2.d.material_time_picker_minimum_screen_width);
        this.f7739 = resources.getDimensionPixelSize(c2.d.material_clock_size);
    }
}
