package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.view.z0;
import c2.h;
import c2.k;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import v2.i;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: RadialViewGroup.java */
/* loaded from: classes.dex */
public class e extends ConstraintLayout {

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private int f7780;

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private v2.g f7781;

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private final Runnable f7782;

    public e(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private Drawable m8737() {
        v2.g gVar = new v2.g();
        this.f7781 = gVar;
        gVar.m13712(new i(0.5f));
        this.f7781.m13690(ColorStateList.valueOf(-1));
        return this.f7781;
    }

    /* renamed from: ʾʾ  reason: contains not printable characters */
    private static boolean m8738(View view) {
        return "skip".equals(view.getTag());
    }

    /* renamed from: ˆˆ  reason: contains not printable characters */
    private void m8739() {
        Handler handler = getHandler();
        if (handler != null) {
            handler.removeCallbacks(this.f7782);
            handler.post(this.f7782);
        }
    }

    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    private void m8740(List<View> list, androidx.constraintlayout.widget.f fVar, int i6) {
        float f6 = 0.0f;
        for (View view : list) {
            fVar.m2008(view.getId(), c2.f.circle_center, i6, f6);
            f6 += 360.0f / list.size();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i6, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i6, layoutParams);
        if (view.getId() == -1) {
            view.setId(z0.m3436());
        }
        m8739();
    }

    @Override // android.view.View
    protected void onFinishInflate() {
        super.onFinishInflate();
        mo8712();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout, android.view.ViewGroup
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        m8739();
    }

    @Override // android.view.View
    public void setBackgroundColor(int i6) {
        this.f7781.m13690(ColorStateList.valueOf(i6));
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    public int m8741() {
        return this.f7780;
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    int m8742(int i6) {
        if (i6 == 2) {
            return Math.round(this.f7780 * 0.66f);
        }
        return this.f7780;
    }

    /* renamed from: ʿʿ */
    public void mo8710(int i6) {
        this.f7780 = i6;
        mo8712();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: ــ */
    public void mo8712() {
        androidx.constraintlayout.widget.f fVar = new androidx.constraintlayout.widget.f();
        fVar.m2006(this);
        HashMap hashMap = new HashMap();
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getId() != c2.f.circle_center && !m8738(childAt)) {
                int i7 = (Integer) childAt.getTag(c2.f.material_clock_level);
                if (i7 == null) {
                    i7 = 1;
                }
                if (!hashMap.containsKey(i7)) {
                    hashMap.put(i7, new ArrayList());
                }
                ((List) hashMap.get(i7)).add(childAt);
            }
        }
        for (Map.Entry entry : hashMap.entrySet()) {
            m8740((List) entry.getValue(), fVar, m8742(((Integer) entry.getKey()).intValue()));
        }
        fVar.m2003(this);
    }

    public e(Context context, AttributeSet attributeSet, int i6) {
        super(context, attributeSet, i6);
        LayoutInflater.from(context).inflate(h.material_radial_view_group, this);
        z0.m3396(this, m8737());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, k.f5917, i6, 0);
        this.f7780 = obtainStyledAttributes.getDimensionPixelSize(k.f5918, 0);
        this.f7782 = new Runnable() { // from class: com.google.android.material.timepicker.d
            @Override // java.lang.Runnable
            public final void run() {
                e.this.mo8712();
            }
        };
        obtainStyledAttributes.recycle();
    }
}
