package com.google.android.material.transformation;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Pair;
import android.util.Property;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.z0;
import c2.f;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import d2.h;
import d2.i;
import d2.j;
import i2.e;
import java.util.ArrayList;
import java.util.List;
@Deprecated
/* loaded from: classes.dex */
public abstract class FabTransformationBehavior extends ExpandableTransformationBehavior {

    /* renamed from: ˆ  reason: contains not printable characters */
    private final Rect f7798;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final RectF f7799;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final RectF f7800;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final int[] f7801;

    /* renamed from: ˋ  reason: contains not printable characters */
    private float f7802;

    /* renamed from: ˎ  reason: contains not printable characters */
    private float f7803;

    /* loaded from: classes.dex */
    class a extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ boolean f7804;

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ View f7805;

        /* renamed from: ˆ  reason: contains not printable characters */
        final /* synthetic */ View f7806;

        a(boolean z5, View view, View view2) {
            this.f7804 = z5;
            this.f7805 = view;
            this.f7806 = view2;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            if (!this.f7804) {
                this.f7805.setVisibility(4);
                this.f7806.setAlpha(1.0f);
                this.f7806.setVisibility(0);
            }
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            if (this.f7804) {
                this.f7805.setVisibility(0);
                this.f7806.setAlpha(0.0f);
                this.f7806.setVisibility(4);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ View f7808;

        b(View view) {
            this.f7808 = view;
        }

        @Override // android.animation.ValueAnimator.AnimatorUpdateListener
        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f7808.invalidate();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ i2.e f7810;

        /* renamed from: ʿ  reason: contains not printable characters */
        final /* synthetic */ Drawable f7811;

        c(i2.e eVar, Drawable drawable) {
            this.f7810 = eVar;
            this.f7811 = drawable;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            this.f7810.setCircularRevealOverlayDrawable(null);
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationStart(Animator animator) {
            this.f7810.setCircularRevealOverlayDrawable(this.f7811);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d extends AnimatorListenerAdapter {

        /* renamed from: ʾ  reason: contains not printable characters */
        final /* synthetic */ i2.e f7813;

        d(i2.e eVar) {
            this.f7813 = eVar;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            e.C0117e revealInfo = this.f7813.getRevealInfo();
            revealInfo.f9961 = Float.MAX_VALUE;
            this.f7813.setRevealInfo(revealInfo);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class e {

        /* renamed from: ʻ  reason: contains not printable characters */
        public h f7815;

        /* renamed from: ʼ  reason: contains not printable characters */
        public j f7816;
    }

    public FabTransformationBehavior() {
        this.f7798 = new Rect();
        this.f7799 = new RectF();
        this.f7800 = new RectF();
        this.f7801 = new int[2];
    }

    /* renamed from: ʻʼ  reason: contains not printable characters */
    private void m8754(View view, View view2, boolean z5, boolean z6, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ViewGroup m8765;
        ObjectAnimator ofFloat;
        if (!(view2 instanceof ViewGroup)) {
            return;
        }
        if (((view2 instanceof i2.e) && i2.d.f9954 == 0) || (m8765 = m8765(view2)) == null) {
            return;
        }
        if (z5) {
            if (!z6) {
                d2.d.f8067.set(m8765, Float.valueOf(0.0f));
            }
            ofFloat = ObjectAnimator.ofFloat(m8765, d2.d.f8067, 1.0f);
        } else {
            ofFloat = ObjectAnimator.ofFloat(m8765, d2.d.f8067, 0.0f);
        }
        eVar.f7815.m9191("contentFade").m9198(ofFloat);
        list.add(ofFloat);
    }

    /* renamed from: ʻʽ  reason: contains not printable characters */
    private void m8755(View view, View view2, boolean z5, boolean z6, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator ofInt;
        if (!(view2 instanceof i2.e)) {
            return;
        }
        i2.e eVar2 = (i2.e) view2;
        int m8763 = m8763(view);
        int i6 = 16777215 & m8763;
        if (z5) {
            if (!z6) {
                eVar2.setCircularRevealScrimColor(m8763);
            }
            ofInt = ObjectAnimator.ofInt(eVar2, e.d.f9958, i6);
        } else {
            ofInt = ObjectAnimator.ofInt(eVar2, e.d.f9958, m8763);
        }
        ofInt.setEvaluator(d2.c.m9179());
        eVar.f7815.m9191("color").m9198(ofInt);
        list.add(ofInt);
    }

    /* renamed from: ʻʾ  reason: contains not printable characters */
    private void m8756(View view, View view2, boolean z5, e eVar, List<Animator> list) {
        float m8772 = m8772(view, view2, eVar.f7816);
        float m8773 = m8773(view, view2, eVar.f7816);
        Pair<i, i> m8767 = m8767(m8772, m8773, z5, eVar);
        i iVar = (i) m8767.first;
        i iVar2 = (i) m8767.second;
        Property property = View.TRANSLATION_X;
        float[] fArr = new float[1];
        if (!z5) {
            m8772 = this.f7802;
        }
        fArr[0] = m8772;
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(view, property, fArr);
        Property property2 = View.TRANSLATION_Y;
        float[] fArr2 = new float[1];
        if (!z5) {
            m8773 = this.f7803;
        }
        fArr2[0] = m8773;
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(view, property2, fArr2);
        iVar.m9198(ofFloat);
        iVar2.m9198(ofFloat2);
        list.add(ofFloat);
        list.add(ofFloat2);
    }

    @TargetApi(21)
    /* renamed from: ʻʿ  reason: contains not printable characters */
    private void m8757(View view, View view2, boolean z5, boolean z6, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        Property property;
        ObjectAnimator ofFloat;
        Property property2;
        float m3460 = z0.m3460(view2) - z0.m3460(view);
        if (!z5) {
            property = View.TRANSLATION_Z;
            ofFloat = ObjectAnimator.ofFloat(view2, property, -m3460);
        } else {
            if (!z6) {
                view2.setTranslationZ(-m3460);
            }
            property2 = View.TRANSLATION_Z;
            ofFloat = ObjectAnimator.ofFloat(view2, property2, 0.0f);
        }
        eVar.f7815.m9191("elevation").m9198(ofFloat);
        list.add(ofFloat);
    }

    /* renamed from: ʻˆ  reason: contains not printable characters */
    private void m8758(View view, View view2, boolean z5, boolean z6, e eVar, float f6, float f7, List<Animator> list, List<Animator.AnimatorListener> list2) {
        Animator animator;
        if (!(view2 instanceof i2.e)) {
            return;
        }
        i2.e eVar2 = (i2.e) view2;
        float m8769 = m8769(view, view2, eVar.f7816);
        float m8771 = m8771(view, view2, eVar.f7816);
        ((FloatingActionButton) view).m7792(this.f7798);
        float width = this.f7798.width() / 2.0f;
        i m9191 = eVar.f7815.m9191("expansion");
        if (z5) {
            if (!z6) {
                eVar2.setRevealInfo(new e.C0117e(m8769, m8771, width));
            }
            if (z6) {
                width = eVar2.getRevealInfo().f9961;
            }
            animator = i2.b.m10868(eVar2, m8769, m8771, p2.a.m12302(m8769, m8771, 0.0f, 0.0f, f6, f7));
            animator.addListener(new d(eVar2));
            m8761(view2, m9191.m9199(), (int) m8769, (int) m8771, width, list);
        } else {
            float f8 = eVar2.getRevealInfo().f9961;
            Animator m10868 = i2.b.m10868(eVar2, m8769, m8771, width);
            int i6 = (int) m8769;
            int i7 = (int) m8771;
            m8761(view2, m9191.m9199(), i6, i7, f8, list);
            m8760(view2, m9191.m9199(), m9191.m9200(), eVar.f7815.m9192(), i6, i7, width, list);
            animator = m10868;
        }
        m9191.m9198(animator);
        list.add(animator);
        list2.add(i2.b.m10869(eVar2));
    }

    /* renamed from: ʻˈ  reason: contains not printable characters */
    private void m8759(View view, View view2, boolean z5, boolean z6, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2) {
        ObjectAnimator ofInt;
        if ((view2 instanceof i2.e) && (view instanceof ImageView)) {
            i2.e eVar2 = (i2.e) view2;
            Drawable drawable = ((ImageView) view).getDrawable();
            if (drawable == null) {
                return;
            }
            drawable.mutate();
            if (z5) {
                if (!z6) {
                    drawable.setAlpha(255);
                }
                ofInt = ObjectAnimator.ofInt(drawable, d2.e.f8068, 0);
            } else {
                ofInt = ObjectAnimator.ofInt(drawable, d2.e.f8068, 255);
            }
            ofInt.addUpdateListener(new b(view2));
            eVar.f7815.m9191("iconFade").m9198(ofInt);
            list.add(ofInt);
            list2.add(new c(eVar2, drawable));
        }
    }

    /* renamed from: ʻˉ  reason: contains not printable characters */
    private void m8760(View view, long j6, long j7, long j8, int i6, int i7, float f6, List<Animator> list) {
        Animator createCircularReveal;
        if (Build.VERSION.SDK_INT >= 21) {
            long j9 = j6 + j7;
            if (j9 < j8) {
                createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i6, i7, f6, f6);
                createCircularReveal.setStartDelay(j9);
                createCircularReveal.setDuration(j8 - j9);
                list.add(createCircularReveal);
            }
        }
    }

    /* renamed from: ʻˊ  reason: contains not printable characters */
    private void m8761(View view, long j6, int i6, int i7, float f6, List<Animator> list) {
        Animator createCircularReveal;
        if (Build.VERSION.SDK_INT >= 21 && j6 > 0) {
            createCircularReveal = ViewAnimationUtils.createCircularReveal(view, i6, i7, f6, f6);
            createCircularReveal.setStartDelay(0L);
            createCircularReveal.setDuration(j6);
            list.add(createCircularReveal);
        }
    }

    /* renamed from: ʻˋ  reason: contains not printable characters */
    private void m8762(View view, View view2, boolean z5, boolean z6, e eVar, List<Animator> list, List<Animator.AnimatorListener> list2, RectF rectF) {
        ObjectAnimator ofFloat;
        ObjectAnimator ofFloat2;
        float m8772 = m8772(view, view2, eVar.f7816);
        float m8773 = m8773(view, view2, eVar.f7816);
        Pair<i, i> m8767 = m8767(m8772, m8773, z5, eVar);
        i iVar = (i) m8767.first;
        i iVar2 = (i) m8767.second;
        if (z5) {
            if (!z6) {
                view2.setTranslationX(-m8772);
                view2.setTranslationY(-m8773);
            }
            ofFloat = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, 0.0f);
            ofFloat2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, 0.0f);
            m8766(view2, eVar, iVar, iVar2, -m8772, -m8773, 0.0f, 0.0f, rectF);
        } else {
            ofFloat = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, -m8772);
            ofFloat2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, -m8773);
        }
        iVar.m9198(ofFloat);
        iVar2.m9198(ofFloat2);
        list.add(ofFloat);
        list.add(ofFloat2);
    }

    /* renamed from: ʻˎ  reason: contains not printable characters */
    private int m8763(View view) {
        ColorStateList m3452 = z0.m3452(view);
        if (m3452 != null) {
            return m3452.getColorForState(view.getDrawableState(), m3452.getDefaultColor());
        }
        return 0;
    }

    /* renamed from: ʻˑ  reason: contains not printable characters */
    private ViewGroup m8764(View view) {
        if (view instanceof ViewGroup) {
            return (ViewGroup) view;
        }
        return null;
    }

    /* renamed from: ˎˎ  reason: contains not printable characters */
    private ViewGroup m8765(View view) {
        View findViewById = view.findViewById(f.mtrl_child_content_container);
        if (findViewById != null) {
            return m8764(findViewById);
        }
        if (!(view instanceof a3.b) && !(view instanceof a3.a)) {
            return m8764(view);
        }
        return m8764(((ViewGroup) view).getChildAt(0));
    }

    /* renamed from: ˑˑ  reason: contains not printable characters */
    private void m8766(View view, e eVar, i iVar, i iVar2, float f6, float f7, float f8, float f9, RectF rectF) {
        float m8768 = m8768(eVar, iVar, f6, f8);
        float m87682 = m8768(eVar, iVar2, f7, f9);
        Rect rect = this.f7798;
        view.getWindowVisibleDisplayFrame(rect);
        RectF rectF2 = this.f7799;
        rectF2.set(rect);
        RectF rectF3 = this.f7800;
        m8774(view, rectF3);
        rectF3.offset(m8768, m87682);
        rectF3.intersect(rectF2);
        rectF.set(rectF3);
    }

    /* renamed from: יי  reason: contains not printable characters */
    private Pair<i, i> m8767(float f6, float f7, boolean z5, e eVar) {
        i m9191;
        i m91912;
        if (f6 != 0.0f && f7 != 0.0f) {
            if ((z5 && f7 < 0.0f) || (!z5 && f7 > 0.0f)) {
                m9191 = eVar.f7815.m9191("translationXCurveUpwards");
                m91912 = eVar.f7815.m9191("translationYCurveUpwards");
            } else {
                m9191 = eVar.f7815.m9191("translationXCurveDownwards");
                m91912 = eVar.f7815.m9191("translationYCurveDownwards");
            }
        } else {
            m9191 = eVar.f7815.m9191("translationXLinear");
            m91912 = eVar.f7815.m9191("translationYLinear");
        }
        return new Pair<>(m9191, m91912);
    }

    /* renamed from: ٴٴ  reason: contains not printable characters */
    private float m8768(e eVar, i iVar, float f6, float f7) {
        long m9199 = iVar.m9199();
        long m9200 = iVar.m9200();
        i m9191 = eVar.f7815.m9191("expansion");
        return d2.a.m9175(f6, f7, iVar.m9201().getInterpolation(((float) (((m9191.m9199() + m9191.m9200()) + 17) - m9199)) / ((float) m9200)));
    }

    /* renamed from: ᵎᵎ  reason: contains not printable characters */
    private float m8769(View view, View view2, j jVar) {
        RectF rectF = this.f7799;
        RectF rectF2 = this.f7800;
        m8770(view, rectF);
        m8774(view2, rectF2);
        rectF2.offset(-m8772(view, view2, jVar), 0.0f);
        return rectF.centerX() - rectF2.left;
    }

    /* renamed from: ᵔᵔ  reason: contains not printable characters */
    private void m8770(View view, RectF rectF) {
        m8774(view, rectF);
        rectF.offset(this.f7802, this.f7803);
    }

    /* renamed from: ᵢᵢ  reason: contains not printable characters */
    private float m8771(View view, View view2, j jVar) {
        RectF rectF = this.f7799;
        RectF rectF2 = this.f7800;
        m8770(view, rectF);
        m8774(view2, rectF2);
        rectF2.offset(0.0f, -m8773(view, view2, jVar));
        return rectF.centerY() - rectF2.top;
    }

    /* renamed from: ⁱⁱ  reason: contains not printable characters */
    private float m8772(View view, View view2, j jVar) {
        float centerX;
        float centerX2;
        float f6;
        RectF rectF = this.f7799;
        RectF rectF2 = this.f7800;
        m8770(view, rectF);
        m8774(view2, rectF2);
        int i6 = jVar.f8081 & 7;
        if (i6 != 1) {
            if (i6 != 3) {
                if (i6 != 5) {
                    f6 = 0.0f;
                    return f6 + jVar.f8082;
                }
                centerX = rectF2.right;
                centerX2 = rectF.right;
            } else {
                centerX = rectF2.left;
                centerX2 = rectF.left;
            }
        } else {
            centerX = rectF2.centerX();
            centerX2 = rectF.centerX();
        }
        f6 = centerX - centerX2;
        return f6 + jVar.f8082;
    }

    /* renamed from: ﹳﹳ  reason: contains not printable characters */
    private float m8773(View view, View view2, j jVar) {
        float centerY;
        float centerY2;
        float f6;
        RectF rectF = this.f7799;
        RectF rectF2 = this.f7800;
        m8770(view, rectF);
        m8774(view2, rectF2);
        int i6 = jVar.f8081 & 112;
        if (i6 != 16) {
            if (i6 != 48) {
                if (i6 != 80) {
                    f6 = 0.0f;
                    return f6 + jVar.f8083;
                }
                centerY = rectF2.bottom;
                centerY2 = rectF.bottom;
            } else {
                centerY = rectF2.top;
                centerY2 = rectF.top;
            }
        } else {
            centerY = rectF2.centerY();
            centerY2 = rectF.centerY();
        }
        f6 = centerY - centerY2;
        return f6 + jVar.f8083;
    }

    /* renamed from: ﹶﹶ  reason: contains not printable characters */
    private void m8774(View view, RectF rectF) {
        rectF.set(0.0f, 0.0f, view.getWidth(), view.getHeight());
        int[] iArr = this.f7801;
        view.getLocationInWindow(iArr);
        rectF.offsetTo(iArr[0], iArr[1]);
        rectF.offset((int) (-view.getTranslationX()), (int) (-view.getTranslationY()));
    }

    /* renamed from: ʻˏ  reason: contains not printable characters */
    protected abstract e mo8775(Context context, boolean z5);

    @Override // com.google.android.material.transformation.ExpandableBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ˊ */
    public boolean mo2088(CoordinatorLayout coordinatorLayout, View view, View view2) {
        if (view.getVisibility() != 8) {
            if (!(view2 instanceof FloatingActionButton)) {
                return false;
            }
            int expandedComponentIdHint = ((FloatingActionButton) view2).getExpandedComponentIdHint();
            if (expandedComponentIdHint != 0 && expandedComponentIdHint != view.getId()) {
                return false;
            }
            return true;
        }
        throw new IllegalStateException("This behavior cannot be attached to a GONE view. Set the view to INVISIBLE instead.");
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.c
    /* renamed from: ˎ */
    public void mo2090(CoordinatorLayout.f fVar) {
        if (fVar.f2749 == 0) {
            fVar.f2749 = 80;
        }
    }

    @Override // com.google.android.material.transformation.ExpandableTransformationBehavior
    /* renamed from: ˏˏ */
    protected AnimatorSet mo8753(View view, View view2, boolean z5, boolean z6) {
        e mo8775 = mo8775(view2.getContext(), z5);
        if (z5) {
            this.f7802 = view.getTranslationX();
            this.f7803 = view.getTranslationY();
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        if (Build.VERSION.SDK_INT >= 21) {
            m8757(view, view2, z5, z6, mo8775, arrayList, arrayList2);
        }
        RectF rectF = this.f7799;
        m8762(view, view2, z5, z6, mo8775, arrayList, arrayList2, rectF);
        float width = rectF.width();
        float height = rectF.height();
        m8756(view, view2, z5, mo8775, arrayList);
        m8759(view, view2, z5, z6, mo8775, arrayList, arrayList2);
        m8758(view, view2, z5, z6, mo8775, width, height, arrayList, arrayList2);
        m8755(view, view2, z5, z6, mo8775, arrayList, arrayList2);
        m8754(view, view2, z5, z6, mo8775, arrayList, arrayList2);
        AnimatorSet animatorSet = new AnimatorSet();
        d2.b.m9178(animatorSet, arrayList);
        animatorSet.addListener(new a(z5, view2, view));
        int size = arrayList2.size();
        for (int i6 = 0; i6 < size; i6++) {
            animatorSet.addListener(arrayList2.get(i6));
        }
        return animatorSet;
    }

    public FabTransformationBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f7798 = new Rect();
        this.f7799 = new RectF();
        this.f7800 = new RectF();
        this.f7801 = new int[2];
    }
}
