package i1;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.RectF;
import android.os.Build;
import android.util.Log;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
/* compiled from: TransformationUtils.java */
/* loaded from: classes.dex */
public final class g0 {

    /* renamed from: ʻ  reason: contains not printable characters */
    private static final Paint f9880 = new Paint(6);

    /* renamed from: ʼ  reason: contains not printable characters */
    private static final Paint f9881 = new Paint(7);

    /* renamed from: ʽ  reason: contains not printable characters */
    private static final Paint f9882;

    /* renamed from: ʾ  reason: contains not printable characters */
    private static final Set<String> f9883;

    /* renamed from: ʿ  reason: contains not printable characters */
    private static final Lock f9884;

    /* compiled from: TransformationUtils.java */
    /* loaded from: classes.dex */
    private static final class a implements Lock {
        a() {
        }

        @Override // java.util.concurrent.locks.Lock
        public Condition newCondition() {
            throw new UnsupportedOperationException("Should not be called");
        }

        @Override // java.util.concurrent.locks.Lock
        public boolean tryLock() {
            return true;
        }

        @Override // java.util.concurrent.locks.Lock
        public boolean tryLock(long j6, TimeUnit timeUnit) throws InterruptedException {
            return true;
        }

        @Override // java.util.concurrent.locks.Lock
        public void lock() {
        }

        @Override // java.util.concurrent.locks.Lock
        public void lockInterruptibly() throws InterruptedException {
        }

        @Override // java.util.concurrent.locks.Lock
        public void unlock() {
        }
    }

    static {
        Lock aVar;
        HashSet hashSet = new HashSet(Arrays.asList("XT1085", "XT1092", "XT1093", "XT1094", "XT1095", "XT1096", "XT1097", "XT1098", "XT1031", "XT1028", "XT937C", "XT1032", "XT1008", "XT1033", "XT1035", "XT1034", "XT939G", "XT1039", "XT1040", "XT1042", "XT1045", "XT1063", "XT1064", "XT1068", "XT1069", "XT1072", "XT1077", "XT1078", "XT1079"));
        f9883 = hashSet;
        if (hashSet.contains(Build.MODEL)) {
            aVar = new ReentrantLock();
        } else {
            aVar = new a();
        }
        f9884 = aVar;
        Paint paint = new Paint(7);
        f9882 = paint;
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC_IN));
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static void m10752(Bitmap bitmap, Bitmap bitmap2, Matrix matrix) {
        Lock lock = f9884;
        lock.lock();
        try {
            Canvas canvas = new Canvas(bitmap2);
            canvas.drawBitmap(bitmap, matrix, f9880);
            m10755(canvas);
            lock.unlock();
        } catch (Throwable th) {
            f9884.unlock();
            throw th;
        }
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    public static Bitmap m10753(c1.d dVar, Bitmap bitmap, int i6, int i7) {
        float width;
        float height;
        if (bitmap.getWidth() == i6 && bitmap.getHeight() == i7) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        float f6 = 0.0f;
        if (bitmap.getWidth() * i7 > bitmap.getHeight() * i6) {
            width = i7 / bitmap.getHeight();
            f6 = (i6 - (bitmap.getWidth() * width)) * 0.5f;
            height = 0.0f;
        } else {
            width = i6 / bitmap.getWidth();
            height = (i7 - (bitmap.getHeight() * width)) * 0.5f;
        }
        matrix.setScale(width, width);
        matrix.postTranslate((int) (f6 + 0.5f), (int) (height + 0.5f));
        Bitmap mo6577 = dVar.mo6577(i6, i7, m10759(bitmap));
        m10763(bitmap, mo6577);
        m10752(bitmap, mo6577, matrix);
        return mo6577;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static Bitmap m10754(c1.d dVar, Bitmap bitmap, int i6, int i7) {
        if (bitmap.getWidth() <= i6 && bitmap.getHeight() <= i7) {
            if (Log.isLoggable("TransformationUtils", 2)) {
                Log.v("TransformationUtils", "requested target size larger or equal to input, returning input");
            }
            return bitmap;
        }
        if (Log.isLoggable("TransformationUtils", 2)) {
            Log.v("TransformationUtils", "requested target size too big for input, fit centering instead");
        }
        return m10756(dVar, bitmap, i6, i7);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    private static void m10755(Canvas canvas) {
        canvas.setBitmap(null);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    public static Bitmap m10756(c1.d dVar, Bitmap bitmap, int i6, int i7) {
        if (bitmap.getWidth() == i6 && bitmap.getHeight() == i7) {
            if (Log.isLoggable("TransformationUtils", 2)) {
                Log.v("TransformationUtils", "requested target size matches input, returning input");
            }
            return bitmap;
        }
        float min = Math.min(i6 / bitmap.getWidth(), i7 / bitmap.getHeight());
        int round = Math.round(bitmap.getWidth() * min);
        int round2 = Math.round(bitmap.getHeight() * min);
        if (bitmap.getWidth() == round && bitmap.getHeight() == round2) {
            if (Log.isLoggable("TransformationUtils", 2)) {
                Log.v("TransformationUtils", "adjusted target size matches input, returning input");
            }
            return bitmap;
        }
        Bitmap mo6577 = dVar.mo6577((int) (bitmap.getWidth() * min), (int) (bitmap.getHeight() * min), m10759(bitmap));
        m10763(bitmap, mo6577);
        if (Log.isLoggable("TransformationUtils", 2)) {
            Log.v("TransformationUtils", "request: " + i6 + "x" + i7);
            Log.v("TransformationUtils", "toFit:   " + bitmap.getWidth() + "x" + bitmap.getHeight());
            Log.v("TransformationUtils", "toReuse: " + mo6577.getWidth() + "x" + mo6577.getHeight());
            StringBuilder sb = new StringBuilder();
            sb.append("minPct:   ");
            sb.append(min);
            Log.v("TransformationUtils", sb.toString());
        }
        Matrix matrix = new Matrix();
        matrix.setScale(min, min);
        m10752(bitmap, mo6577, matrix);
        return mo6577;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public static Lock m10757() {
        return f9884;
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public static int m10758(int i6) {
        switch (i6) {
            case 3:
            case 4:
                return 180;
            case 5:
            case 6:
                return 90;
            case 7:
            case 8:
                return 270;
            default:
                return 0;
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private static Bitmap.Config m10759(Bitmap bitmap) {
        if (bitmap.getConfig() != null) {
            return bitmap.getConfig();
        }
        return Bitmap.Config.ARGB_8888;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    static void m10760(int i6, Matrix matrix) {
        switch (i6) {
            case 2:
                matrix.setScale(-1.0f, 1.0f);
                return;
            case 3:
                matrix.setRotate(180.0f);
                return;
            case 4:
                matrix.setRotate(180.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 5:
                matrix.setRotate(90.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 6:
                matrix.setRotate(90.0f);
                return;
            case 7:
                matrix.setRotate(-90.0f);
                matrix.postScale(-1.0f, 1.0f);
                return;
            case 8:
                matrix.setRotate(-90.0f);
                return;
            default:
                return;
        }
    }

    /* renamed from: ˋ  reason: contains not printable characters */
    public static boolean m10761(int i6) {
        switch (i6) {
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
            case 8:
                return true;
            default:
                return false;
        }
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    public static Bitmap m10762(c1.d dVar, Bitmap bitmap, int i6) {
        if (!m10761(i6)) {
            return bitmap;
        }
        Matrix matrix = new Matrix();
        m10760(i6, matrix);
        RectF rectF = new RectF(0.0f, 0.0f, bitmap.getWidth(), bitmap.getHeight());
        matrix.mapRect(rectF);
        Bitmap mo6577 = dVar.mo6577(Math.round(rectF.width()), Math.round(rectF.height()), m10759(bitmap));
        matrix.postTranslate(-rectF.left, -rectF.top);
        mo6577.setHasAlpha(bitmap.hasAlpha());
        m10752(bitmap, mo6577, matrix);
        return mo6577;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    public static void m10763(Bitmap bitmap, Bitmap bitmap2) {
        bitmap2.setHasAlpha(bitmap.hasAlpha());
    }
}
