package i1;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.ColorSpace;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.DisplayMetrics;
import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.data.ParcelFileDescriptorRewinder;
import i1.n;
import i1.z;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.Collections;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.List;
import java.util.Queue;
import java.util.Set;
/* compiled from: Downsampler.java */
/* loaded from: classes.dex */
public final class t {

    /* renamed from: ˆ  reason: contains not printable characters */
    public static final z0.g<z0.b> f9918 = z0.g.m14270("com.bumptech.glide.load.resource.bitmap.Downsampler.DecodeFormat", z0.b.f13479);

    /* renamed from: ˈ  reason: contains not printable characters */
    public static final z0.g<z0.i> f9919 = z0.g.m14269("com.bumptech.glide.load.resource.bitmap.Downsampler.PreferredColorSpace");
    @Deprecated

    /* renamed from: ˉ  reason: contains not printable characters */
    public static final z0.g<n> f9920 = n.f9913;

    /* renamed from: ˊ  reason: contains not printable characters */
    public static final z0.g<Boolean> f9921;

    /* renamed from: ˋ  reason: contains not printable characters */
    public static final z0.g<Boolean> f9922;

    /* renamed from: ˎ  reason: contains not printable characters */
    private static final Set<String> f9923;

    /* renamed from: ˏ  reason: contains not printable characters */
    private static final b f9924;

    /* renamed from: ˑ  reason: contains not printable characters */
    private static final Set<ImageHeaderParser.ImageType> f9925;

    /* renamed from: י  reason: contains not printable characters */
    private static final Queue<BitmapFactory.Options> f9926;

    /* renamed from: ʻ  reason: contains not printable characters */
    private final c1.d f9927;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final DisplayMetrics f9928;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final c1.b f9929;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final List<ImageHeaderParser> f9930;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final y f9931 = y.m10855();

    /* compiled from: Downsampler.java */
    /* loaded from: classes.dex */
    public interface b {
        /* renamed from: ʻ */
        void mo10749(c1.d dVar, Bitmap bitmap) throws IOException;

        /* renamed from: ʼ */
        void mo10750();
    }

    static {
        Boolean bool = Boolean.FALSE;
        f9921 = z0.g.m14270("com.bumptech.glide.load.resource.bitmap.Downsampler.FixBitmapSize", bool);
        f9922 = z0.g.m14270("com.bumptech.glide.load.resource.bitmap.Downsampler.AllowHardwareDecode", bool);
        f9923 = Collections.unmodifiableSet(new HashSet(Arrays.asList("image/vnd.wap.wbmp", "image/x-ico")));
        f9924 = new a();
        f9925 = Collections.unmodifiableSet(EnumSet.of(ImageHeaderParser.ImageType.JPEG, ImageHeaderParser.ImageType.PNG_A, ImageHeaderParser.ImageType.PNG));
        f9926 = v1.l.m13642(0);
    }

    public t(List<ImageHeaderParser> list, DisplayMetrics displayMetrics, c1.d dVar, c1.b bVar) {
        this.f9930 = list;
        this.f9928 = (DisplayMetrics) v1.k.m13635(displayMetrics);
        this.f9927 = (c1.d) v1.k.m13635(dVar);
        this.f9929 = (c1.b) v1.k.m13635(bVar);
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    private static int m10824(double d6) {
        int m10832 = m10832(d6);
        double d7 = m10832;
        Double.isNaN(d7);
        int m10841 = m10841(d7 * d6);
        double d8 = m10841 / m10832;
        Double.isNaN(d8);
        double d9 = m10841;
        Double.isNaN(d9);
        return m10841((d6 / d8) * d9);
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private void m10825(z zVar, z0.b bVar, boolean z5, boolean z6, BitmapFactory.Options options, int i6, int i7) {
        boolean z7;
        Bitmap.Config config;
        if (this.f9931.m10860(i6, i7, options, z5, z6)) {
            return;
        }
        if (bVar != z0.b.PREFER_ARGB_8888) {
            try {
                z7 = zVar.mo10865().hasAlpha();
            } catch (IOException e6) {
                if (Log.isLoggable("Downsampler", 3)) {
                    Log.d("Downsampler", "Cannot determine whether the image has alpha or not from header, format " + bVar, e6);
                }
                z7 = false;
            }
            if (z7) {
                config = Bitmap.Config.ARGB_8888;
            } else {
                config = Bitmap.Config.RGB_565;
            }
            options.inPreferredConfig = config;
            if (config == Bitmap.Config.RGB_565) {
                options.inDither = true;
                return;
            }
            return;
        }
        options.inPreferredConfig = Bitmap.Config.ARGB_8888;
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    private static void m10826(ImageHeaderParser.ImageType imageType, z zVar, b bVar, c1.d dVar, n nVar, int i6, int i7, int i8, int i9, int i10, BitmapFactory.Options options) throws IOException {
        int i11;
        int i12;
        int min;
        int i13;
        int floor;
        double floor2;
        int i14;
        if (i7 > 0 && i8 > 0) {
            if (m10835(i6)) {
                i12 = i7;
                i11 = i8;
            } else {
                i11 = i7;
                i12 = i8;
            }
            float mo10817 = nVar.mo10817(i11, i12, i9, i10);
            if (mo10817 > 0.0f) {
                n.g mo10816 = nVar.mo10816(i11, i12, i9, i10);
                if (mo10816 != null) {
                    float f6 = i11;
                    float f7 = i12;
                    int m10841 = i11 / m10841(mo10817 * f6);
                    int m108412 = i12 / m10841(mo10817 * f7);
                    n.g gVar = n.g.MEMORY;
                    if (mo10816 == gVar) {
                        min = Math.max(m10841, m108412);
                    } else {
                        min = Math.min(m10841, m108412);
                    }
                    int i15 = Build.VERSION.SDK_INT;
                    if (i15 > 23 || !f9923.contains(options.outMimeType)) {
                        int max = Math.max(1, Integer.highestOneBit(min));
                        if (mo10816 == gVar && max < 1.0f / mo10817) {
                            max <<= 1;
                        }
                        i13 = max;
                    } else {
                        i13 = 1;
                    }
                    options.inSampleSize = i13;
                    if (imageType == ImageHeaderParser.ImageType.JPEG) {
                        float min2 = Math.min(i13, 8);
                        floor = (int) Math.ceil(f6 / min2);
                        i14 = (int) Math.ceil(f7 / min2);
                        int i16 = i13 / 8;
                        if (i16 > 0) {
                            floor /= i16;
                            i14 /= i16;
                        }
                    } else {
                        if (imageType != ImageHeaderParser.ImageType.PNG && imageType != ImageHeaderParser.ImageType.PNG_A) {
                            if (imageType.isWebp()) {
                                if (i15 >= 24) {
                                    float f8 = i13;
                                    floor = Math.round(f6 / f8);
                                    i14 = Math.round(f7 / f8);
                                } else {
                                    float f9 = i13;
                                    floor = (int) Math.floor(f6 / f9);
                                    floor2 = Math.floor(f7 / f9);
                                }
                            } else if (i11 % i13 == 0 && i12 % i13 == 0) {
                                floor = i11 / i13;
                                i14 = i12 / i13;
                            } else {
                                int[] m10833 = m10833(zVar, options, bVar, dVar);
                                floor = m10833[0];
                                i14 = m10833[1];
                            }
                        } else {
                            float f10 = i13;
                            floor = (int) Math.floor(f6 / f10);
                            floor2 = Math.floor(f7 / f10);
                        }
                        i14 = (int) floor2;
                    }
                    double mo108172 = nVar.mo10817(floor, i14, i9, i10);
                    options.inTargetDensity = m10824(mo108172);
                    options.inDensity = m10832(mo108172);
                    if (m10836(options)) {
                        options.inScaled = true;
                    } else {
                        options.inTargetDensity = 0;
                        options.inDensity = 0;
                    }
                    if (Log.isLoggable("Downsampler", 2)) {
                        Log.v("Downsampler", "Calculate scaling, source: [" + i7 + "x" + i8 + "], degreesToRotate: " + i6 + ", target: [" + i9 + "x" + i10 + "], power of two scaled: [" + floor + "x" + i14 + "], exact scale factor: " + mo10817 + ", power of 2 sample size: " + i13 + ", adjusted scale factor: " + mo108172 + ", target density: " + options.inTargetDensity + ", density: " + options.inDensity);
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("Cannot round with null rounding");
            }
            throw new IllegalArgumentException("Cannot scale with factor: " + mo10817 + " from: " + nVar + ", source: [" + i7 + "x" + i8 + "], target: [" + i9 + "x" + i10 + "]");
        } else if (Log.isLoggable("Downsampler", 3)) {
            Log.d("Downsampler", "Unable to determine dimensions for: " + imageType + " with target [" + i9 + "x" + i10 + "]");
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private b1.v<Bitmap> m10827(z zVar, int i6, int i7, z0.h hVar, b bVar) throws IOException {
        boolean z5;
        byte[] bArr = (byte[]) this.f9929.mo6571(65536, byte[].class);
        BitmapFactory.Options m10831 = m10831();
        m10831.inTempStorage = bArr;
        z0.b bVar2 = (z0.b) hVar.m14274(f9918);
        z0.i iVar = (z0.i) hVar.m14274(f9919);
        n nVar = (n) hVar.m14274(n.f9913);
        boolean booleanValue = ((Boolean) hVar.m14274(f9921)).booleanValue();
        z0.g<Boolean> gVar = f9922;
        if (hVar.m14274(gVar) != null && ((Boolean) hVar.m14274(gVar)).booleanValue()) {
            z5 = true;
        } else {
            z5 = false;
        }
        try {
            return f.m10745(m10828(zVar, m10831, nVar, bVar2, iVar, z5, i6, i7, booleanValue, bVar), this.f9927);
        } finally {
            m10839(m10831);
            this.f9929.put(bArr);
        }
    }

    /* renamed from: ˉ  reason: contains not printable characters */
    private Bitmap m10828(z zVar, BitmapFactory.Options options, n nVar, z0.b bVar, z0.i iVar, boolean z5, int i6, int i7, boolean z6, b bVar2) throws IOException {
        int i8;
        int i9;
        int i10;
        String str;
        ColorSpace.Named named;
        ColorSpace colorSpace;
        ColorSpace colorSpace2;
        ColorSpace colorSpace3;
        ColorSpace colorSpace4;
        boolean isWideGamut;
        int round;
        int round2;
        long m13621 = v1.g.m13621();
        int[] m10833 = m10833(zVar, options, bVar2, this.f9927);
        boolean z7 = false;
        int i11 = m10833[0];
        int i12 = m10833[1];
        String str2 = options.outMimeType;
        boolean z8 = (i11 == -1 || i12 == -1) ? false : z5;
        int mo10864 = zVar.mo10864();
        int m10758 = g0.m10758(mo10864);
        boolean m10761 = g0.m10761(mo10864);
        if (i6 == Integer.MIN_VALUE) {
            i8 = i7;
            i9 = m10835(m10758) ? i12 : i11;
        } else {
            i8 = i7;
            i9 = i6;
        }
        if (i8 == Integer.MIN_VALUE) {
            i10 = m10835(m10758) ? i11 : i12;
        } else {
            i10 = i8;
        }
        ImageHeaderParser.ImageType mo10865 = zVar.mo10865();
        m10826(mo10865, zVar, bVar2, this.f9927, nVar, m10758, i11, i12, i9, i10, options);
        m10825(zVar, bVar, z8, m10761, options, i9, i10);
        int i13 = Build.VERSION.SDK_INT;
        int i14 = options.inSampleSize;
        if (m10843(mo10865)) {
            if (i11 < 0 || i12 < 0 || !z6) {
                float f6 = m10836(options) ? options.inTargetDensity / options.inDensity : 1.0f;
                int i15 = options.inSampleSize;
                float f7 = i15;
                round = Math.round(((int) Math.ceil(i11 / f7)) * f6);
                round2 = Math.round(((int) Math.ceil(i12 / f7)) * f6);
                str = "Downsampler";
                if (Log.isLoggable(str, 2)) {
                    Log.v(str, "Calculated target [" + round + "x" + round2 + "] for source [" + i11 + "x" + i12 + "], sampleSize: " + i15 + ", targetDensity: " + options.inTargetDensity + ", density: " + options.inDensity + ", density multiplier: " + f6);
                }
            } else {
                str = "Downsampler";
                round = i9;
                round2 = i10;
            }
            if (round > 0 && round2 > 0) {
                m10842(options, this.f9927, round, round2);
            }
        } else {
            str = "Downsampler";
        }
        if (iVar != null) {
            if (i13 >= 28) {
                if (iVar == z0.i.DISPLAY_P3) {
                    colorSpace3 = options.outColorSpace;
                    if (colorSpace3 != null) {
                        colorSpace4 = options.outColorSpace;
                        isWideGamut = colorSpace4.isWideGamut();
                        if (isWideGamut) {
                            z7 = true;
                        }
                    }
                }
                colorSpace2 = ColorSpace.get(z7 ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB);
                options.inPreferredColorSpace = colorSpace2;
            } else if (i13 >= 26) {
                named = ColorSpace.Named.SRGB;
                colorSpace = ColorSpace.get(named);
                options.inPreferredColorSpace = colorSpace;
            }
        }
        Bitmap m10829 = m10829(zVar, options, bVar2, this.f9927);
        bVar2.mo10749(this.f9927, m10829);
        if (Log.isLoggable(str, 2)) {
            m10837(i11, i12, str2, options, m10829, i6, i7, m13621);
        }
        if (m10829 != null) {
            m10829.setDensity(this.f9928.densityDpi);
            Bitmap m10762 = g0.m10762(this.f9927, m10829, mo10864);
            if (m10829.equals(m10762)) {
                return m10762;
            }
            this.f9927.mo6578(m10829);
            return m10762;
        }
        return null;
    }

    /* renamed from: ˊ  reason: contains not printable characters */
    private static Bitmap m10829(z zVar, BitmapFactory.Options options, b bVar, c1.d dVar) throws IOException {
        if (!options.inJustDecodeBounds) {
            bVar.mo10750();
            zVar.mo10863();
        }
        int i6 = options.outWidth;
        int i7 = options.outHeight;
        String str = options.outMimeType;
        g0.m10757().lock();
        try {
            try {
                Bitmap mo10862 = zVar.mo10862(options);
                g0.m10757().unlock();
                return mo10862;
            } catch (IllegalArgumentException e6) {
                IOException m10838 = m10838(e6, i6, i7, str, options);
                if (Log.isLoggable("Downsampler", 3)) {
                    Log.d("Downsampler", "Failed to decode with inBitmap, trying again without Bitmap re-use", m10838);
                }
                Bitmap bitmap = options.inBitmap;
                if (bitmap != null) {
                    try {
                        dVar.mo6578(bitmap);
                        options.inBitmap = null;
                        Bitmap m10829 = m10829(zVar, options, bVar, dVar);
                        g0.m10757().unlock();
                        return m10829;
                    } catch (IOException unused) {
                        throw m10838;
                    }
                }
                throw m10838;
            }
        } catch (Throwable th) {
            g0.m10757().unlock();
            throw th;
        }
    }

    @TargetApi(19)
    /* renamed from: ˋ  reason: contains not printable characters */
    private static String m10830(Bitmap bitmap) {
        if (bitmap == null) {
            return null;
        }
        return "[" + bitmap.getWidth() + "x" + bitmap.getHeight() + "] " + bitmap.getConfig() + (" (" + bitmap.getAllocationByteCount() + ")");
    }

    /* renamed from: ˎ  reason: contains not printable characters */
    private static synchronized BitmapFactory.Options m10831() {
        BitmapFactory.Options poll;
        synchronized (t.class) {
            Queue<BitmapFactory.Options> queue = f9926;
            synchronized (queue) {
                poll = queue.poll();
            }
            if (poll == null) {
                poll = new BitmapFactory.Options();
                m10840(poll);
            }
        }
        return poll;
    }

    /* renamed from: ˏ  reason: contains not printable characters */
    private static int m10832(double d6) {
        if (d6 > 1.0d) {
            d6 = 1.0d / d6;
        }
        return (int) Math.round(d6 * 2.147483647E9d);
    }

    /* renamed from: ˑ  reason: contains not printable characters */
    private static int[] m10833(z zVar, BitmapFactory.Options options, b bVar, c1.d dVar) throws IOException {
        options.inJustDecodeBounds = true;
        m10829(zVar, options, bVar, dVar);
        options.inJustDecodeBounds = false;
        return new int[]{options.outWidth, options.outHeight};
    }

    /* renamed from: י  reason: contains not printable characters */
    private static String m10834(BitmapFactory.Options options) {
        return m10830(options.inBitmap);
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static boolean m10835(int i6) {
        if (i6 != 90 && i6 != 270) {
            return false;
        }
        return true;
    }

    /* renamed from: ᵎ  reason: contains not printable characters */
    private static boolean m10836(BitmapFactory.Options options) {
        int i6;
        int i7 = options.inTargetDensity;
        if (i7 > 0 && (i6 = options.inDensity) > 0 && i7 != i6) {
            return true;
        }
        return false;
    }

    /* renamed from: ᵔ  reason: contains not printable characters */
    private static void m10837(int i6, int i7, String str, BitmapFactory.Options options, Bitmap bitmap, int i8, int i9, long j6) {
        Log.v("Downsampler", "Decoded " + m10830(bitmap) + " from [" + i6 + "x" + i7 + "] " + str + " with inBitmap " + m10834(options) + " for [" + i8 + "x" + i9 + "], sample size: " + options.inSampleSize + ", density: " + options.inDensity + ", target density: " + options.inTargetDensity + ", thread: " + Thread.currentThread().getName() + ", duration: " + v1.g.m13620(j6));
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    private static IOException m10838(IllegalArgumentException illegalArgumentException, int i6, int i7, String str, BitmapFactory.Options options) {
        return new IOException("Exception decoding bitmap, outWidth: " + i6 + ", outHeight: " + i7 + ", outMimeType: " + str + ", inBitmap: " + m10834(options), illegalArgumentException);
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private static void m10839(BitmapFactory.Options options) {
        m10840(options);
        Queue<BitmapFactory.Options> queue = f9926;
        synchronized (queue) {
            queue.offer(options);
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static void m10840(BitmapFactory.Options options) {
        options.inTempStorage = null;
        options.inDither = false;
        options.inScaled = false;
        options.inSampleSize = 1;
        options.inPreferredConfig = null;
        options.inJustDecodeBounds = false;
        options.inDensity = 0;
        options.inTargetDensity = 0;
        if (Build.VERSION.SDK_INT >= 26) {
            options.inPreferredColorSpace = null;
            options.outColorSpace = null;
            options.outConfig = null;
        }
        options.outWidth = 0;
        options.outHeight = 0;
        options.outMimeType = null;
        options.inBitmap = null;
        options.inMutable = true;
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private static int m10841(double d6) {
        return (int) (d6 + 0.5d);
    }

    @TargetApi(26)
    /* renamed from: ﾞ  reason: contains not printable characters */
    private static void m10842(BitmapFactory.Options options, c1.d dVar, int i6, int i7) {
        Bitmap.Config config;
        Bitmap.Config config2;
        if (Build.VERSION.SDK_INT >= 26) {
            Bitmap.Config config3 = options.inPreferredConfig;
            config2 = Bitmap.Config.HARDWARE;
            if (config3 != config2) {
                config = options.outConfig;
            } else {
                return;
            }
        } else {
            config = null;
        }
        if (config == null) {
            config = options.inPreferredConfig;
        }
        options.inBitmap = dVar.mo6579(i6, i7, config);
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private boolean m10843(ImageHeaderParser.ImageType imageType) {
        return true;
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public b1.v<Bitmap> m10844(ParcelFileDescriptor parcelFileDescriptor, int i6, int i7, z0.h hVar) throws IOException {
        return m10827(new z.c(parcelFileDescriptor, this.f9930, this.f9929), i6, i7, hVar, f9924);
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    public b1.v<Bitmap> m10845(InputStream inputStream, int i6, int i7, z0.h hVar, b bVar) throws IOException {
        return m10827(new z.b(inputStream, this.f9930, this.f9929), i6, i7, hVar, bVar);
    }

    /* renamed from: ˈ  reason: contains not printable characters */
    public b1.v<Bitmap> m10846(ByteBuffer byteBuffer, int i6, int i7, z0.h hVar) throws IOException {
        return m10827(new z.a(byteBuffer, this.f9930, this.f9929), i6, i7, hVar, f9924);
    }

    /* renamed from: ـ  reason: contains not printable characters */
    public boolean m10847(ParcelFileDescriptor parcelFileDescriptor) {
        return ParcelFileDescriptorRewinder.m6826();
    }

    /* renamed from: ٴ  reason: contains not printable characters */
    public boolean m10848(InputStream inputStream) {
        return true;
    }

    /* renamed from: ᐧ  reason: contains not printable characters */
    public boolean m10849(ByteBuffer byteBuffer) {
        return true;
    }

    /* compiled from: Downsampler.java */
    /* loaded from: classes.dex */
    class a implements b {
        a() {
        }

        @Override // i1.t.b
        /* renamed from: ʼ */
        public void mo10750() {
        }

        @Override // i1.t.b
        /* renamed from: ʻ */
        public void mo10749(c1.d dVar, Bitmap bitmap) {
        }
    }
}
