package k0;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import java.io.BufferedOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.FileFilter;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.nio.channels.FileChannel;
import java.nio.channels.FileLock;
import java.util.ArrayList;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipOutputStream;
/* compiled from: MultiDexExtractor.java */
/* loaded from: classes.dex */
final class c implements Closeable {

    /* renamed from: ʾ  reason: contains not printable characters */
    private final File f10235;

    /* renamed from: ʿ  reason: contains not printable characters */
    private final long f10236;

    /* renamed from: ˆ  reason: contains not printable characters */
    private final File f10237;

    /* renamed from: ˈ  reason: contains not printable characters */
    private final RandomAccessFile f10238;

    /* renamed from: ˉ  reason: contains not printable characters */
    private final FileChannel f10239;

    /* renamed from: ˊ  reason: contains not printable characters */
    private final FileLock f10240;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* compiled from: MultiDexExtractor.java */
    /* loaded from: classes.dex */
    public class a implements FileFilter {
        a() {
        }

        @Override // java.io.FileFilter
        public boolean accept(File file) {
            return !file.getName().equals("MultiDex.lock");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* compiled from: MultiDexExtractor.java */
    /* loaded from: classes.dex */
    public static class b extends File {

        /* renamed from: ʾ  reason: contains not printable characters */
        public long f10242;

        public b(File file, String str) {
            super(file, str);
            this.f10242 = -1L;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public c(File file, File file2) throws IOException {
        Log.i("MultiDex", "MultiDexExtractor(" + file.getPath() + ", " + file2.getPath() + ")");
        this.f10235 = file;
        this.f10237 = file2;
        this.f10236 = m11121(file);
        File file3 = new File(file2, "MultiDex.lock");
        RandomAccessFile randomAccessFile = new RandomAccessFile(file3, "rw");
        this.f10238 = randomAccessFile;
        try {
            FileChannel channel = randomAccessFile.getChannel();
            this.f10239 = channel;
            try {
                Log.i("MultiDex", "Blocking on lock " + file3.getPath());
                this.f10240 = channel.lock();
                Log.i("MultiDex", file3.getPath() + " locked");
            } catch (IOException e6) {
                e = e6;
                m11117(this.f10239);
                throw e;
            } catch (Error e7) {
                e = e7;
                m11117(this.f10239);
                throw e;
            } catch (RuntimeException e8) {
                e = e8;
                m11117(this.f10239);
                throw e;
            }
        } catch (IOException | Error | RuntimeException e9) {
            m11117(this.f10238);
            throw e9;
        }
    }

    /* renamed from: ʻʻ  reason: contains not printable characters */
    private List<b> m11112(Context context, String str) throws IOException {
        Log.i("MultiDex", "loading existing secondary dex files");
        String str2 = this.f10235.getName() + ".classes";
        SharedPreferences m11119 = m11119(context);
        int i6 = m11119.getInt(str + "dex.number", 1);
        ArrayList arrayList = new ArrayList(i6 + (-1));
        int i7 = 2;
        while (i7 <= i6) {
            b bVar = new b(this.f10237, str2 + i7 + ".zip");
            if (bVar.isFile()) {
                bVar.f10242 = m11121(bVar);
                long j6 = m11119.getLong(str + "dex.crc." + i7, -1L);
                long j7 = m11119.getLong(str + "dex.time." + i7, -1L);
                long lastModified = bVar.lastModified();
                if (j7 == lastModified) {
                    String str3 = str2;
                    SharedPreferences sharedPreferences = m11119;
                    if (j6 == bVar.f10242) {
                        arrayList.add(bVar);
                        i7++;
                        m11119 = sharedPreferences;
                        str2 = str3;
                    }
                }
                throw new IOException("Invalid extracted dex: " + bVar + " (key \"" + str + "\"), expected modification time: " + j7 + ", modification time: " + lastModified + ", expected crc: " + j6 + ", file crc: " + bVar.f10242);
            }
            throw new IOException("Missing extracted secondary dex file '" + bVar.getPath() + "'");
        }
        return arrayList;
    }

    /* renamed from: ʼʼ  reason: contains not printable characters */
    private static void m11113(Context context, String str, long j6, long j7, List<b> list) {
        SharedPreferences.Editor edit = m11119(context).edit();
        edit.putLong(str + "timestamp", j6);
        edit.putLong(str + "crc", j7);
        edit.putInt(str + "dex.number", list.size() + 1);
        int i6 = 2;
        for (b bVar : list) {
            edit.putLong(str + "dex.crc." + i6, bVar.f10242);
            edit.putLong(str + "dex.time." + i6, bVar.lastModified());
            i6++;
        }
        edit.commit();
    }

    /* renamed from: ʽʽ  reason: contains not printable characters */
    private List<b> m11114() throws IOException {
        boolean z5;
        String str;
        String str2 = this.f10235.getName() + ".classes";
        m11115();
        ArrayList arrayList = new ArrayList();
        ZipFile zipFile = new ZipFile(this.f10235);
        try {
            ZipEntry entry = zipFile.getEntry("classes2.dex");
            int i6 = 2;
            while (entry != null) {
                b bVar = new b(this.f10237, str2 + i6 + ".zip");
                arrayList.add(bVar);
                Log.i("MultiDex", "Extraction is needed for file " + bVar);
                int i7 = 0;
                boolean z6 = false;
                while (i7 < 3 && !z6) {
                    int i8 = i7 + 1;
                    m11118(zipFile, entry, bVar, str2);
                    try {
                        bVar.f10242 = m11121(bVar);
                        z5 = true;
                    } catch (IOException e6) {
                        Log.w("MultiDex", "Failed to read crc from " + bVar.getAbsolutePath(), e6);
                        z5 = false;
                    }
                    StringBuilder sb = new StringBuilder();
                    sb.append("Extraction ");
                    if (z5) {
                        str = "succeeded";
                    } else {
                        str = "failed";
                    }
                    sb.append(str);
                    sb.append(" '");
                    sb.append(bVar.getAbsolutePath());
                    sb.append("': length ");
                    sb.append(bVar.length());
                    sb.append(" - crc: ");
                    sb.append(bVar.f10242);
                    Log.i("MultiDex", sb.toString());
                    if (!z5) {
                        bVar.delete();
                        if (bVar.exists()) {
                            Log.w("MultiDex", "Failed to delete corrupted secondary dex '" + bVar.getPath() + "'");
                        }
                    }
                    z6 = z5;
                    i7 = i8;
                }
                if (z6) {
                    i6++;
                    entry = zipFile.getEntry("classes" + i6 + ".dex");
                } else {
                    throw new IOException("Could not create zip file " + bVar.getAbsolutePath() + " for secondary dex (" + i6 + ")");
                }
            }
            try {
                zipFile.close();
            } catch (IOException e7) {
                Log.w("MultiDex", "Failed to close resource", e7);
            }
            return arrayList;
        } catch (Throwable th) {
            try {
                zipFile.close();
            } catch (IOException e8) {
                Log.w("MultiDex", "Failed to close resource", e8);
            }
            throw th;
        }
    }

    /* renamed from: ـ  reason: contains not printable characters */
    private void m11115() {
        File[] listFiles = this.f10237.listFiles(new a());
        if (listFiles == null) {
            Log.w("MultiDex", "Failed to list secondary dex dir content (" + this.f10237.getPath() + ").");
            return;
        }
        for (File file : listFiles) {
            Log.i("MultiDex", "Trying to delete old file " + file.getPath() + " of size " + file.length());
            if (!file.delete()) {
                Log.w("MultiDex", "Failed to delete old file " + file.getPath());
            } else {
                Log.i("MultiDex", "Deleted old file " + file.getPath());
            }
        }
    }

    /* renamed from: ᐧᐧ  reason: contains not printable characters */
    private static boolean m11116(Context context, File file, long j6, String str) {
        SharedPreferences m11119 = m11119(context);
        if (m11119.getLong(str + "timestamp", -1L) == m11120(file)) {
            if (m11119.getLong(str + "crc", -1L) == j6) {
                return false;
            }
        }
        return true;
    }

    /* renamed from: ᴵ  reason: contains not printable characters */
    private static void m11117(Closeable closeable) {
        try {
            closeable.close();
        } catch (IOException e6) {
            Log.w("MultiDex", "Failed to close resource", e6);
        }
    }

    /* renamed from: ﹳ  reason: contains not printable characters */
    private static void m11118(ZipFile zipFile, ZipEntry zipEntry, File file, String str) throws IOException, FileNotFoundException {
        InputStream inputStream = zipFile.getInputStream(zipEntry);
        File createTempFile = File.createTempFile("tmp-" + str, ".zip", file.getParentFile());
        Log.i("MultiDex", "Extracting " + createTempFile.getPath());
        try {
            ZipOutputStream zipOutputStream = new ZipOutputStream(new BufferedOutputStream(new FileOutputStream(createTempFile)));
            ZipEntry zipEntry2 = new ZipEntry("classes.dex");
            zipEntry2.setTime(zipEntry.getTime());
            zipOutputStream.putNextEntry(zipEntry2);
            byte[] bArr = new byte[16384];
            for (int read = inputStream.read(bArr); read != -1; read = inputStream.read(bArr)) {
                zipOutputStream.write(bArr, 0, read);
            }
            zipOutputStream.closeEntry();
            zipOutputStream.close();
            if (createTempFile.setReadOnly()) {
                Log.i("MultiDex", "Renaming to " + file.getPath());
                if (createTempFile.renameTo(file)) {
                    return;
                }
                throw new IOException("Failed to rename \"" + createTempFile.getAbsolutePath() + "\" to \"" + file.getAbsolutePath() + "\"");
            }
            throw new IOException("Failed to mark readonly \"" + createTempFile.getAbsolutePath() + "\" (tmp of \"" + file.getAbsolutePath() + "\")");
        } finally {
            m11117(inputStream);
            createTempFile.delete();
        }
    }

    /* renamed from: ﹶ  reason: contains not printable characters */
    private static SharedPreferences m11119(Context context) {
        return context.getSharedPreferences("multidex.version", 4);
    }

    /* renamed from: ﾞ  reason: contains not printable characters */
    private static long m11120(File file) {
        long lastModified = file.lastModified();
        if (lastModified == -1) {
            return lastModified - 1;
        }
        return lastModified;
    }

    /* renamed from: ﾞﾞ  reason: contains not printable characters */
    private static long m11121(File file) throws IOException {
        long m11125 = d.m11125(file);
        if (m11125 == -1) {
            return m11125 - 1;
        }
        return m11125;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.f10240.release();
        this.f10239.close();
        this.f10238.close();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ᴵᴵ  reason: contains not printable characters */
    public List<? extends File> m11122(Context context, String str, boolean z5) throws IOException {
        List<b> m11114;
        List<b> list;
        Log.i("MultiDex", "MultiDexExtractor.load(" + this.f10235.getPath() + ", " + z5 + ", " + str + ")");
        if (this.f10240.isValid()) {
            if (!z5 && !m11116(context, this.f10235, this.f10236, str)) {
                try {
                    list = m11112(context, str);
                } catch (IOException e6) {
                    Log.w("MultiDex", "Failed to reload existing extracted secondary dex files, falling back to fresh extraction", e6);
                    m11114 = m11114();
                    m11113(context, str, m11120(this.f10235), this.f10236, m11114);
                }
                Log.i("MultiDex", "load found " + list.size() + " secondary dex files");
                return list;
            }
            if (z5) {
                Log.i("MultiDex", "Forced extraction must be performed.");
            } else {
                Log.i("MultiDex", "Detected that extraction must be performed.");
            }
            m11114 = m11114();
            m11113(context, str, m11120(this.f10235), this.f10236, m11114);
            list = m11114;
            Log.i("MultiDex", "load found " + list.size() + " secondary dex files");
            return list;
        }
        throw new IllegalStateException("MultiDexExtractor was closed");
    }
}
