package m5;

import java.lang.ref.Reference;
import java.net.Socket;
import java.util.ArrayDeque;
import java.util.Deque;
import java.util.List;
import java.util.concurrent.Executor;
import java.util.concurrent.SynchronousQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import p5.g;
/* compiled from: ConnectionPool.java */
/* loaded from: classes.dex */
public final class i {

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final Executor f10791 = new ThreadPoolExecutor(0, Integer.MAX_VALUE, 60, TimeUnit.SECONDS, new SynchronousQueue(), n5.c.m11888("OkHttp ConnectionPool", true));

    /* renamed from: ʻ  reason: contains not printable characters */
    private final int f10792;

    /* renamed from: ʼ  reason: contains not printable characters */
    private final long f10793;

    /* renamed from: ʽ  reason: contains not printable characters */
    private final Runnable f10794;

    /* renamed from: ʾ  reason: contains not printable characters */
    private final Deque<p5.c> f10795;

    /* renamed from: ʿ  reason: contains not printable characters */
    final p5.d f10796;

    /* renamed from: ˆ  reason: contains not printable characters */
    boolean f10797;

    /* compiled from: ConnectionPool.java */
    /* loaded from: classes.dex */
    class a implements Runnable {
        a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            while (true) {
                long m11628 = i.this.m11628(System.nanoTime());
                if (m11628 == -1) {
                    return;
                }
                if (m11628 > 0) {
                    long j6 = m11628 / 1000000;
                    long j7 = m11628 - (1000000 * j6);
                    synchronized (i.this) {
                        try {
                            i.this.wait(j6, (int) j7);
                        } catch (InterruptedException unused) {
                        }
                    }
                }
            }
        }
    }

    public i() {
        this(5, 5L, TimeUnit.MINUTES);
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private int m11627(p5.c cVar, long j6) {
        List<Reference<p5.g>> list = cVar.f11544;
        int i6 = 0;
        while (i6 < list.size()) {
            Reference<p5.g> reference = list.get(i6);
            if (reference.get() != null) {
                i6++;
            } else {
                t5.k.m13552().mo13528("A connection to " + cVar.m12399().m11606().m11550() + " was leaked. Did you forget to close a response body?", ((g.a) reference).f11573);
                list.remove(i6);
                cVar.f11541 = true;
                if (list.isEmpty()) {
                    cVar.f11545 = j6 - this.f10793;
                    return 0;
                }
            }
        }
        return list.size();
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    long m11628(long j6) {
        synchronized (this) {
            p5.c cVar = null;
            long j7 = Long.MIN_VALUE;
            int i6 = 0;
            int i7 = 0;
            for (p5.c cVar2 : this.f10795) {
                if (m11627(cVar2, j6) > 0) {
                    i7++;
                } else {
                    i6++;
                    long j8 = j6 - cVar2.f11545;
                    if (j8 > j7) {
                        cVar = cVar2;
                        j7 = j8;
                    }
                }
            }
            long j9 = this.f10793;
            if (j7 < j9 && i6 <= this.f10792) {
                if (i6 > 0) {
                    return j9 - j7;
                } else if (i7 > 0) {
                    return j9;
                } else {
                    this.f10797 = false;
                    return -1L;
                }
            }
            this.f10795.remove(cVar);
            n5.c.m11891(cVar.m12400());
            return 0L;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ʼ  reason: contains not printable characters */
    public boolean m11629(p5.c cVar) {
        if (!cVar.f11541 && this.f10792 != 0) {
            notifyAll();
            return false;
        }
        this.f10795.remove(cVar);
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    /* renamed from: ʽ  reason: contains not printable characters */
    public Socket m11630(m5.a aVar, p5.g gVar) {
        for (p5.c cVar : this.f10795) {
            if (cVar.m12395(aVar, null) && cVar.m12397() && cVar != gVar.m12428()) {
                return gVar.m12433(cVar);
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Nullable
    /* renamed from: ʾ  reason: contains not printable characters */
    public p5.c m11631(m5.a aVar, p5.g gVar, c0 c0Var) {
        for (p5.c cVar : this.f10795) {
            if (cVar.m12395(aVar, c0Var)) {
                gVar.m12425(cVar, true);
                return cVar;
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: ˆ  reason: contains not printable characters */
    public void m11632(p5.c cVar) {
        if (!this.f10797) {
            this.f10797 = true;
            f10791.execute(this.f10794);
        }
        this.f10795.add(cVar);
    }

    public i(int i6, long j6, TimeUnit timeUnit) {
        this.f10794 = new a();
        this.f10795 = new ArrayDeque();
        this.f10796 = new p5.d();
        this.f10792 = i6;
        this.f10793 = timeUnit.toNanos(j6);
        if (j6 > 0) {
            return;
        }
        throw new IllegalArgumentException("keepAliveDuration <= 0: " + j6);
    }
}
