package okhttp3.internal.publicsuffix;

import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.net.IDN;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.atomic.AtomicBoolean;
import n5.c;
import t5.k;
import w5.e;
import w5.j;
import w5.l;
/* loaded from: classes.dex */
public final class PublicSuffixDatabase {

    /* renamed from: ʿ  reason: contains not printable characters */
    private static final byte[] f11227 = {42};

    /* renamed from: ˆ  reason: contains not printable characters */
    private static final String[] f11228 = new String[0];

    /* renamed from: ˈ  reason: contains not printable characters */
    private static final String[] f11229 = {"*"};

    /* renamed from: ˉ  reason: contains not printable characters */
    private static final PublicSuffixDatabase f11230 = new PublicSuffixDatabase();

    /* renamed from: ʻ  reason: contains not printable characters */
    private final AtomicBoolean f11231 = new AtomicBoolean(false);

    /* renamed from: ʼ  reason: contains not printable characters */
    private final CountDownLatch f11232 = new CountDownLatch(1);

    /* renamed from: ʽ  reason: contains not printable characters */
    private byte[] f11233;

    /* renamed from: ʾ  reason: contains not printable characters */
    private byte[] f11234;

    /* renamed from: ʻ  reason: contains not printable characters */
    private static String m11993(byte[] bArr, byte[][] bArr2, int i6) {
        int i7;
        boolean z5;
        int i8;
        int i9;
        int length = bArr.length;
        int i10 = 0;
        while (i10 < length) {
            int i11 = (i10 + length) / 2;
            while (i11 > -1 && bArr[i11] != 10) {
                i11--;
            }
            int i12 = i11 + 1;
            int i13 = 1;
            while (true) {
                i7 = i12 + i13;
                if (bArr[i7] == 10) {
                    break;
                }
                i13++;
            }
            int i14 = i7 - i12;
            int i15 = i6;
            boolean z6 = false;
            int i16 = 0;
            int i17 = 0;
            while (true) {
                if (z6) {
                    i8 = 46;
                    z5 = false;
                } else {
                    z5 = z6;
                    i8 = bArr2[i15][i16] & 255;
                }
                i9 = i8 - (bArr[i12 + i17] & 255);
                if (i9 == 0) {
                    i17++;
                    i16++;
                    if (i17 == i14) {
                        break;
                    } else if (bArr2[i15].length == i16) {
                        if (i15 == bArr2.length - 1) {
                            break;
                        }
                        i15++;
                        z6 = true;
                        i16 = -1;
                    } else {
                        z6 = z5;
                    }
                } else {
                    break;
                }
            }
            if (i9 >= 0) {
                if (i9 <= 0) {
                    int i18 = i14 - i17;
                    int length2 = bArr2[i15].length - i16;
                    while (true) {
                        i15++;
                        if (i15 >= bArr2.length) {
                            break;
                        }
                        length2 += bArr2[i15].length;
                    }
                    if (length2 >= i18) {
                        if (length2 <= i18) {
                            return new String(bArr, i12, i14, c.f11056);
                        }
                    }
                }
                i10 = i7 + 1;
            }
            length = i12 - 1;
        }
        return null;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private String[] m11994(String[] strArr) {
        String str;
        String str2;
        String str3;
        String[] strArr2;
        String[] strArr3;
        int i6 = 0;
        if (!this.f11231.get() && this.f11231.compareAndSet(false, true)) {
            m11997();
        } else {
            try {
                this.f11232.await();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
            }
        }
        synchronized (this) {
            if (this.f11233 == null) {
                throw new IllegalStateException("Unable to load publicsuffixes.gz resource from the classpath.");
            }
        }
        int length = strArr.length;
        byte[][] bArr = new byte[length];
        for (int i7 = 0; i7 < strArr.length; i7++) {
            bArr[i7] = strArr[i7].getBytes(c.f11056);
        }
        int i8 = 0;
        while (true) {
            str = null;
            if (i8 < length) {
                str2 = m11993(this.f11233, bArr, i8);
                if (str2 != null) {
                    break;
                }
                i8++;
            } else {
                str2 = null;
                break;
            }
        }
        if (length > 1) {
            byte[][] bArr2 = (byte[][]) bArr.clone();
            for (int i9 = 0; i9 < bArr2.length - 1; i9++) {
                bArr2[i9] = f11227;
                str3 = m11993(this.f11233, bArr2, i9);
                if (str3 != null) {
                    break;
                }
            }
        }
        str3 = null;
        if (str3 != null) {
            while (true) {
                if (i6 >= length - 1) {
                    break;
                }
                String m11993 = m11993(this.f11234, bArr, i6);
                if (m11993 != null) {
                    str = m11993;
                    break;
                }
                i6++;
            }
        }
        if (str != null) {
            return ("!" + str).split("\\.");
        } else if (str2 == null && str3 == null) {
            return f11229;
        } else {
            if (str2 != null) {
                strArr2 = str2.split("\\.");
            } else {
                strArr2 = f11228;
            }
            if (str3 != null) {
                strArr3 = str3.split("\\.");
            } else {
                strArr3 = f11228;
            }
            if (strArr2.length <= strArr3.length) {
                return strArr3;
            }
            return strArr2;
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public static PublicSuffixDatabase m11995() {
        return f11230;
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private void m11996() throws IOException {
        InputStream resourceAsStream = PublicSuffixDatabase.class.getResourceAsStream("publicsuffixes.gz");
        if (resourceAsStream == null) {
            return;
        }
        e m14064 = l.m14064(new j(l.m14068(resourceAsStream)));
        try {
            byte[] bArr = new byte[m14064.readInt()];
            m14064.readFully(bArr);
            byte[] bArr2 = new byte[m14064.readInt()];
            m14064.readFully(bArr2);
            synchronized (this) {
                this.f11233 = bArr;
                this.f11234 = bArr2;
            }
            this.f11232.countDown();
        } finally {
            c.m11889(m14064);
        }
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private void m11997() {
        boolean z5 = false;
        while (true) {
            try {
                try {
                    m11996();
                    break;
                } catch (InterruptedIOException unused) {
                    Thread.interrupted();
                    z5 = true;
                } catch (IOException e6) {
                    k.m13552().mo13527(5, "Failed to read public suffix list", e6);
                    if (z5) {
                        Thread.currentThread().interrupt();
                        return;
                    }
                    return;
                }
            } catch (Throwable th) {
                if (z5) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z5) {
            Thread.currentThread().interrupt();
        }
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public String m11998(String str) {
        int length;
        int length2;
        if (str != null) {
            String[] split = IDN.toUnicode(str).split("\\.");
            String[] m11994 = m11994(split);
            if (split.length == m11994.length && m11994[0].charAt(0) != '!') {
                return null;
            }
            if (m11994[0].charAt(0) == '!') {
                length = split.length;
                length2 = m11994.length;
            } else {
                length = split.length;
                length2 = m11994.length + 1;
            }
            StringBuilder sb = new StringBuilder();
            String[] split2 = str.split("\\.");
            for (int i6 = length - length2; i6 < split2.length; i6++) {
                sb.append(split2[i6]);
                sb.append('.');
            }
            sb.deleteCharAt(sb.length() - 1);
            return sb.toString();
        }
        throw new NullPointerException("domain == null");
    }
}
