package t5;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;
import java.security.Provider;
import java.util.List;
import javax.annotation.Nullable;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import m5.w;
import org.conscrypt.Conscrypt;
/* compiled from: ConscryptPlatform.java */
/* loaded from: classes.dex */
public class g extends k {
    private g() {
    }

    /* renamed from: ᵢ  reason: contains not printable characters */
    public static g m13534() {
        try {
            Class.forName("org.conscrypt.Conscrypt");
            if (!Conscrypt.isAvailable()) {
                return null;
            }
            return new g();
        } catch (ClassNotFoundException unused) {
            return null;
        }
    }

    /* renamed from: ⁱ  reason: contains not printable characters */
    private Provider m13535() {
        return Conscrypt.newProviderBuilder().provideTrustManager().build();
    }

    @Override // t5.k
    /* renamed from: ˆ  reason: contains not printable characters */
    public void mo13536(SSLSocketFactory sSLSocketFactory) {
        if (Conscrypt.isConscrypt(sSLSocketFactory)) {
            Conscrypt.setUseEngineSocket(sSLSocketFactory, true);
        }
    }

    @Override // t5.k
    /* renamed from: ˈ */
    public void mo13514(SSLSocket sSLSocket, String str, List<w> list) throws IOException {
        if (Conscrypt.isConscrypt(sSLSocket)) {
            if (str != null) {
                Conscrypt.setUseSessionTickets(sSLSocket, true);
                Conscrypt.setHostname(sSLSocket, str);
            }
            Conscrypt.setApplicationProtocols(sSLSocket, (String[]) k.m13547(list).toArray(new String[0]));
            return;
        }
        super.mo13514(sSLSocket, str, list);
    }

    @Override // t5.k
    /* renamed from: ˑ */
    public SSLContext mo13524() {
        try {
            return SSLContext.getInstance("TLSv1.3", m13535());
        } catch (NoSuchAlgorithmException e6) {
            try {
                return SSLContext.getInstance("TLS", m13535());
            } catch (NoSuchAlgorithmException unused) {
                throw new IllegalStateException("No TLS provider", e6);
            }
        }
    }

    @Override // t5.k
    @Nullable
    /* renamed from: י */
    public String mo13515(SSLSocket sSLSocket) {
        if (Conscrypt.isConscrypt(sSLSocket)) {
            return Conscrypt.getApplicationProtocol(sSLSocket);
        }
        return super.mo13515(sSLSocket);
    }
}
