package v5;

import java.security.cert.CertificateParsingException;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Locale;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLException;
import javax.net.ssl.SSLSession;
/* compiled from: OkHostnameVerifier.java */
/* loaded from: classes.dex */
public final class d implements HostnameVerifier {

    /* renamed from: ʻ  reason: contains not printable characters */
    public static final d f13099 = new d();

    private d() {
    }

    /* renamed from: ʻ  reason: contains not printable characters */
    public static List<String> m13878(X509Certificate x509Certificate) {
        List<String> m13879 = m13879(x509Certificate, 7);
        List<String> m138792 = m13879(x509Certificate, 2);
        ArrayList arrayList = new ArrayList(m13879.size() + m138792.size());
        arrayList.addAll(m13879);
        arrayList.addAll(m138792);
        return arrayList;
    }

    /* renamed from: ʼ  reason: contains not printable characters */
    private static List<String> m13879(X509Certificate x509Certificate, int i6) {
        Integer num;
        String str;
        ArrayList arrayList = new ArrayList();
        try {
            Collection<List<?>> subjectAlternativeNames = x509Certificate.getSubjectAlternativeNames();
            if (subjectAlternativeNames == null) {
                return Collections.emptyList();
            }
            for (List<?> list : subjectAlternativeNames) {
                if (list != null && list.size() >= 2 && (num = (Integer) list.get(0)) != null && num.intValue() == i6 && (str = (String) list.get(1)) != null) {
                    arrayList.add(str);
                }
            }
            return arrayList;
        } catch (CertificateParsingException unused) {
            return Collections.emptyList();
        }
    }

    /* renamed from: ʿ  reason: contains not printable characters */
    private boolean m13880(String str, X509Certificate x509Certificate) {
        String lowerCase = str.toLowerCase(Locale.US);
        for (String str2 : m13879(x509Certificate, 2)) {
            if (m13883(lowerCase, str2)) {
                return true;
            }
        }
        return false;
    }

    /* renamed from: ˆ  reason: contains not printable characters */
    private boolean m13881(String str, X509Certificate x509Certificate) {
        List<String> m13879 = m13879(x509Certificate, 7);
        int size = m13879.size();
        for (int i6 = 0; i6 < size; i6++) {
            if (str.equalsIgnoreCase(m13879.get(i6))) {
                return true;
            }
        }
        return false;
    }

    @Override // javax.net.ssl.HostnameVerifier
    public boolean verify(String str, SSLSession sSLSession) {
        try {
            return m13882(str, (X509Certificate) sSLSession.getPeerCertificates()[0]);
        } catch (SSLException unused) {
            return false;
        }
    }

    /* renamed from: ʽ  reason: contains not printable characters */
    public boolean m13882(String str, X509Certificate x509Certificate) {
        if (n5.c.m11890(str)) {
            return m13881(str, x509Certificate);
        }
        return m13880(str, x509Certificate);
    }

    /* renamed from: ʾ  reason: contains not printable characters */
    public boolean m13883(String str, String str2) {
        if (str != null && str.length() != 0 && !str.startsWith(".") && !str.endsWith("..") && str2 != null && str2.length() != 0 && !str2.startsWith(".") && !str2.endsWith("..")) {
            if (!str.endsWith(".")) {
                str = str + '.';
            }
            if (!str2.endsWith(".")) {
                str2 = str2 + '.';
            }
            String lowerCase = str2.toLowerCase(Locale.US);
            if (!lowerCase.contains("*")) {
                return str.equals(lowerCase);
            }
            if (!lowerCase.startsWith("*.") || lowerCase.indexOf(42, 1) != -1 || str.length() < lowerCase.length() || "*.".equals(lowerCase)) {
                return false;
            }
            String substring = lowerCase.substring(1);
            if (!str.endsWith(substring)) {
                return false;
            }
            int length = str.length() - substring.length();
            if (length > 0 && str.lastIndexOf(46, length - 1) != -1) {
                return false;
            }
            return true;
        }
        return false;
    }
}
